MPlayer(1)

NAME
mplayer - Lecteur vidéo
mencoder - Encodeur vidéo

SYNOPSIS
mplayer [options] [ fichier | URL | playlist | - ]
mplayer
[options globales] fichier1 [options spécifiques] [fichier2] [options spécifiques]
mplayer
[options globales] {groupe de fichiers et d'options} [options spécifiques au groupe]
mplayer
dvd://[titre | [titre_de_début]-titre_de_fin ] [options]
mplayer
vcd://piste[/périphérique] [options]
mplayer
tv://[canal] [options]
mplayer
dvb://[numero_de_carte@]canal [options]
mplayer
mf://filemask [options -mf] [options]
mplayer
[cdda|cddb]://piste[:vitesse][/périphérique] [options]
mplayer
cue://fichier[:piste] [options]
mplayer
[mms[t]|http|http_proxy|rt[s]p|ftp]:// [utilisateur:mdp@]URL[:port] [options]
mplayer
sdp://fichier [options]
mplayer
mpst://hôte[:port]/URL [options]
gmplayer [options] [-skin skin]
mencoder [options] [ fichier | URL | - ] [-o fichier]

DESCRIPTION
mplayer est un lecteur vidéo pour Linux (il fonctionne sur beaucoup d'autres Unices et processeurs non-x86, voir la documentation). Il joue la plupart des formats MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM et RoQ, gérés par plusieurs codecs natifs et par des codecs binaires. Vous pouvez regarder des VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 et même des films WMV.

Un autre gros atout de MPlayer est la grande variété de pilotes de sortie audio et vidéo gérés. Il fonctionne avec X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, libcaca, DirectFB, Quartz, mais vous pouvez aussi utiliser GGI, SDL (et de cette façon tous leurs drivers), VESA (sur n'importe quelle carte compatible VESA, même sans X11), quelques drivers spécifiques à certaines cartes (pour Matrox, 3Dfx et ATI) et certaines cartes de décompression MPEG, telles que les Siemens DVB, DXR2 et DXR3/Hollywood+. La plupart d'entre eux gèrent le redimensionnement logiciel ou matériel, vous pouvez donc apprécier les films en plein-écran.

MPlayer possède un affichage sur écran (OnScreenDisplay) pour les informations, de belles et grandes polices lissées et des effets visuels pour confirmer les contrôles au clavier. Les polices européennes/ISO 8859-1,2 (Hongroise, Anglaise, Tchèque, etc), Cyrillique et Coréenne sont gérés ainsi que 11 formats de sous-titres (MicroDVD, SubRip, OGM, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub, PJS et le nôtre: MPsub) et les sous-titres DVD (SPU streams, VobSub et Closed Captions).

mencoder (MPlayer's Movie Encoder) est un simple encodeur de vidéos, conçu pour encoder des vidéos jouables par MPlayer (voir ci-dessus) dans d'autres formats jouables par MPlayer (voir ci-dessous). Il encode en MPEG-4 (DivX/XviD), un des codecs libavcodec, et en PCM/MP3/VBRMP3 audio en 1, 2 ou 3 passes. Il permet également de copier des flux de données (stream), possède un puissant système de plugins (découpage, expansion, retournement, postprocess, rotation, redimensionnement, bruit, conversion rgb/yuv) et bien plus.

gmplayer est l'interface graphique de MPlayer. Il possède les mêmes options que MPlayer.

Des exemples d'usage pour vous familiariser rapidement sont disponibles à la fin de cette page de manuel.

Regardez également la documentation HTML !

CONTRÔLE AU CLAVIER
MPlayer dispose d'une couche de contrôle pleinement configurable, qui vous permet de contrôler MPlayer avec le clavier, la souris, le joystick ou une télécommande (en utilisant LIRC).
Le fichier de configuration par défaut pour le système d'entrée est ~/.mplayer/input.conf mais cela peut être outrepassé en utilisant l'option -input conf.
Ces touches peuvent/ne peuvent pas fonctionner, suivant votre pilote de sortie vidéo.

contrôle général
    Recule/avance de 10 secondes. Recule/avance d'1 minute. recule/avance de 10 minutes Diminue/accélère la vitesse courante de lecture de 10%. Réduit de moitié/double la vitesse courante de lecture. Reset playback speed to normal. Recule/avance dans la liste de lecture (playlist). Va à au prochain/précédent arbre de lecture (playtree) dans la liste des pères. Va à la prochaine/précédente source de rechange (liste de lecture ASX uniquement) Met le film en pause (un autre appuis reprend la lecture). Le premier appui mettra le film en pause, et chaque appui suivant jouera juste une trame et remettra le film en pause (toute autre touche arrête la pause). Stoppe la lecture et quitte. Ajuste le décalage audio de +/- 0.1 secondes. Réduit/augmente le volume. Réduit/augmente le volume. Coupe le son (mute). Bascule en plein-écran. Bascule en mode toujours visible. Réduit/augmente l'intervalle pan (horizontal) et scan. Bascule entre les états OSD: aucun / déplacement / déplacement + chrono / déplacement + chrono + durée totale bascule les modes de sauts de trame: aucun / saut d'affichage / saut de décodage (voir -framedrop et -hardframedrop) Bascule l'affichage des sous-titres. Alterne entre les différents sous-titres disponibles.
F   Bascule l'affichage des "sous-titres forcés". Bascule l'alignement des sous-titres: haut/milieu/bas. Ajuste le décalage des sous-titres de +/- 0.1 secondes. Translate les sous-titres vers le haut/bas. Créé une marque EDL.

(Les touches suivantes ne sont valides qu'en utilisant une sortie vidéo accélérée matériellement (xv, (x)vidix, (x)mga, etc) ou le filtre égaliseur logiciel (-vf eq ou -vf eq2).

Ajuste le contraste. Ajuste la luminosité. Ajuste la couleur. Ajuste la saturation.

(Les touches suivantes ne sont valides que lorsque le pilote de sortie vidéo quartz est utilisé.)

Divise par deux la taille de la fenêtre vidéo. Ajuste la fenêtre fenêtre vidéo à sa taille d'origine. Double la taille de la fenêtre vidéo. Bascule en mode plein-écran (voir aussi -fs). Change l'alpha (transparence) de la fenêtre vidéo. Bascule entre les modes d'empilement de fenêtres devant/dessous/normal (voir aussi -ontop).

Contrôle clavier de la GUI
    Démarre la lecture. Stoppe la lecture. Charge un fichier. Navigateur de skins. Bascule la liste de lecture (playlist).

Contrôle entrée TV
    Sélectionne le canal précédent/prochain. Change de norme. Change la liste des canaux.

NOTES GÉNÉRALES

Chaque option a son opposé, par ex. l'inverse de l'option -fs est -nofs.

Si une option est documentée comme (XXX uniquement), cela veut dire qu'elle ne fonctionnera uniquement si vous activez l'option XXX ou que XXX a été compilé dans mplayer. Vous pouvez placer toutes les options dans un fichier de configuration qui sera lu à chaque exécution de MPlayer. Le fichier de configuration général 'mplayer.conf' se trouve dans le répertoire habituel des fichiers de configuration (par ex. /etc/mplayer ou /usr/local/etc/mplayer), et le fichier de configuration spécifique à l'utilisateur se trouve dans '~/.mplayer/config'. Les options du fichier utilisateur ont priorité sur les options du fichier global, et les options données sur la ligne de commande ont priorité sur tous les fichiers. La syntaxe des fichiers de configuration est 'option=<valeur>', tout ce qui suit un '#' est considéré comme commentaire. Les options qui nécessitent des valeurs peuvent être activées en les initialisant à 'yes' ou '1' ou désactivées en les initialisant à 'no' ou '0'. Ceci est même applicable aux sous-options.

EXEMPLE :
# Utilise les pilotes Matrox par défaut.
vo=xmga
# J'adore faire le poirier en regardant les vidéos.
flip=yes
# Décode/encode des fichiers png,
# démarre avec mf://filemask
mf=type=png:fps=25
# Les images en négatif, c'est cool.
vf=eq2=1.0:-0.8

Vous pouvez également écrire des fichiers de config spécifiques à un fichier. Si vous souhaitez avoir un fichier de config pour un fichier nommé 'film.avi', créez un fichier nommé 'film.avi.conf' contenant les options spécifiques à ce fichier et placez-le dans ~/.mplayer ou dans le même répertoire que le fichier.

OPTIONS GÉNÉRALES

-codecs-file <nomfichier> (voir aussi -afm, -ac, -vfm et -vc)
    Définit le fichier de codecs au lieu de celui du système ou de celui inclus dans mplayer.

-include <fichier de configuration>
    Spécifie le fichier de configuration à analyser après ceux par défaut.

-quiet
    Avec cette option, la ligne d'état (c-a-d A: 0.7 V: 0.6 A-V: 0.068 ...) ne sera pas affichée. Cela est particulièrement utile sur les terminaux lents ou endommagés qui ne gèrent pas les retours chariot (c-a-d \r).

-v, -verbose
    Active le mode verbeux (plus de -v signifie plus de verbosité). uniquement quelques sorties informelles (par défaut) quelques infos basiques de débogage, entête avi, valeurs des fonctions (débogage de l'initialisation) affiche les index avi, entrées de tronquage, plus d'infos de débogage (débogage du lecteur) affiche tout ce qui est relatif aux parseurs d'entrée (pour le débogage des parsers)

OPTIONS DE LECTURE (MPLAYER UNIQUEMENT)

-autoq <qualité> (utiliser avec -vf [s]pp)
    Change dynamiquement le niveau de postprocessing en fonction de la charge processeur. Le nombre à indiquer est le niveau maximum utilisé. Normalement vous pouvez utiliser un nombre important. Vous devez indiquer -vf [s]pp sans paramètres pour l'utiliser.

-autosync <facteur>
    Ajuste graduellement la synchro A/V en fonction de la mesure du décalage audio. En spécifiant -autosync 0, valeur par défaut, la synchronisation des trames sera entièrement basée sur la mesure du décalage audio. En spécifiant -autosync 1 la même chose sera faite, mais en changeant légèrement l'algorithme de correction A/V utilisé. On peut souvent améliorer la lecture d'une vidéo possédant un débit binaire vidéo irrégulier, mais qui peut-être lue avec -nosound, en initialisant cette option à une valeur entière supérieure à 1. Plus cette valeur sera élevée, plus le débit sera proche de -nosound. Essayez -autosync 30 pour faire disparaître les problèmes avec les drivers audio qui ne possèdent pas une mesure de décalage audio parfaite. Avec cette valeur, si de larges écarts de synchro A/V se produisent, il ne mettront qu'une seconde ou deux pour disparaître. Ce temps de réaction devrait être le seul effet de bord si cette option est activée, pour tous les drivers audio.

-benchmark
    Affiche quelques statistiques sur l'utilisation CPU et les trames sautées à la fin de la lecture. À utiliser avec -nosound et -vo null pour mesurer les performances du codec vidéo.
    NOTE: Avec cette option MPlayer ignorera également la durée des trames pendant la lecture de vidéo uniquement (vous pouvez le comprendre comme des fps infinis).

-colorkey <nombre>
    Affecte une valeur RVB de votre choix à la couleur clé. 0x000000 est noir et 0xffffff est blanc. Géré par les pilotes vidéo cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix, xover et directx uniquement.

-nocolorkey
    Désactive la couleur de transparence. Géré par les pilotes vidéo cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix et xover uniquement.

-crash-debug (CODE DE DÉBOGAGE)
    Attache gdb automatiquement lors d'un crash ou d'un SIGTRAP. N'est géré que si MPlayer a été compilé avec l'option de configuration --enable-crash-debug ou si un fichier .developer était présent dans le répertoire source.

-edl <nomfichier> (EDL uniquement)
    Active les actions d'édition de liste de décision (EDL) durant la lecture. La vidéo sera sautée et le son coupé et remis suivant les entrées du fichier indiqué. Voir DOCS/HTML/fr/edl.html pour les détails sur comment l'utiliser.

-edlout <nomfichier>
    Créé un nouveau fichier et écrit les enregistrements d'édition de la liste de décision (EDL) dans ce fichier. Durant la lecture, quand l'utilisateur tape 'i', une entrée à sauter après les deux dernières secondes de la lecture est écrite dans ce fichier. Cela fournit un point de départ depuis lequel l'utilisateur peut régler plus finement les entrées EDL plus tard. Voir DOCS/HTML/fr/edl.html pour les détails.

-enqueue (GUI uniquement)
    Ajoute les fichiers donnés en ligne de commande à la liste de lecture au lieu de les jouer immédiatement.

-fixed-vo (CODE BETA!)
    Force l'initialistation d'une seule fenêtre vidéo pour la lecture d'une série de de fichiers. Actuellement les pilotes suivants fonctionnent avec fixed-vo: gl, gl2, mga, svga, x11, xmga, xv, xvidix et dfbmga.

-framedrop (voir aussi -hardframedrop)
    Saute l'affichage de certaines trames pour maintenir la synchro A/V sur les machines lentes. Les filtres vidéo ne sont pas appliqués sur de telles trames. Pour les trames-B même leur décodage est complètement désactivé.

-h, -help, --help
    Affiche un court résumé des options.

-hardframedrop
    Saute les trames de façon plus brutale (casse le décodage). Mène à des distorsions d'image!

-identify
    Affiche les paramètres de fichier dans un format facilement analysable. Affiche aussi des informations plus détaillées à propos des langues et des identifiants des sous-titres et des pistes audio. Le script TOOLS/midentify supprime le reste de l'affichage et (espérons-le) formate les noms de fichiers pour le shell.

-input <commandes>
    Cette option peut être utilisée pour configurer certaines parties du système de contrôle. Les chemins sont relatifs à ~/.mplayer/.
    NOTE: La répétition automatique n'est pour l'instant géré que par les joysticks.

    Les commandes disponibles sont:

    Défini le fichier de configuration pour les évènements d'entrée (input) au lieu de ~/.mplayer/input.conf par défaut. Si vous ne donnez pas le chemin absolu, il sera cherché à ~/.mplayer/<nom_fichier>. Temps en msec avant de démarrer la répétition automatique d'une touche (0 pour désactiver). Combien de frappes par seconde pendant la répétition automatique. Afficher toutes les touches pouvant être attachées. Afficher toutes les commandes pouvant être attachées. Spécifier le périphérique joystick à utiliser (par défaut : /dev/input/js0). Lit les commandes depuis un fichier donné. Utile surtout avec une FIFO.
    NOTE: Quand le fichier indiqué est un FIFO MPlayer ouvre chaque extrémité donc vous pouvez avoir plusieurs 'echo "seek 10" > mp_pipe' et le pipe restera valide.

-key-fifo-size <2-65000>
    Définit la taille de la FIFO qui tamponne les évènements clavier (par défaut :10). Une FIFO de taille n peut tamponner (n - 1) évènements. Si elle est trop petite, quelques évènements risquent d'être perdus (débouchant sur une erreur "stuck mouse button" ou un effet similaire). Si elle est trop grande, MPlayer pourrait sembler bloqué alors qu'il traite les évènements tamponnés. Pour avoir le même comportement que celui existant avant que cette option soit introduite, mettez-la à 2 sous Linux et 1024 sous Windows.

-lircconf <nom_fichier> (LIRC uniquement)
    Indique un fichier de configuration pour LIRC (Linux Infrared Remote Control, voir http://www.lirc.org) (par défaut : ~/.lircrc).

-list-options
    Affiche toutes les options disponibles.

-loop <nombre>
    Répète la lecture <nombre> fois. 0 signifie illimité.

-menu (OSD menu uniquement)
    Active le menu OSD.

-menu-cfg <nom_fichier> (OSD menu uniquement)
    Utilise le menu.conf indiqué.

-menu-root <valeur> (OSD menu uniquement)
    Spécifie le menu principal.

-menu-startup (OSD menu uniquement)
    Affiche le menu principal au lancement de MPlayer.

-noconsolecontrols
    Empêche MPlayer de réagir aux commandes clavier depuis l'entrée standard. Utile quand il lit des données depuis l'entrée standard. Ce mode est automatiquement activé lorsque - est présent sur la ligne de commande. Il se peut peut vous ayez à l'activer manuellement, ex. si vous ouvrez /dev/stdin (ou équivalent sur votre système), utilisez stdin dans une liste de lecture (playlist) ou tentez de lire depuis la couche stdin par le truchement des commandes loadfile ou loadlist du mode esclave.

-nojoystick
    Désactive la gestion du joystick. Activé par défaut, si il a été compilé pour.

-nolirc
    Désactive la gestion de LIRC.

-nomouseinput (X11 uniquement)
    Désactive l'interprétation des boutons de la souris (le menu contextuel de mozplayerxp dépend de cette option).

-nortc (RTC uniquement)
    Désactive l'utilisation du RTC Linux (real-time clock - /dev/rtc) comme mécanisme de synchro.

-playlist <fichier>
    Joue les fichiers d'après une liste de lecture (1 fichier par ligne, ou aux formats Winamp ou ASX).
    NOTE: Cette option est considérée comme une entrée, donc les options trouvées à la suite s'appliqueront uniquement aux éléments de la liste de lecture.
    FIXME: Cette description est quelque peu alambiquée, et devrait être mieux documentée.

-really-quiet (voir aussi -quiet)
    Affiche encore moins de messages d'état que -quiet. -rtc-device <périph> Utilise ce périphérique spécial RTC pour améliorer la synchro.

-shuffle
    Joue les fichiers en ordre aléatoire.

-skin <nom_skin> (GUI uniquement)
    Charge le skin <nom_skin> (revêtement décoratif) depuis les répertoires par défaut /usr/local/share/mplayer/Skin/ et ~/.mplayer/Skin/.

    EXEMPLE: Essaie /usr/local/share/mplayer/Skin/fittyfene en premier, puis ~/.mplayer/Skin/fittyfene en cas d'échec.

-slave (voir aussi -input)
    Cette option enclenche le mode esclave. Ceci est prévu pour l'utilisation de MPlayer en tant que base (backend) pour d'autres programmes. Au lieu d'intercepter les évènements clavier, MPlayer va lire ses commandes via son entrée stdin.
    NOTE : Voir -input cmdlist pour une liste des commandes esclaves, et DOCS/tech/slave.txt pour leur description.

-softsleep
    Utilise des timers logiciels de haute qualité au lieu de RTC. Aussi précis que le RTC sans nécessiter de privilèges spéciaux, au prix toutefois d'une charge CPU accrue.

-speed <0.01-100>
    Accélère ou diminue la vitesse de lecture en fonction du facteur donné en paramètre.

-sstep <sec>
    Affiche une trame toutes les <sec> secondes. Utile pour les diaporamas. Étant donné que MPlayer ne peut se déplacer dans les flux que de trame-clé en trame-clé, ceci peut donc est aussi inexact. La plupart des formats n'ont une trame-clé toutes les <sec> à <sec>+20 secondes).

OPTIONS DEMULTIPLEXEUR/FLUX

-a52drc <niveau>
    Active le contrôle de volume dynamique des flux audios AC3. <niveau> est un flottant compris entre 0 et 1, où 0 signifie aucun contrôle et 1 (defaut) signifie un contrôle total (rendre les passages bruyants plus calmes et vice versa). Cette option ne fonctionne uniquement si le flux AC3 comporte ce genre d'information de contrôle.

-aid <ID> (voir aussi l'option -alang)
    Sélectionne le canal audio (MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127 VOB(AC3): 128-159 VOB(LPCM): 160-191 MPEG-TS 17-8190). MPlayer affiche les IDs disponibles quand il est lancé en mode verbeux (-v). Pour jouer des flux MPEG-TS, MPlayer/MEncoder utilisera le premier programme (si présent) avec le flux audio choisi.

-alang <code-de-langue> (voir aussi -aid)
    Joue la piste audio dont la langue correspond au code-pays donné. Chaque container comprend des codes-pays différents. Les DVDs utilisent les codes de langue ISO 639-1 à deux lettres, Matroska et NUT utilisent ceux à trois lettres d'ISO 639-2, tandis que OGM permet des identifiants libres. La liste des langues disponibles s'affiche lorsque MPlayer est lancé avec l'option -v.

    EXEMPLE: Sélectionne le hongrois et se rabat sur l'anglais si le hongrois n'est pas disponible.

-audio-demuxer <nombre> (-audiofile uniquement)
    Force le type de demuxer audio pour -audiofile. Indiquez l'ID du demultiplexeur comme défini dans libmpdemux/demuxer.h. Utilisez -audio-demuxer 17 pour forcer la détection des MP3.

-audiofile <nomfichier>
    Joue la piste audio depuis un fichier externe (WAV, MP3 ou Ogg Vorbis) pendant la visualisation d'un film.

-audiofile-cache <Koctets>
    Active la mise en cache pour le flux utilisé par -audiofile, en utilisant la quantité demandée de mémoire.

-bandwidth <valeur> (réseau uniquement)
    Spécifie la bande passante maximum pour le streaming par le réseau (pour les serveurs capables d'envoyer du contenu à différents débits). Utile si vous voulez voir en direct avec une connexion lente des médias streamés.

-cdrom-device <périph>
    Outrepasse le nom par défaut du lecteur de CDROM (/dev/cdrom).

-cache <Koctets>
    Cette option indique combien de mémoire (en Ko) utiliser pour mettre un fichier ou une URL en cache. Particulièrement utile sur des médias lents.

-cache-min <pourcentage>
    Commence la lecture quand <pourcentage> du cache est rempli.

-cache-prefill <pourcentage> (pas encore implémenté)
    Si le cache se trouve vidé, MPlayer marquera une pose tant que <pourcentage> du cache ne sera pas rempli.

-cdda <option1:option2>
    Cette option est utilisée pour régler les capacités de lecture de CD Audio de MPlayer.

    Les options disponibles sont: Règle la vitesse de lecture du CD Règle le niveau de paranoia 0: désactive la détection
    1: détection des chevauchements uniquement (comportement par défaut)
    2: correction et vérification des données complètes utiliser le périphérique SCSI générique spécifié taille de lecture atomique force la recherche minimum de chevauchements pendant vérification à <valeur> secteurs. Considère que l'offset de début de la piste 1 comme reportée dans la TOC sera adressée en tant que LBA 0. Certains lecteurs Toshiba ont besoin de cela pour garder des transitions de pistes correctes. Ajouter <valeur> secteurs aux valeurs renvoyées pendant l'adressage des pistes. Peut être négatif. (jamais) accepter les reconstructions imparfaites de données.

-channels <nombre>
    Indique le nombre de canaux audio à utiliser. (défaut : 2). Si le nombre de canaux de sortie est plus grand que celui des canaux d'entrée des canaux vides sont insérés (à moins de mixer de mono vers stéréo, dans ce cas le canal mono est répété sur les deux canaux de sortie). Si le nombre de canaux de sortie est plus petit que celui des canaux d'entrée, les résultats dépendront du décodeur audio (-afm). MPlayer demande au décodeur de décoder l'audio sur le nombre requis de canaux. Maintenant c'est au décodeur de satisfaire cette demande. Si le décodeur sort sur plus de canaux que demandé, les canaux en plus seront tronqués. Généralement, c'est important seulement pour la lecture des vidéos avec de l'audio AC3 (comme les DVDs). Dans ce cas liba52 fait le décodage par défaut et fusionne correctement l'audio dans le nombre requis de canaux.
    NOTE: Cette option est comprise par les codecs (ac3 uniquement) filtres (surround) et drivers ao (OSS au moins).

    Les options disponibles sont:

    Stereo Surround 5.1 complet

-chapter <id chapitre>[-<id fin chapitre>]
    Indique à quel chapitre commencer la lecture. Vous pouvez également indiquer à quel chapitre arrêter la lecture (par défaut : 1).

-cookies (réseau uniquement)
    Envoie des cookies lors des requêtes HTTP.

-cookies-file <fichier> (réseau uniquement)
    Lit les cookies HTTP depuis <fichier> (par défaut : ~/.mozilla/ et ~/.netscape/). Ce fichier est supposé être au format Netscape.

-demuxer <nombre>
    Forcer le type de démultiplexeur. Indiquez l'ID du démultiplexeur comme défini dans libmpdemux/demuxer.h. Utilisez -demuxer 17 pour forcer la détection des .mp3.

-dumpaudio (MPlayer uniquement)
    Décharge le flux audio brut dans ./stream.dump (utile avec mpeg/ac3).

-dumpfile <nomfichier> (MPlayer uniquement)
    Indique dans quel fichier MPlayer doit décharger. Devrait être utilisé avec -dumpaudio / -dumpvideo / -dumpstream.

-dumpstream (MPlayer uniquement)
    Décharge le flux brut dans ./stream.dump. Utile en rippant depuis un DVD ou depuis le réseau.

-dumpvideo (MPlayer uniquement)
    Décharge le flux vidéo brut dans ./stream.dump (pas très utilisable).

-dvbin <options> (DVB uniquement)
    Passe les paramètres suivants au module d'entrée DVB, de façon à outrepasser ceux par défaut :

    Spécifie le numéro de carte à utiliser (par défaut : 1). Dit à MPlayer de lire les canaux depuis <nom_fichier>. ~/.mplayer/channels.conf.{sat,ter,cbl} par défaut (en fonction de votre type de carte) ou ~/.mplayer/channels.conf en dernier recours.

-dvd-device <périph> (DVD uniquement)
    Définit le nom du périphérique DVD (par défaut : /dev/dvd). Vous pouvez aussi donner un répertoire contenant l'arborescence complète d'un DVD (que vous auriez copié, par exemple, avec vobcopy). Notez que l'utilisation de -dumpstream est souvent une meilleure solution pour copier des titres de DVD (voir les exemples).

-dvdangle <ID angle> (DVD uniquement)
    Certains DVD contiennent des scènes qui peuvent être vues sous différents angles. Vous pouvez ainsi dire à MPlayer quels angles utiliser (par défaut : 1).

-forceidx
    Forcer la reconstruction de l'index. Utile pour les fichiers possédant un index cassé (désynchro, etc). Cela vous permettra aussi de naviguer en avant/arrière si cela n'était pas possible. Vous pouvez réparer l'index de façon permanente avec MEncoder (voir la documentation).
    NOTES: Vous ne pouvez utiliser cette option que si le media en question permet les déplacements (c-à-d pas depuis stdin, un pipe, etc).

-fps <flottant>
    Forcer le nombre de trames/sec de la vidéo (si la valeur est mauvaise ou absente de l'entête).

-frames <nombre>
    Joue/convertit uniquement les <nombre> premières trames, puis sort.

-hr-mp3-seek (MP3 uniquement)
    Déplacement haute résolution dans mp3. Par défaut, activé quand un fichier MP3 externe est lu, car nous devons nous y positionner très précisément pour garder la synchro A/V. Cela peut être lent,surtout en allant en arrière, puisqu'il faut revenir au début pour trouver la trame exacte.

-idx (voir aussi -forceidx)
    Reconstruit l'index du fichier vidéo si aucun index n'est trouvé, permet ainsi de se déplacer. Utile avec les téléchargements cassés/incomplets, les vidéos en cours de/ou mal générées.
    NOTES: Vous ne pouvez utiliser cette option que si le media en question permet les déplacements (c-à-d pas depuis stdin, un pipe, etc).

-ipv4-only-proxy (réseau uniquement)
    Saute le proxy pour les adresses IPv6. Il sera toujours utilisé pour les connections IPv4.

-loadidx <nomfichier>
    Lit l'index depuis <nomfichier>, tel que sauvé par -saveidx. Cet index aura priorité, (pour le déplacement par ex.) sur l'index de la vidéo jouée Attention, MPlayer ne vous empêchera pas de charger l'index généré pour un AVI différent, mais cela vous causera sûrement des torts. NOTE: Cette option est obsolète maintenant que MPlayer gère OpenDML.

-mc <secondes/trame>
    Correction de synchro A-V maximum par trame (en secondes).

-mf <option1:option2:...>
    Utilisé lors du décodage de multiples fichiers PNG ou JPEG.

    Les options disponibles sont:

    largeur de la sortie (par défaut : autodétection) hauteur de la sortie (par défaut autodétection) fps de la sortie (par défaut : 25) type des fichiers d'entrée (types disponibles: jpeg, png, tga, sgi)

-ni (AVI uniquement)
    Forcer l'utilisation du filtre AVI non entrelacé (permet de jouer certains mauvais fichiers AVI). NOTE : Il ne s'agit pas d'entrelacement au sens de celle présente dans une vidéo issue d'un caméscope numérique, mais d'entrelacement au sens de multiplexage audio vidéo dans le fichier vidéo.

-nobps (AVI uniquement)
    Ne pas utiliser la valeur octet/sec moyenne pour la synchro A-V. Aide pour certains fichiers AVI avec une entête cassée.

-noextbased
    Désactive la sélection de démultiplexeur basée sur l'extension du fichier. Par défaut, quand le type de fichier (respectivement, de démultiplexeur) ne peut être détecté de façon fiable (le fichier n'a pas d'entête ou n'est pas suffisamment fiable), l'extension du fichier est utilisée pour sélectionner le démultiplexeur. Il se rabat toujours sur une sélection de démultiplexeur basée sur le contenu.

-passwd <mot de passe> (voir également -user) (réseau uniquement)
    Indique le mot de passe pour l'identification http.

-prefer-ipv4 (réseau uniquement)
    Utilise IPv4 pour les connections réseau. Se rabat automatiquement sur IPv6.

-prefer-ipv6 (réseau IPv6 uniquement)
    Utilise IPv4 pour les connections réseau. Se rabat automatiquement sur IPv4.

-rawaudio <option1:option2:...>
    Cette option vous permet de lire des fichiers audio bruts. Il peut aussi être utilisé pour lire des CD audio qui ne sont pas 44KHz 16-bit stéréo. Pour lire un flux AC3 brut, utilisez -rawaudio on:format=0x2000.

    Les options disponibles sont:

    utilise le démultiplexeur audio brut nombre de canaux taux d'échantillonnage par seconde taille des échantillons en octets fourcc en hexa

-rawvideo <option1:option2:...>
    Cette option vous permet de lire des fichiers vidéo bruts.

    Les options disponibles sont:

    utilise le démultiplexeur vidéo brut débit en trames par seconde (par défaut : 25.0) définit la taille d'image standard largeur de l'image en pixels hauteur de l'image en pixels définie l'espace de couleurs espace de couleur (fourcc) en hexa taille de trame en octets

-rtsp-stream-over-tcp (live.com uniquement)
    Utilisé avec 'rtsp://', URLs pour indiquer que les paquets RTP et RTCP entrants seront streamés sur TCP (en utilisant la même connexion TCP que RTSP). Cette option peut être utile si vous avez une mauvaise connexion Internet qui bloque les paquets UDP entrants (voir http://www.live.com/mplayer/).

-saveidx <nomfichier>
    Force la reconstruction de l'index et le sauvegarde dans <nomfichier>. Pour l'instant cela ne fonctionne qu'avec les fichiers AVI.
    NOTE: Cette option est obsolète maintenant que MPlayer gère OpenDML.

-sb <position octet> (voir aussi -ss)
    Se place à la position donnée en octets. Utile pour la lecture d'images CDROM ou fichiers VOB avec des informations erronées au début.

-srate <Hz>
    Sélectionne la fréquence d'échantillonnage audio, en ré-échantillonnant si nécessaire. Le type de ré-échantillonnage peut être contrôlé par l'option -af-adv. Par défaut, un ré-échantillonnage rapide est fait, ce qui peut créer des distorsions. MEncoder passe cette valeur à LAME pour le ré-échantillonnage.

-ss <temps> (voir aussi -sb)
    Se place à la position temporelle indiquée.

    EXEMPLE: se place à 56 secondes se place à 1 heure 10 min

-tskeepbroken
    Dit à MPlayer de ne pas rejeter les paquets TS marqués comme cassés dans le flux. Parfois requis pour lire des fichiers MPEG-TS corrompus.

-tsprobe <position octet>
    Pour la lecture de flux MPEG-TS, cette option vous permet d'indiquer sur combien d'octets du flux MPlayer devra chercher les pids audio et vidéo désirés.

-tsprog <1-65534>
    Pour la lecture de flux MPEG-TS, vous pouvez indiquer quel programme (si présent) vous voulez lire. Peut être utilisé avec -vid et -aid.

-tv <option1:option2:...> (TV uniquement)
    Cette option active les facultés de capture TV de MPlayer. Pour regarder la TV avec MPlayer, utilisez 'tv://' ou 'tv://<numéro_canal>' ou même 'tv://<nom_canal>' (voir l'option channels pour numéro_canal plus bas) comme URL de film. NOTE:
    MPlayer n'accepte pas les deux-points, vous devez donc taper l'ID périphérique avec des points (c'est-à-dire . hw.0,0 au lieu de hw:0,0).
    Bien que vous puissiez sélectionner n'importe quelle fréquence d'échantillonnage en utilisant ALSA, le codec audio de LAME n'est capable d'encoder que les fréquences 'standards'. Vous obtiendrez un fichier .avi sans son si vous choisissez une fréquence inhabituelle et utilisez ce codec.

    Les options disponibles sont: aucun son disponible: dummy, v4l, v4l2, bsdbt848 Spécifie un autre périphérique que celui par défaut /dev/video0. Définit une autre entrée que celle par défaut 0 (Télévision) (voir la sortie console pour en obtenir la liste) Spécifie sur quelle fréquence régler le tuner (par exemple 511.250). Non compatible avec le paramètre channels. Spécifie le format de sortie du tuner avec une valeur pré-selectionnée Géré par le pilote v4l (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) ou un format arbitraire donné en valeur héxa. Essayez outfmt=help pour avoir la liste des formats disponibles. largeur de la fenêtre hauteur de la fenêtre fréquence de la capture vidéo (trames par seconde) taille maximale du tampon de capture en mégaoctets (ajusté de façon dynamique par défaut) Pour bsdbt848 et v4l, PAL, SECAM, NTSC sont disponibles. Pour v4l2, référez-vous à la sortie console pour avoir une liste des normes disponibles, voir aussi l'option normid ci-dessous. Définit la norme TV à l'identifiant numérique donné. La norme TV dépend de la carte d'acquisition. Voir les messages de MPlayer sur la console pour une liste des normes TV disponibles. Régler le tuner sur le canal <valeur> disponible: europe-east, europe-west, us-bcast, us-cable, etc Définit des noms pour les canaux. Utilisez _ pour les espaces dans les noms (ou jouez avec les guillemets ;-). Les noms de canaux seront ensuite écrits en utilisant l'OSD, et les commandes tv_step_channel, tv_set_channel et tv_last_channel seront utilisables avec une télécommande (voir LIRC). Non compatible avec le paramètre frequency.
    NOTE : Le numéro de canal sera sa position dans la liste des 'channels', en commençant à 1.
    EXEMPLE Exemple: utilisez tv://1, tv://2, tv://TV1, tv_set_channel 1, tv_set_channel 2, tv_set_channel TV1, etc. Initialise les paramètres de couleur de la carte. Correspondent à [luminosité|contraste|tonalité|saturation] Définit le débit binaire de capture audio. Capture l'audio même si il n'y a pas de sources audio signalées par v4l. capture depuis ALSA choisit un mode audio: 0: mono
    1: stéréo
    2: langue 1
    3: langue 2 Par défaut, le nombre de canaux audio est déterminé par l'interrogation automatique de la carte tv. Cette option vous permet de forcer l'enregistrement stereo/mono sans tenir compte de l'option amode et des valeurs retournées par v4l. Elle peut être utilisée quand la carte tv est incapable de renvoyer le mode audio courant. Indique un périphérique audio. /dev/... pour OSS
    ID matériel pour ALSA. Voir la documentation de -ao alsa pour savoir comment définir l'ID matériel. choisit la sortie audio de la carte de capture, si elle en a plus qu'une. Ces options règlent les paramètres du mixeur de la carte de capture vidéo. Elles n'auront aucun effet si votre carte ne dispose pas d'un mixeur. Pour v4l1, 0-65535 est un intervalle valide. Pour v4l2, l'intervalle valide est 0 à 100, et 50 correspond à la valeur par défaut du contrôle, tel que reporté par le pilote. Un valeur de 0 signifie capturer et mettre en cache l'audio et la vidéo ensemble (par défaut pour MEncoder). Une valeur de 1 (par défaut pour MPlayer) signifie ne capturer que la vidéo et laisser l'audio passer directement de la carte TV à la carte son. Utilise la compression mjpeg matérielle (si la carte le gère). En utilisant cette option, vous n'avez pas besoin de spécifier la largeur et la hauteur de la fenêtre de sortie, car MPlayer la déterminera automatiquement d'après la valeur affectée à l'option decimation (voir ci-dessous). choisit la taille de l'image qui sera compressée matériellement : 1: pleine résolution
        704x576 PAL
        704x480 NTSC
    2: résolution moyenne
        352x288 PAL
        352x240 NTSC
    4: faible résolution
        176x144 PAL
        176x120 NTSC choisit la qualité de la compression jpeg
    (quality < 60 recommandé pour la pleine résolution)

-user <nom utilisateur> (voir également -passwd) (réseau uniquement)
    Indique un nom d'utilisateur pour l'identification HTTP.

-user-agent <chaine>
    Utilise <chaine> comme User-Agent pour les flux sur HTTP.

-vid <ID>
    Sélectionne le canal vidéo (MPG: 0-15 ASF: 0-255 MPEG-TS: 17-8190). Pour lire un flux MPEG-TS, MPlayer/MEncoder utilisera le premier programme (si présent) avec le flux vidéo choisi.

-vivo <sub-options> (CODE DE DÉBOGAGE)
    Force les paramètres audio du démultiplexeur VIVO (pour débogage).

OPTIONS OSD/SUB
NOTE: Voir également -vf expand.

-dumpjacosub (MPlayer uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format basé sur le temps JACOsub. Crée un fichier dumpsub.js dans le répertoire courant.

-dumpmicrodvdsub (MPlayer uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format MicroDVD. Créé un fichier dumpsub.sub dans le répertoire courant.

-dumpmpsub (MPlayer uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format natif de MPlayer, MPsub. Créé un fichier dump.mpsub dans le répertoire courant.

-dumpsami (MPlayer uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format basé sur le temps SAMI. Crée un fichier dumpsub.smi dans le répertoire courant.

-dumpsrtsub (MPlayer uniquement)
    Convertit les sous-titres donnés (via l'option -sub) au format basé sur le temps SubViewer (SRT). Créé un fichier dump.srt dans le répertoire courant.

-dumpsub (MPlayer uniquement) (CODE BÉTA)
    Extrait les sous-titres d'un flux VOB. Voir également les options -dump*sub et -vobsubout*.

-ffactor <nombre>
    Ré-échantillonne le canal de transparence (alpha) de la palette de la police. Peut être: polices toutes blanches bordure noire très fine (par défaut) bordure noire fine bordure noire épaisse

-flip-hebrew (FriBiDi uniquement)
    Active le retournement des sous-titres en utilisant FriBiDi.

-noflip-hebrew-commas
    Change les suppositions de FriBiDi vis-à vis de la place des virgules dans les sous-titres. À utiliser si les virgules des sous-titres sont affichés au début des phrases au lieu de la fin.

-font <chemin vers le fichier font.desc> (OSD uniquement)
    Recherche les polices OSD/SUB dans un répertoire particulier (par défaut pour les polices normales: ~/.mplayer/font/font.desc, pour les polices FreeType: ~/.mplayer/subfont.ttf).
    NOTE: Avec FreeType, cette option détermine le chemin vers le fichier de polices. Avec Fontconfig, cette option détermine le nom de police fontconfig.

    EXEMPLE: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf
    -font 'Bitstream Vera Sans'

-fontconfig (fontconfig uniquement)
    Active l'utilisation des polices gérées par fontconfig.

-forcedsubsonly
    N'affiche que les sous-titres forcés des sous-titres DVD sélectionnés, par ex. avec -slang.

-fribidi-charset <nom charset>
    Définit le charset à passer à FriBiDi pour le décodage de sous-titres non-UTF8 (par défaut : ISO8859-8).

-ifo <fichier ifo VOBsub>
    Indique le fichier à utiliser pour charger la palette et la taille des trames des sous-titres VOBSUB.

-noautosub
    Désactive le chargement automatique du fichier de sous-titres.

-osdlevel <0-3> (MPlayer uniquement)
    Définit dans quel mode OSD démarrer. 0: sous-titres uniquement volume + position (par défaut) volume + position + compteur + pourcentage volume + position + compteur + pourcentage + temps total

-overlapsub
    Permet au prochain sous-titre de s'afficher pendant que l'actuel est toujours visible (le comportement par défaut est d'en activer la gestion que pour des formats spécifiques).

-sid <ID> (voir aussi l'option -slang)
    Affiche le sous-titre <ID> (0-31) du DVD lors de sa lecture. MPlayer affiche la liste des sous-titres disponibles, quand il est lancé en mode verbeux (-v).

-slang <code-pays à deux lettres> (voir aussi l'option -sid)
    Définit la langue du sous-titre. MPlayer affiche la liste des sous-titres disponibles, quand il est lancé en mode verbeux (-v).
    Vous pouvez aussi donner une liste de codes de pays vers lequel se rabattre lors de la recherche des sous-titres. EXEMPLE: Sélectionne le hongrois et se rabat sur l'anglais si le hongrois n'est pas disponible.

-spuaa <mode> (OSD uniquement)
    Mode d'anti-crénelage/redimmensionnement pour DVD/VobSub. Une valeur de 16 peut être ajouté à mode pour forcer le redimmensionnement même si la trame originale et la trame redimmensionnée correspondent déjà, par ex. pour lisser les sous-titres avec un flou gaussien. Les modes disponibles sont: aucun (le plus rapide, très vilain) approximatif (cassé ?) complet (lent) bilinéaire (par défaut, rapide et pas trop mauvais) utilise le flou gaussien swscaler (très joli)

-spualign <-1-2> (OSD uniquement)
    Définit l'alignement des sous-titres SPU (DVD/VobSub). position originale. aligner en haut (par défaut) aligner au milieu aligner en bas

-spugauss <0.0-3.0> (OSD uniquement)
    Paramètre de Variance du gaussien utilisé par -spuaa 4. L'accroître augmente le flou (par défaut : 1.0).

-sub <fichier de sous-titres1,fichier de sous-titres2,...>
    Utilise/affiche ces sous-titres. Un seul fichier peut être affiché à la fois.

-sub-bg-alpha <0-255>
    Définit la valeur du canal de transparence alpha pour le fond des sous-titres et de l'OSD. De grandes valeurs signifient plus transparent. La valeur 0 est une exception et signifie complètement transparent.

-sub-bg-color <0-255>
    Spécifie la valeur de la couleur pour le fond des sous-titres et de l'OSD. Actuellement les sous-titres sont en niveau de gris donc cette valeur est équivalente à l'intensité de la couleur. La valeur 255 signifie blanc et 0 noir.

-sub-demuxer <nombre> (-subfile uniquement) (CODE BÉTA)
    Force le type de démultiplexeur de sous-titres pour -subfile. Donnez l'ID du demuxer tel que défini dans subreader.h.

-sub-fuzziness <mode>
    Ajuste l'exactitude de recherche des sous-titres: correspondance exacte Charge tous les sous-titres contenant le nom du film. Charge tous les sous-titres du répertoire courant.

-sub-no-text-pp
    Désactive tout post-traitement du texte après avoir chargé les sous-titres. Utilisé pour débogage.

-subalign <0-2> (OSD uniquement)
    Définit l'alignement des sous-titres alignés avec -subpos. Aligner en haut (par défaut). Aligner au milieu. Aligner en bas.

-subcc
    Affiche les sous-titres DVD Closed Caption (CC). Ce ne sont PAS les sous-titres VOB, ce sont des sous-titres ASCII spéciaux pour malentendants encodés dans les flux VOB sur la plupart des DVD zone 1. Actuellement il ne semble pas y avoir de sous-titres CC sur les DVD d'autres zones.

-subcp <codepage> (iconv uniquement)
    Si votre système gère iconv(3), vous pouvez utiliser cette option pour définir la page de code du sous-titre.

    EXEMPLE: -subcp latin2
    -subcp cp1250

-subcp enca:<langue>:<page de code alternative> (ENCA uniquement)
    Vous pouvez définir votre langue d'après son code à deux lettres pour que ENCA détecte automatiquement votre page de code. En cas de doute, mettez n'importe quoi et regardez la sortie de mplayer en mode verbeux (-v) pour savoir quelles sont les langues disponibles. La page de code alternative sera utilisée en cas d'échec de l'autodétection.

    EXEMPLE: Devine l'encodage, en faisant l'hypothèse que ce soit du Tchèque, et se rabat sur latin 2 si la détection échoue. Tente avec un code Polonais, ou se rabat sur cp1250.

-subdelay <sec>
    Retarde les sous-titres de <sec> secondes. Peut être négatif.

-subfile <nomfichier> (CODE BÉTA)
    Inutile actuellement. Identique à -audiofile, mais pour les flux de sous-titres (OggDS ?).

-subfont-autoscale <0-3> (FreeType uniquement)
    Sélectionne le mode de redimensionnement automatique.
    NOTE: 0 signifie que les tailles du texte et de l'OSD sont des largeurs de police en pixels.

    Le mode peut être:

    aucun redimensionnement proportionnel à la largeur du film proportionnel à la hauteur du film proportionnel à la diagonale du film (par défaut)

-subfont-blur <0-8> (FreeType uniquement)
    Fixe le rayon de flou (blur) sur les polices (par défaut : 2).

-subfont-encoding <valeur> (FreeType uniquement)
    Fixe l'encodage de la police. Avec 'unicode', tous les signes du fichier de police seront affichés et unicode sera utilisé (par défaut : unicode).

-subfont-osd-scale <0-100> (FreeType uniquement)
    Fixe le coefficient de mise à l'échelle automatique des éléments OSD (par défaut : 6).

-subfont-outline <0-8> (FreeType uniquement)
    Fixe l'épaisseur de la bordure de police (par défaut : 2).

-subfont-text-scale <0-100> (FreeType uniquement)
    Fixe le coefficient de mise à l'échelle automatique (en pourcentage de la taille de l'écran) (par défaut : 5).

-subfps <flottant>
    Définit le rapport trame/sec du sous-titre (par défaut : le même rapport que celui du film)
    NOTE:
    Uniquement pour les fichiers de sous-titres basés sur des trames, comme le format MicroDVD.

-subpos <0-100> (utile avec -vf expand) (OSD uniquement)
    Définit la position des sous-titres sur l'écran. Cette valeur est la position verticale des sous-titres en % de la hauteur de l'écran.

-subwidth <10-100> (OSD uniquement)
    Définit la largeur maximum des sous-titres sur l'écran. Utile pour la sortie TV. La valeur est la largeur des sous-titres en % de la largeur de l'écran.

-unicode
    Indique à MPlayer de traiter le fichier de sous-titre au format unicode.

-utf8
    Indique à MPlayer de traiter le fichier de sous-titre au un format UTF-8.

-vobsub <fichier VOBsub sans extension>
    Définit le fichier VOBsub qui sera utilisé pour les sous-titres. Indiquez le chemin complet sans extensions, c'est-à-dire sans '.idx', '.ifo' ou '.sub'.

-vobsubid <0-31>
    Définit le numéro de sous-titre du fichier VOBsub.

OPTIONS DE SORTIE AUDIO (MPLAYER UNIQUEMENT)

-abs <valeur> (-ao oss uniquement) (OBSOLÈTE)
    Outrepasse la détection de la taille du buffer audio du pilote/de la carte.

-aofile <nomfichier>
    Outrepasse le nom de fichier par défaut utilisé par -ao pcm.

-aop <list=plugin1,plugin2...:option1=valeur1:opt2=val2...>
    Définit le(s) plugin(s) et leurs options (voir également la section des plugins audio de la documentation).

    Les options disponibles sont: liste des plugins séparée par des virgules (resample, surround, format, volume, extrastereo, volnorm, delay) plugin d'exemple, à ne pas utiliser. format de sortie (plugin format uniquement) fréquence de sortie (plugin resample uniquement) volume (plugin volume uniquement) coefficient de stéréo (par défaut : 2.5) (plugin extrastereo uniquement) capacités de compression/'soft-clipping' (plugin volume uniquement)

-delay <sec>
    Décalage audio en secondes (nombre flottant positif ou négatif).

-format <0-8192>
    Sélectionne le format utilisé pour la sortie depuis la couche filtre (suivant les définitions de libao2/afmt.h): Mu-Law A-Law Ima-ADPCM 8-bit non signé 16-bit signé (little-endian) 16-bit signé (big-endian) 8-bit signé 16-bit non signé (little-endian) 16-bit non signé (big-endian) MPEG (2) audio AC3 32-bit signé (little-endian) 32-bit signé (big-endian)

-mixer <périph.>
    Utilise un autre périphérique de mixage que celui par défaut /dev/mixer. C'est le mixeur utilisé par ALSA

-mixer-channel <ligne de mixeur>[,index de mixeur] (-ao oss et -ao alsa uniquement)
    Cette option dit à MPlayer d'utiliser un canal différent du PCM par défaut pour contrôler le volume. Les options OSS incluent vol, pcm, line. Pour une liste complète des options, cherchez SOUND_DEVICE_NAMES dans /usr/include/linux/soundcard.h. Pour ALSA vous pouvez utiliser les noms tels qu'indiqués par ex. par alsamixer, comme Master, Line, PCM.
    NOTE : Les canaux du mixeur ALSA suivis par un nombre doivent être donnés au format <nom,nombre>, par ex. le canal dont le label est 'PCM 1' dans alsamixer doit être transformé en PCM,1.

-softvol
    Force l'utilisation du mixeur logiciel à la place de celui de la carte son.

-softvol-max <10.0-10000.0>
    Définit le niveau maximal d'amplification en pourcents (par défaut : 0). Une valeur de 200 vous permet d'ajuster le volume, au maximum, jusqu'au double du niveau courant. Avec une valeur inférieure à 100, le niveau initial (qui est 100%) sera au-delà du niveau maximum ; par conséquent l'OSD ne l'affichera pas correctement.

-nowaveheader (-ao pcm uniquement)
    Ne pas inclure l'entête wave. Utilisé avec PCM brut (raw).

-volstep <0-100>
    Définit l'importance de l'augmentation du volume, en pourcentage du volume maximum (par défaut : 3).

OPTIONS DE SORTIE AUDIO (MPLAYER UNIQUEMENT)
Les pilotes de sortie audio sont des interfaces vers différentes architectures de sortie audio. La syntaxe est :

-ao <driver1[:sous-option1[=valeur]:...],driver2,...[,]>
    Définit une liste de priorité des drivers de sortie audio à utiliser.

Si la liste finit par ',', les autres pilotes seront essayés en cas d'échec. Les sous-options sont optionnelles et peuvent, la plupart du temps, être omises.
NOTE: Pour obtenir la liste complète des pilotes disponibles, voir -ao help.

EXEMPLE Essaie d'utiliser ALSA, puis OSS ainsi que les autres en cas d'échec. Initialise le nom de périphérique, en accès non bloquant et mappé en mémoire, de la première carte, quatrième périphérique (ouf ! ;-).

Les pilotes de sorties audio sont :

alsa
    Pilote de sortie audio ALSA 0.9/1.x. Active le mode expérimental mappé en mémoire (ne marche pas avec plus de deux canaux) Active le mode non-bloquant. Définit le nom de périphérique. Remplacez les ',' par '.' et ':' par '=' dans les noms de périphérique ALSA. Assurez-vous bien de ne pas activer ceci lorsque vous voulez sortir directement hwac3 via S/PDIF, à moins que vous sachiez vraiment comment bien le configurer.

alsa5
    Pilote de sortie audio ALSA 0.5.

oss Pilote de sortie audio OSS. Définit le périphérique audio d'entrée (/dev/dsp par defaut).

sdl Pilote de sortie audio de la librairie SDL. SDL (Simple Directmedia Layer) est une librairie très indépendante de la plateforme. Choisit explicitement le pilote SDL à utiliser (par défaut : SDL choisit tout seul).

arts
    Sortie audio par le démon Arts.

esd Sortie audio par le démon ESD. Choisit explicitement le serveur ESD à utiliser (par défaut : localhost).

jack
    Sortie audio par JACK (Jack Audio Connection Kit).

nas Sortie audio par NAS.

macosx (Mac OS X uniquement)
    Pilote de sortie audio natif de Mac OS X.

sgi (SGI uniquement)
    Pilote de sortie audio natif de SGI.

sun (Sun uniquement)
    Pilote de sortie audio natif de Sun. Choisit explicitement le périphérique audio à utiliser (par défaut : /dev/audio).

win32 (Windows uniquement)
    Pilote de sortie audio waveout natif de Windows.

dxr2 (also see -dxr2) (DXR2 uniquement)
    Pilote de sortie de la Creative DXR2.

mpegpes (DVB uniquement)
    Pilote de sortie spécifique à DVB.

null
    N'émet pas de son mais maintient la vitesse de lecture. Utilisez -nosound pour des mesures (benchmarking).

pcm (voir aussi -aofile)
    Extrait le son PCM/wave brut. Enregistre le son dans ./audiodump.wav.

plugin
    Pilote de plugin de sortie audio.

OPTIONS DE SORTIE VIDÉO (MPLAYER UNIQUEMENT)

-aa* (-vo aa uniquement)
    Vous pouvez obtenir une liste et des explications sur les options disponibles en exécutant mplayer -aahelp

-adapter <valeur>
    Définit la carte graphique qui recevra l'image Nécessite l'option -vm. Vous pouvez obtenir une liste des cartes disponibles si cette option est combinée à l'option -v. Ne fonctionne qu'avec -vo directx pour le moment.

-bpp <profondeur>
    Outrepasse la profondeur de couleur détectée automatiquement. Géré uniquement par les pilotes de sortie vidéo fbdev, dga, svga, vesa.

-brightness <-100-100>
    Ajuste la luminosité du signal vidéo (par défaut : 0). N'est pas géré par tous les pilotes de sortie vidéo.

-contrast <-100-100>
    Ajuste le contraste du signal vidéo (par défaut : 0). N'est pas géré par tous les pilotes de sortie vidéo.

-dfbopts <valeur> (-vo directfb uniquement)
    Définit une liste de paramètres pour le pilote de sortie vidéo directfb.

-display <nom> (X11 uniquement)
    Spécifier le nom d'hôte et le numéro d'affichage du serveur X sur lequel vous désirez afficher la vidéo.

    EXEMPLE: -display xtest.localdomain:0

-dr Active le rendu direct (pas géré par tous les codecs et sorties vidéo)
    ATTENTION : Attention: peut corrompre OSD/SUB!

-dxr2 <option1:option2:...>
    Cette option est utilisée pour contrôler le pilote de sortie vidéo dxr2. mode de rapport hauteur/largeur (0 = normal, 1 = pan-and-scan, 2 = letterbox (par défaut)) Met le mode de sortie iec958 à "encodé". Met le mode de sortie iec958 à "décodé" (par défaut) mode macrovision mode (0 = off (par défaut), 1 = agc, 2 = agc 2 colorstripe, 3 = agc 4 colorstripe) coupe la sortie son rétabli la sortie son chemin du microcode

    Sortie TV
active le mode de sortie 7.5 IRE désactive le mode de sortie 7.5 IRE (par défaut) sortie TV noir et blanc sortie TV couleur (par défaut) sortie TV entrelacée désactive la sortie TV entrelacée norme TV (ntsc (par défaut), pal, pal60, palm, paln, palnc) initialise le mode pixel à square (carré) initialise le mode pixel à ccir601

    overlay
Initialise la valeur de rognage (cropping) à gauche (par défaut : 50). Initialise la valeur de rognage à droite (par défaut : 300). Initialise la valeur de rognage en haut (par défaut : 0). Initialise la valeur de rognage en bas (par défaut : 0). Initialise le gain de r(ouge), v(ert) ou b(leu) pour la couleur de transparence. valeur minimum pour la couleur de transparence respective (r, v, b). valeur minimum pour la couleur de transparence respective (r, v, b). Ignore les paramètres d'incrustation. Met à jour les paramètres d'incrustation. Active l'OnScreen Display (OSD) en incrustation dans la vidéo. Désactive l'incrustation de l'OSD (par défaut) Ajuste la taille (h,l) et la position (x,y) de l'affichage superposé. au cas où il ne correspond pas parfaitement à la fenêtre (par défaut : 0). Active l'incrustation (overlay) (par défaut). Active la sortie TV. Règle l'incrustation (par défaut : 1000).

-fb <périphérique> (-vo fbdev ou directfb uniquement) (OBSOLÈTE)
    Définit le périphérique framebuffer (tampon de trame) à utiliser (par défaut : /dev/fb0).

-fbmode <nom_mode> (-vo fbdev uniquement)
    Se place dans le mode vidéo <nom_mode> tel qu'indiqué dans /etc/fb.modes.
    NOTE: Le framebuffer VESA ne permet pas le changement de mode.

-fbmodeconfig <nomfichier> (-vo fbdev uniquement)
    Outrepasse le fichier de configuration du mode du framebuffer (par défaut : /etc/fb.modes).

-forcexv (-vo sdl uniquement)
    Force l'utilisation de XVideo à travers le pilote de sortie viéo sdl.

-fs (voir aussi -zoom)
    Affichage plein-écran (centre le film, et dessine des bandes noires autour). Tous les pilotes de sortie vidéo ne le permettent pas.

-fsmode-dontuse <0-31> (OBSOLÈTE, utilisez l'option -fs)
    Essayez cette option si vous avez encore des problèmes en plein-écran.

-fstype <type1,type2,...> (X11 uniquement)
    Définit une liste classée par ordre de priorité des modes plein-écran à utiliser. Vous pouvez inverser les modes en les préfixant par '-'. Si vous avez des problèmes d'affichage, comme votre vidéo en plein-écran est cachée par d'autres fenêtres, essayez de ré-ordonner cette liste.
    NOTE: Voir -fstype help pour une liste complète des modes disponibles.

    Les types disponibles sont:

    Utilise l'astuce _NETWM_STATE_ABOVE si disponible. Utilise l'astuce _NETWM_STATE_BELOW si disponible. Utilise l'astuce _NETWM_STATE_FULLSCREEN si disponible. Utilise l'astuce _WIN_LAYER avec la couche par défaut. Utilise l'astuce _WIN_LAYER avec le numéro de couche. Force le style NETWM. N'initialise pas la couche plein-écran de la fenêtre. Utilise l'astuce _NETWM_STATE_STAYS_ON_TOP si disponible.

    EXEMPLE:
L'ordre par défaut, si des modes incorrects ou non gérés sont donnés, sera utilisé en recours. Corrige le basculement en mode plein-écran sur OpenBox 1.x.
-geometry x[%][:y[%]] ou [WxH][+x+y]
    Ajuste la position d'origine sur l'écran de la sortie. Les variables x et y sont en pixels mesurés à partir du coin supérieur droit de l'écran jusqu'au coin supérieur droit de la vidéo affichée, cependant si un signe pourcentage est indiqué après la variable, cette valeur est alors interprétée comme le pourcentage de la taille de l'écran dans cette direction. Il gère également le format d'option standard X11 -geometry. Si une fenêtre externe est donnée par l'intermédiaire de l'option -wid, alors les coordonnées x et y sont relatives aux coin supérieur gauche de la fenêtre au lieu celui de l'écran.
    NOTE: Cette option n'est permise que par les pilotes de sortie vidéo x11, xmga, xv, xvmc, xvidix, directx et tdfxfb.

    EXEMPLE: Place la fenêtre à x=50, y=40 Place la fenêtre au centre de l'écran Place la fenêtre en haut à gauche de l'écran Place la fenêtre en bas à gauche de l'écran

-guiwid <ID fenêtre> (voir aussi -wid) (GUI uniquement)
    Indique à la GUI (Graphical User Interface : interface homme-machine graphique) d'utiliser également une fenêtre X11 et de se fixer au bas de la vidéo, ce qui est utile pour embarquer une mini-GUI dans un navigateur (avec mplayerplug-in par exemple).

-hue <-100-100>
    Ajuste la couleur (hue) du signal vidéo (par défaut : 0). Vous pouvez obtenir un négatif de l'image avec cette option. Non géné par tous les pilotes de sortie vidéo.

-monitor-dotclock <intervalle[,intervalle,...]> (-vo fbdev et vesa uniquement)
    Définit les paramètres de rafraichissement dotclock ou pixelclock du moniteur.

-monitor-hfreq <intervalle[,intervalle,...]> (-vo fbdev et vesa uniquement)
    Définit l'intervalle de rafraichissement horizontal du moniteur.

-monitor-vfreq <intervalle[,intervalle,...]> (-vo fbdev et vesa uniquement)
    Définit l'intervalle de rafraichissement vertical du moniteur.

-monitoraspect <rapport> (Voir aussi -aspect)
    Fixe le rapport hauteur/largeur de votre moniteur ou de votre TV.

    EXEMPLE: -monitoraspect 4:3 ou 1.3333
    -monitoraspect 16:9 ou 1.7777

-nodouble
    Désactive le double tamponnage (buffering), surtout à des fins de débogage. Le double tamponnage évite les phénomènes de scintillement en plaçant deux trames en mémoire, et en affichant l'une tandis que l'on décode l'autre. Peut affecter négativement l'OSD, mais évite les effets de scintillement de l'OSD.

-nograbpointer
    Ne capture pas le pointeur de la souris après une changement de mode vidéo (-vm). Utile pour les configurations multi-écrans.

-nokeepaspect
    Ne garde pas le rapport hauteur/largeur de la fenêtre lors d'un redimensionnement de fenêtre X11. Ne fonctionne actuellement qu'avec les pilotes de sortie vidéo x11, xv, xmga et xvidix. De plus, votre gestionnaire de fenêtres doit comprendre les astuces de rapport hauteur/largeur de fenêtres.

-noxv (-vo sdl uniquement)
    Désactive l'utilisation de XVideo au travers du pilote de sortie vidéo SDL.

-ontop
    Rends la fenêtre de lecture toujours visible. Permise par les pilotes de sortie vidéo qui utilisent X11, excepté SDL, aussi bien que directx et gl2 sous Windows.

-panscan <0.0-1.0>
    Active la fonctionnalité "pan-and-scan" (par ex. couper les côtés d'un film 16/9e pour qu'il tienne sans bords noirs sur un écran 4/3) L'intervalle définit à quel point l'image sera coupée. Cette option ne fonctionne qu'avec les pilotes de sortie vidéo xv, xmga, mga, gl, quartz et xvidix.

-refreshrate <Hz>
    Définit la fréquence de rafraichissement en Hz. N'est géré actuellement que par -vo directx combinée avec l'option -vm.

-rootwin
    Joue le film dans la fenêtre root (le fond du bureau). Les images en fond d'écran peuvent néanmoins cacher le film. Cette option ne fonctionne qu'avec les pilotes de sortie vidéo x11, xv, xmga, xvidix, quartz et directx.

-saturation <-100-100>
    Ajuste la saturation du signal vidéo (par défaut : 0). Vous pouvez obtenir une sortie en noir et blanc avec cette option. N'est pas géré par tous les pilotes de sortie vidéo.

-screenh <pixels>
    Définit la résolution verticale de votre écran pour des pilotes de sortie vidéo qui ne connaissent pas la résolution de l'écran, comme fbdev, x11 et TVout

-screenw <pixels>
    Définit la résolution horizontale de votre écran pour des pilotes de sortie vidéo qui ne connaissent pas la résolution de l'écran, comme fbdev, x11 et TVout

-stop-xscreensaver (X11 uniquement)
    Désactive xscreensaver (le reposeur d'écran) au lancement et le réactive à la sortie.

-vm Essaie de changer vers autre mode vidéo. Les pilotes de sortie vidéo dga, x11, xv, sdl et directx le permettent. Si utilisé avec le pilote de sortie vidéo directx, les options -screenw, -screenh, -bpp et -refreshrate peuvent être utilisées pour paramétrer ce nouveau mode d'affichage vidéo.

-vsync
    Active VBI pour les pilotes de sortie vidéo vesa, dfbmga et svga.

-wid <window ID> (voir aussi -guiwid) (X11 et DirectX uniquement)
    Dit à MPlayer de s'attacher à une fenêtre existante. Utile pour intégrer MPlayer dans un navigateur (avec l'extension plugger par exemple).

-xineramascreen <0-...>
    Dans les configurations xinerama (c'est à dire un bureau unique s'étendant sur plusieurs écrans, cette option dit à MPlayer sur quel écran afficher le film.

-z <0-9> (-vo png uniquement)
    Définit le taux de compression du pilote de sortie vidéo png 0 équivaut à pas de compression et 9 à la compression maximale.

-zrbw (-vo zr uniquement)
    Affiche en noir et blanc. Pour des performances optimales, cette option '-lavdopts gray'.

-zrcrop <[width]x[height]+[x offset]+[y offset]> (-vo zr uniquement)
    Sélectionne une partie de l'image pour affichage, de multiples occurrences de cette option activent le mode cinérama. En mode cinérama le film est réparti sur plusieurs TV (ou moniteurs) pour créer un écran plus large. Les options apparaissant après le n-ième -zrcrop s'appliquent à la n-ième carte MJPEG, chaque carte devant au moins avoir un -zrdev en plus de -zrcrop. Voir la sortie de -zrhelp et la section Zr de la documentation pour les exemples.

-zrdev <périphérique> (-vo zr uniquement)
    Définir le fichier de périphérique spécial qui correspond à votre carte MJPEG, par défaut le pilote de sortie vidéo zr prend le premier périphérique v4l qu'il peut trouver.

-zrfd (-vo zr uniquement)
    Forcer le sous-échantillonnage : le sous-échantillonnage, paramétré via -zrhdec et -zrvdec, ne fonctionne que si le zoom matériel peut étirer l'image à sa taille originale. Utilisez cette option pour forcer le sous-échantillonnage. -zrhdec <1,2,4> (-vo zr uniquement) Sous-échantillonnage horizontal : Demande au pilote de n'envoyer que chaque 2ème ou 4ème ligne/pixel de l'image à la carte MJPEG et d'utiliser le zoom de la carte MJPEG pour étirer l'image à sa taille initiale.

-zrhelp (-vo zr uniquement)
    Affiche la liste de toutes les options -zr*, leur valeur par défaut et un exemple de mode cinérama.

-zrnorm <norm> (-vo zr uniquement)
    Définit la norme TV à PAL ou NTSC (par défaut : 'no change').

-zrquality <1-20> (-vo zr uniquement)
    Un nombre de 1 (meilleur) à 20 (pire) représentant la qualité de l'encodage JPEG. 1 est la meilleure qualité et 20 la plus mauvaise.

-zrvdec <1,2,4> (-vo zr uniquement)
    Sous-échantillonnage vertical : Demande au pilote de n'envoyer que chaque 2ème ou 4ème ligne/pixel de l'image à la carte MJPEG et d'utiliser le zoom de la carte MJPEG pour étirer l'image à sa taille initiale.

-zrxdoff <offset d'affichage x> (-vo zr uniquement)
    Si le film est plus petit que l'écran, cette option contrôle la position x du film par rapport au coin supérieur gauche de l'écran (par défaut : centré).

-zrydoff <offset d'affichage y> (-vo zr uniquement)
    Si le film est plus petit que l'écran, cette option contrôle la position y du film par rapport au coin supérieur gauche de l'écran (par défaut : centré).

PILOTES DE SORTIE VIDÉO (MPLAYER UNIQUEMENT)
Les pilotes de sortie vidéo sont des interfaces pour accéder aux fonctions de sortie vidéo. La syntaxe est:

-vo <pilote1[:option],pilote2,...[,]>
    Spécifie une liste des priorités pour les pilotes de sortie à utiliser.

Si la liste se termine par ',' les autres pilotes seront essayés en cas d'échec. Les sous-options sont optionnelles et peuvent être omises pour la plupart.
NOTE: Voir -vo help pour la liste des pilotes de sortie vidéo compilés dans votre version de MPlayer.

EXEMPLE: Essaie le pilote Matrox X11, puis le pilote Xv, puis les autres. Utilise le pilote DirectX en désactivant les fonctions d'accélération.

Les pilotes de sortie disponibles sont:

xv (X11 uniquement)
    Utilise l'extension XVideo de XFree86 4.x pour permettre la lecture avec accélération matérielle. Si vous ne pouvez pas utiliser un pilote spécifique a votre matériel, ceci est probablement la meilleure option. Sélectionne un port XVideo particulier.

x11 (X11 uniquement)
    Pilote de sortie vidéo en mémoire partagée sans accélération matérielle qui fonctionne dès que X11 est présent.

xover (X11 uniquement)
    Ajoute la gestion de X11 à tous les pilotes de sortie vidéo basés sur l'incrustation (overlay). Géré actuellement uniquement par tdfx_vid. Sélectionnne le pilote à utiliser comme source pour l'incrustation dans X11.

xvmc (X11 avec -vc ffmpeg12mc uniquement)
    Ce pilote emploie l'extension XvMC (X Video Motion Compensation) de XFree86 4.x pour accélérer les lectures de médias MPEG-1/2 et VCR2. Désactive l'affichage de toute image. Nécessaire pour évaluer les performances (benchmarking) des pilotes qui mettent à jour leurs tampons d'affichage uniquement lors du rafraîchissement de l'écran (nVidia). Met plusieurs trames dans queue d'affichage pour permettre aux circuits matériels de les traiter en parallèle. Peut ajouter une faible (imperceptible) et constante désynchronisation A/V. Utilise la fonction sleep() lorsque MPlayer attend la fin de l'affichage de l'image (déconseillé sous Linux). N'utilise pas la fonction sleep() lorsque MPlayer attend la fin de l'affichage de l'image (par défaut).

dga (X11 uniquement)
    Joue la vidéo par l'intermédiaire de l'extension Direct Graphics Access de XFree86. Considéré comme obsolète.

sdl (voir aussi -forcexv, -noxv) (SDL uniquement)
    Pilote de sortie vidéo de la librairie multi-plateforme SDL (Simple Directmedia Layer). Étant donné que SDL dispose de sa propre couche X11, les options X11 de MPlayer n'ont aucun effet sur SDL. Choisit explicitement le pilote SDL à utiliser.

vidix
    VIDIX (VIDeo Interface for *niX) est une interface pour les fonctionnalités d'accélération vidéo de différentes cartes graphiques. Pilote de sortie vidéo très rapide sur les cartes le gérant. Choisi explicitement le sous-périphérique à utiliser. Les pilotes de sous-périphérique existant sont cyberblade_vid, mach64_vid, mga_crtc2_vid, mga_vid, nvidia_vid, pm3_vid, radeon_vid, rage128_vid, sis_vid et unichrome_vid.

xvidix (X11 uniquement)
    VIDIX tournant sous X11.

cvidix
    Interface à VIDIX générique et indépendante de la plateforme et pouvant tourner dans une console avec une carte graphique nVidia. Comme pour vidix

winvidix (Windows uniquement)
    VIDIX tournant sous Windows.

directx (Windows uniquement)
    Pilote de sortie vidéo utilisant l'interface DirectX. Désactive l'accélération matérielle. Essayez cette option si vous avez des problèmes d'affichage.

quartz (Mac OS X uniquement)
    Pilote de sortie vidéo Quartz pour Mac OS X. Dans certains cas, il est préférable de forcer le format de sortie packed YUV, avec par ex. -vf format=yuy2 Choisir le moniteur à utiliser en plein-écran. Choisir la résolution du mode plein-écran (utile sur les systèmes plus lents).

fbdev (Linux uniquement)
    Utilise le framebuffer du noyau pour afficher la vidéo. Choisit explicitement le périphérique fbdev à utiliser (par ex. /dev/fb0) ou le nom du sous-périphérique vidix si le nom de périphérique commence par 'vidix' (par ex. 'vidixsis_vid' pour utiliser le pilote sis).

fbdev2 (Linux uniquement)
    Utilise le framebuffer du noyau pour afficher la vidéo, implémentation différente. Choisit explicitement le périphérique fbdev à utiliser (par défaut : /dev/fb0).

vesa
    Pilote de sortie vidéo générique qui devrait fonctionner sur n'importe quelle carte compatible VESA VBE 2.0. Active le mode DGA. Désactive le mode DGA. Active la sortie TV NeoMagic et la configure en norme PAL. Active la sortie TV NeoMagic et la configure en norme NTSC. Utilise le pilote VIDIX. Active le "Linux Video Overlay" au-dessus du mode VESA.

svga
    Affiche la vidéo en utilisant la librairie SVGA. Définit le mode vidéo à utiliser. Ce mode peut être donné au format <largeur>x<hauteur>x<couleurs>, ex. 640x480x16M ou d'après leur numéro de mode graphique, ex. 84. Affiche l'OSD sur les bandes noires du film (plus lent) N'utilise que les fonctions d'affichage natives. Cela évite toute accélération matérielle, OSD, et direct rendering. Oblige un échange de trame lors du retracé vertical. Ne fonctionne qu'avec -double. Cela a le même effet que l'option -vsync. Essaye d'utiliser un mode vidéo aux pixels carrés. Utilise svga avec VIDIX.

gl  Pilote de sortie vidéo OpenGL. Version assez dépouillée, nécessitant que la taille de la vidéo soit plus petite que la taille maximale d'un texture permise par votre implémentation d'OpenGL. Faite pour fonctionner même avec l'implémentation la plus simple l'OpenGL. Active la gestion de plus de formats de couleurs (RGB and BGR). Nécessite une version d'OpenGL >= 1.2. Nombre de lignes de texture à copier à la fois (par défaut : 4). 0 pour l'image entière. Active ou désactive la gestion de l'incrustation OSD via OpenGL (par défaut : activé). Surtout pour des tests, vous devriez utiliser -osdlevel 0 pour désactiver l'incrustation OSD. Change le comportement de l'OSD quand la taille de la fenêtre vidéo change (par défaut : désactivé). Lorsqu'il est activé, il se comporte comme les autres pilotes de sortie vidéo, ce qui est mieux pour les polices de caractères à taille fixe. En le désactivant, le résultat est plus esthétique avec les polices FreeType, et en mode plein-écran, s'affichera dans les bandes noires. Active ou désactive la gestion du redimensionnement du ratio d'aspect et le "pan-and-scan" (par défaut : activé). Sa désactivation peut économiser un peu de temps processeur.

gl2 Pilote de sortie vidéo OpenGL, seconde génération. Gère l'OSD et les vidéo de taille supérieure à la taille maximum d'une texture.

null
    Pas de sortie vidéo. Utile pour les benchmarks.

aa (voir aussi -aa*)
    Pilote de sortie vidéo art ASCII fonctionnant dans une console texte.

caca
    Pilote de sortie vidéo art ASCII en couleur fonctionnant dans une console texte.

bl  Lecture vidéo en utilisant le protocole UDP Blinkenlights. Ce pilote est très dépendant du matériel. Choisit explicitement le sous-périphérique Blinkenlights à utiliser (par ex. arcade:host=localhost:2323 ou hdl:file=nom1,file=nom2). Vous devez définir un sous-périphérique.

ggi Pilote de sortie vidéo pour le système graphique GGI. Choisit explicitement le pilote GGI à utiliser.

directfb
    Joue la vidéo en utilisant la librairie DirectFB. Utilise les codes de touches de DirectFB au lieu de ceux de MPlayer (par défaut : activé). Le tamponnage (buffering) double ou triple produit les meilleurs résultats si vous voulez éviter les effets de distortions. Le triple tamponnage est plus efficace que le double puisqu'il ne bloque pas MPlayer lorsqu'il attend le rafraîchissement vertical. Le tamponnage simple devrait être évité (par défaut : single). Contrôle l'ordre d'affichage des trames entrelacées (défaut : désactivé). Les paramètres valides sont top = les champs du haut en premier, bottom = les champs du bas en premier. Cette option n'a aucun effet sur les vidéos non entrelacées, ce qui représente la majorité des vidéos MPEG. Vous devriez activer cette option si vous observez des distortions ou des mouvements saccadés lorsque vous regardez une vidéo entrelacée. Forcera l'utilisation de la couche dont l'ID est N pour la lecture (par défaut : -1 - auto).

dfbmga
    Pilote de sortie vidéo spécifique aux Matrox G400/G450/G550 utilisant la librairie DirectFB pour exploiter des fonctions câblées spéciales. Active CRTC2 (bi-écran), affichant la vidéo indépendemment de l'autre écran. Active l'utilisation du Matrox BES (backend scaler : fonctions de changement de taille) (par défaut : désactivé). Donne de très bons résultats en matière de rapidité de traitement et de qualité visuelle, puisque le traitement des vidéos entrelacées est réalisé par des circuits matériels spécialisés. Ne fonctionne que sur la sortie vidéo primaire. Utilise la couche de sous-image Matrox (sub picture layer) pour afficher l'OSD (par défaut : activé). Active la sortie TV de la deuxième sortie vidéo (par défaut : activé). La qualité de l'image y est époustouflante puisque toutes les spécificités et limitations de l'affichage sur une TV sont gérées (image entrelacée, synchro, etc ...) Utilise les codes de touches de DirectFB au lieu de ceux de MPlayer (par défaut : activé). Le tamponnage (buffering) double ou triple donnent les meilleurs résultats si vous voulez éviter les effets de distortions. Le triple tamponnage est plus efficace que le double puisqu'il ne bloque pas MPlayer lorsqu'il attend le rafraîchissement vertical. Le tamponnage simple devrait être évité (par défaut : triple). Contrôle l'ordre d'affichage des trames entrelacées (par défaut : désactivé). Les paramètres valides sont "top" (les champs du haut en premier), "bottom" (les champs du bas en premier). Cette option n'a aucun effet sur les vidéos non entrelacées, ce qui représente la majorité des vidéos MPEG. Vous devriez activer cette option si vous observez des distortions ou des mouvements saccadés lorsque vous regardez une vidéo entrelacée. Définit la norme TV de la carte Matrox sans avoir besoin de modifier /etc/directfbrc (par défaut : désactivé). Les normes valides sont pal = PAL, ntsc = NTSC. La norme auto est particulière (auto-ajustement PAL/NTSC) puisqu'elle choisit la norme à utiliser en fonction du nombre de trames par secondes du fim.

mga (Linux uniquement)
    Pilote de sortie vidéo spécifique aux cartes Matrox utilisant le mécanisme de changement de taille (scaling) en espace de couleur YUV sur les cartes Gxxx au moyen d'un module noyau. Si vous avez une carte Matrox, c'est l'option la plus rapide. If you have a Matrox card, this is the fastest option. Choisit explicitement le périphérique Matrox à utiliser (par defaut : /dev/mga_vid).

xmga (Linux, X11 uniquement)
    Le pilote de sortie vidéo MGA, tournant dans une fenêtre X11. Choisit explicitement le périphérique Matrox à utiliser (par defaut : /dev/mga_vid).

syncfb
    Pilote de sortie vidéo du module noyau SyncFB, qui permet de gérer les capacités matérielles des cartes Matrox Gxxx comme le désentrelacement matériel, ou le redimensionnement et la synchronisation de votre sortie vidéo avec la fréquence de rafraichissement verticale de votre moniteur.

3dfx (Linux uniquement)
    Pilote de sortie vidéo spécifique aux cartes 3Dfx. Ce pilote exploite directement les circuits matériels 3Dfx sous X11. Ne gère que le 16 bits/pixel. FIXME: Meilleure explication des differences entre 3dfx, tdfxfb et tdfx_vid?

tdfxfb (Linux uniquement)
    Ce pilote utilise le pilote framebuffer tdfx pour jouer les films avec accélération YUV des 3Dfx. FIXME: Meilleure explication des differences entre 3dfx, tdfxfb et tdfx_vid? Choisit explicitement le périphérique fbdev à utiliser (par défaut : /dev/fb0).

tdfx_vid (Linux uniquement)
    Pilote de sortie vidéo spécifique aux cartes 3Dfx. Ce pilote utilise directement le module noyau tdfx_vid. FIXME: Meilleure explication des differences entre 3dfx, tdfxfb et tdfx_vid? Choisit explicitement le périphérique à utiliser (par défaut : /dev/tdfx_vid).

dxr2 (voir aussi -dxr2) (DXR2 uniquement)
    Pilote de sortie vidéo spécifique aux cartes Creative DXR2. Définit le sous-pilote à utiliser pour l'incrustation (overlay) (x11, xv).

dxr3 (DXR3 uniquement)
    Pilote de sortie vidéo spécifique pour le chipset de décodage MPEG Sigma Designs em8300 (Creative DXR3, Sigma Designs Hollywood Plus). Voir aussi le filtre vidéo lavc. Active l'incrustation (overlay) au lieu de TVOut. Active le pré-buffering. Active le nouveau moteur de synchro. Spécifie la norme TV. 0: Ne change pas la norme actuelle (par défaut).
    1: Ajuste automatiquement entre PAL/NTSC.
    2: Ajuste automatiquement entre PAL/PAL-60.
    3: PAL
    4: PAL-60
    5: NTSC Définit le numéro de périphérique à utiliser si vous avez plus d'une carte em8300.

mpegpes (DVB uniquement)
    Pilote de sortie vidéo pour cartes DVB permettant l'écriture au format MPEG-PES dans un fichier si aucune carte DVB n'est installée. Définit le numéro de périphérique à utiliser si vous avez plus d'une carte DVB (API V3 uniquement, comme la série de pilotes 1.x.y). Définit le nom du fichier de sortie (par défaut : ./grab.mpg).

zr (voir aussi -zr* et -zrhelp)
    Pilote de sortie vidéo pour un certain nombre de cartes de capture/lecture MJPEG.

zr2 (voir aussi le filtre vidéo zrmjpeg)
    Pilote de sortie vidéo pour un certain nombre de cartes de capture/lecture MJPEG, seconde génération. Définit le périphérique à utiliser. Active la norme vidéo PAL. Active la norme vidéo SECAM. Active la norme vidéo NTSC. Active le pré-tamponnage (prebuffering), non géré pour le moment.

md5sum
    Calcule le somme de contrôle MD5 de chaque trame et l'écrit dans un fichier. Gère les espaces de couleurs RGB24 et YV12. Utile pour le débogage. Définit le nom de fichier de sortie (par défaut : ./md5sums).

yuv4mpeg
    Transforme le flux vidéo en une séquence d'images YUV 4:2:0 non compressées et les stocke dans un fichier (par défaut : ./stream.yuv). Ce format est identique à celui employé par la suite mjpegtools, ce qui peut vous être utile si vous comptez retraiter cette vidéo avec cette suite. Ne gère que les formats YV12, RGB (24 bits/pixel) et BGR (24 bits/pixel). Vous pouvez la combiner avec l'option -fixed-vo pour concaténer des fichiers ayant les mêmes dimensions et le même nombre de trames par seconde. Entrelace les trames de sortie, en commençant par les champs du haut. Entrelace les trames de sortie, en commençant par les champs du bas. Écrit la sortie dans <nom_fichier> (par défaut : ./stream.yuv).

    NOTE : Si vous ne définissez pas d'options, sortie sera "progressive" (c-à-d non entrelacée).

gif89a
    Écrit chaque trame dans un fichier GIF animé du répertoire courant. Ne gère que le format RGB avec 24 bits/pixel en entrée, et est limité en sortie à 256 couleurs. Valeur flottante pour définir le nombre de trames/sec (framerate) (par défaut : 5.0). Définit le nom du fichier de sortie (par défaut : ./out.gif).

    NOTE : Vous devez définir le framerate avant le nom du fichier de sortie pour que le framerate ne soit pas inclus dans le nom du fichier.

    EXEMPLE :
mplayer video.nut -vo gif89a:15.0:test.gif

jpeg
    sépare chaque trame dans un fichier JPEG du répertoire courant. Le nom de chaque fichier contient le numéro de trame, précédé au besoin par des zéros. Fichiers JPEG standards ou progressifs (par défaut : non progressifs). Utilisation de baseline ou pas (par défaut : baseline). facteur d'optimisation (par défaut : 100) facteur d'adoucissement (par défaut : 0) facteur de qualité (par défaut : 75) Définit le répertoire où sauver les fichiers JPEG (par défaut ./). Crée des sous-répertoires numérotés, avec le préfixe donné pour y écrire les fichiers au lieu de les mettre tous dans le même répertoire. Nombre maximum de fichier JPEG à créer par sous-répertoire. <valeur> doit être plus grand ou égal à 1 (par défaut : 1000).

pnm Écrit, dans le répertoire courant, chaque trame dans un fichier PNM. Le nom de chaque fichier contient le numéro de trame, précédé au besoin par des zéros. Gère les fichiers PPM, PGM et PGMYUB, en mode brut ou ASCII. Voir aussi les pages de manuel pnm (5), ppm (5) et pgm (5). Écrit des fichiers PPM (par défaut). Écrit des fichiers PGM. Écrit des fichiers PGMYUV. PGMYUV est similaire à PGM, mais contient en plus les plans U et V, rajoutés en bas de l'image. Écrit les fichiers PNM en mode brut (par défaut). Écrit les fichiers PNM en mode ASCII (par défaut). Définit le répertoire où écrire les fichiers PNM. Crée des sous-répertoires numérotés avec le préfixe donné pour y écrire les fichiers au lieu de les mettre tous dans le même répertoire. Nombre maximum de fichiers à écrire par sous-répertoire. Doit être plus grand ou égal à 1 (par défaut : 1000).

png (voir aussi -z)
    Sépare chaque trame dans un fichier PNG du répertoire courant. Le nom de chaque fichier contient le numéro de trame, précédé au besoin par des zéros. Ne gère que les formats RGB et BGR 24 bits/pixel.

tga Sépare chaque trame dans un fichier Targa du répertoire courant. Le nom de chaque fichier contient le numéro de trame, précédé au besoin par des zéros. L'intérêt de ce pilote de sortie vidéo est de pouvoir facilement extraire sans perte des images sans l'aide d'une librairie externe. Ne gère que les formats BGR[A] à 15, 24 ou 32 bits/pixel. Vous pouvez forcez un certain format avec le filtre vidéo format.

    EXEMPLE :
mplayer video.nut -vf format=bgr15 -vo tga

OPTIONS DE DÉCODAGE/FILTRAGE

-ac <[-]codec1,[-]codec2,...[,]>
    Définit une liste de priorité des codecs audio à utiliser, à partir de leur nom de codec dans codecs.conf. Utilisez un '-' avant le nom d'un codec pour l'omettre. Si la liste se termine par ',', se rabat alors sur les codecs non-listés.
    NOTE: Voir -ac pour une liste complète des codecs disponibles.

    EXEMPLE: Force le codec MP3 l3codeca.acm. Essaie d'abord libmad, puis se rabat sur les autres. Essaie le transfert matériel AC3 (vers un décodeur externe par ex.), le codec logiciel AC3, puis les autres. Essaie tous les codecs excepté le décodeur MP3 de FFmpeg.

-af-adv <force=(0-3):list=(filtres)> (voir aussi -af)
    Définit les options avancées de filtrage audio : Force l'insertion de filtres audios de l'une des façons suivantes: 0: insertion totalement automatique des filtres (par défaut)
    1: Optimise pour fidélité.
    2: Optimise pour la vitesse.
    3: Désactive l'insertion automatique de filtre. Identique à -af.

-afm <driver1,driver2,...>
    Définit une liste de priorité des familles de codecs audio à utiliser, d'après leur nom de pilote dans codecs.conf. Il se rabat sur celui par défaut si aucun ne convient.
    NOTE: Voir -afm help pour la liste complète des familles de codecs disponibles.

    EXEMPLE : Essaie les codecs libavcodec de FFmpeg en premier. Essaie les codecs Win32 en premier.

-aspect <ratio>
    Force le rapport hauteur/largeur des films. Autodétecté dans les fichiers MPEG, mais ne peut l'être avec la plupart des fichiers AVI.

    EXEMPLE: -aspect 4:3 ou -aspect 1.3333
    -aspect 16:9 ou -aspect 1.7777

-noaspect
    Désactive la compensation automatique du rapport hauteur/largeur.

-flip
    Renverse l'image de haut en bas.

-lavdopts <option1:option2:...> (CODE DE DÉBOGAGE)
    Définit les paramètres de décodage de libavcodec.

    EXEMPLE: -lavdopts bug=1

    Les options disponibles sont:
Contourne manuellement les bogues des encodeurs. 0: rien
1: autodétecter les bogues (par défaut)
2 (msmpeg4v3): certains vieux fichiers msmpeg4v3 générés avec lavc (pas d'autodétection)
4 (mpeg4): bogue d'entrelacement de xvid (autodétecté si fourcc==XVIX)
8 (mpeg4): UMP4 (autodétecté si fourcc==UMP4)
16 (mpeg4): bogue de remplissage (autodétecté)
32 (mpeg4): bogue vlc illégal (autodétecté par fourcc)
64 (mpeg4): bogue qpel XVID et DIVX (autodétecté par foorcc/version)
128 (mpeg4): vieux standard qpel (autodétecté par fourcc/version)
256 (mpeg4): un autre bogue qpel (autodétecté par fourcc/version)
512 (mpeg4): bogue direct-qpel-blocksize (autodétecté par fourcc/version)
1024 (mpeg4): bogue de remplissage des bords (autodétecté par fourcc/version) Affiche des informations de débogage.
0: désactivé
1: info image
2: contrôle du débit (rate control)
4: flux (bitstream)
8: type de macro-bloc (MB)
16: paramètre de quantification (QP)
32: vecteur de mouvement (MV)
0x0040: visualisation du vecteur de mouvement (utilisez -noslices)
0x0080: saut macro-bloc (MB)
0x0100: startcode
0x0200: PTS
0x0400: résilience aux erreurs
0x0800: opérations de contrôle de gestion de la mémoire (H264)
0x1000: bogues Définit la stratégie de dissimulation des erreurs. 1: Utilise un filtre de déblocage fort pour les macro-blocs endommagés.
2: recherche du vecteur de mouvement itérative (lente)
3: toutes (par défaut) Définit la stratégie de résilience aux erreurs.
0: désactivé
1: prudente (Devrait fonctionner avec les encodeurs cassés.)
2: normale (par défaut) (Fonctionne avec les encodeurs conformes.)
3: agressive (Plus de vérifications, mais peut causer des problèmes même avec les flux valides)
4: très agressive Active des optimisations non conformes aux spécifications, et qui peuvent éventuellement poser problème, comme une déquantification plus simple, l'hypothèse que les matrices de quantification ont été utilisées, que l'espace de couleur est YUV 4:2:0 et le saut de quelques vérifications pour détecter les flux endommagés. décodage en niveaux de gris uniquement (un peu plus rapide qu'en couleur) Pour obtenir la meilleure qualité d'encodage utilisez le même algorithme IDCT pour le décodage et l'encodage. Cela dit, vous pourriez y perdre en terme de précision. Décodage en résolution réduite. Le décodage en résolution basse n'est pas géré par tous les codecs, et risque de produire des artefacts disgracieux. Ceci n'est pas un bogue, mais un effet de bord du décodage en résolution réduite.
0: désactivé
1: 1/2 résolution
2: 1/4 résolution
3: 1/8 résolution
    Si <l> est définit, les décodage en résolution réduite sera effectué uniquement si la largeur de la vidéo est plus grande ou égale à <l>.
Saute <valeur> lignes de macro-blocs au bas de l'image. Saute <valeur> lignes de macro-blocs en haut de l'image. Visualise les vecteurs de mouvement.
0: désactivé
1: Visualise les MVs prédits en avant des trames-P.
2: Visualise les MVs prédits en avant des trames-B.
4: Visualise les MVs prédits en arrière des trames-B. Affiche quelques statistiques et les écrit dans ./vstats_*.log.

-noslices
    Désactive l'affichage de la vidéo par tranches/bandes de 16 pixels, affiche plutôt la trame entière d'un seul coup. Peut être plus rapide ou plus lent, en fonction de la carte/du cache. Cette option n'a d'effet que sur les codecs libmpeg2 et libavcodec.

-nosound
    Ne pas jouer/encoder le son. Utile pour les mesures de performances (benchmarking).

-novideo
    Ne pas jouer/encoder la vidéo.

-oldpp <qualité> (OpenDivX uniquement) (OBSOLÈTE)
    Utilise le code de post-traitement d'opendivx au lieu de l'interne. À ne plus utiliser au profit de -pp, car le postprocessing interne offre une meilleure qualité visuelle et de meilleures performances. L'intervalle valide des valeurs de -oldpp varie suivant le codec, il est la plupart du temps 0-6, où 0=désactive 6=plus lent/meilleur.

-pp <qualité> (voir aussi -vf pp)
    Initialise le niveau de post-traitement de la DLL. Cette option n'est plus utilisable avec -vf pp. Fonctionne uniquement avec les DLLs DirectShow Win32 qui ont des routines de post-traitement interne. L'intervalle valide de la valeur -pp pour les filtres de pp varient suivant les codecs, il est généralement 0-6, où 0=désactivé 6=plus lent/meilleur.

-pphelp (voir aussi -vf pp)
    Affiche un aperçu des filtres de post-traitement disponibles et de leur utilisation.

-ssf <mode>
    Définit les paramètres de redimensionnement logiciel (scaler).

    EXEMPLE : -vf scale -ssf lgb=3.0
filtre flou gaussien (luma) filtre flou gaussien (chroma) filtre netteté (sharpen) (luma) filtre netteté (sharpen) (chroma) décalage chroma horizontal décalage chroma vertical

-stereo <mode>
    Sélectionne le mode de sortie stéréo MP2/MP3. stéréo canal gauche canal droit

-sws <type de zoom logiciel> (voir aussi -vf scale et -zoom)
    Définit l'algorithme du zoom logiciel qui sera utilisé par l'option -zoom. Agit sur les pilotes de sortie vidéo qui ne disposent pas de ce type d'accélération logicielle, ex. x11.

    Les types possibles sont :

    bilinéaire rapide bilinéaire bicubique (bonne qualité) (par défaut) experimental plus proche voisin (mauvaise qualité) area luma bicubique / chroma bilinéaire gauss sincR lanczos bicubique spline naturelle

    NOTE : Pour -sws 2 et 7, la netteté (sharpness) peut être contrôlée avec le paramètre de zoom de -vf scale (0 (doux) - 100 (net)), pour -sws 9, le paramètre de zoom définit la longueur du filtre (1 - 10).

    -vc <[-]codec1,[-]codec2,...[,]>
        Définit une liste de priorité des codecs vidéo à utiliser, suivant leur nom de codec dans codecs.conf. Utilisez un '-' avant le nom d'un codec pour l'omettre. Si la liste se termine par ',', il se rabattra sur les codecs non-listés.
        NOTE : Voir -vc help pour une liste complète des codecs disponibles.

        EXEMPLE : Force le codec DivX Win32/VFW, sans rabattement. Essaie d'abord le codec divx4linux, puis se rabat sur les autres. Essaie les autres codecs excepté les codecs DivX Win32. Essaie le codec MPEG-1/2 de libavcodec, puis libmpeg2, puis les autres.

-vfm <pilote1,pilote2,...>
    Définit une liste de priorité des familles de codecs vidéo à utiliser, d'après leur nom de pilote dans codecs.conf. Il se rabat sur celui par défaut si aucun ne convient.
    NOTE : Voir -vfm help pour une liste complète des familles de codecs disponibles.

    EXEMPLE: Essaie les codecs libavcodec, puis Directshow, puis VFW et se rabat sur les autres, si aucun n'arrive à convenir. Essaie les codecs XAnim en premier.

-x <x> (MPlayer uniquement)
    Zoome l'image à la largeur <x> (si un zoom logiciel ou matériel est disponible). Désactive les calculs de rapport hauteur/largeur.

-xvidopts <option1:option2:...>
    Définit des paramètres additionnels de décodage avec XviD.
    Étant donné que libavcodec est plus rapide qu'XviD, peut-être aurez-vous besoin d'utiliser les filtres de post-traitement de libavcodec (-vf pp) et le décodeur (-vfm ffmpeg) à la place.

    Les filtres de post-traitement d'XviD : filtre de déblocage chroma (voir aussi -vf pp) filtre de déblocage luma (voir aussi -vf pp) filtre de deringing luma filtre de deringing chroma Active le filtre d'ajout artificiel de grain d'XviD. Peut accroître la qualité subjective, mais dans l'absolu dégrade l'image.

    méthodes de rendu : Active la méthode 2 de rendu direct. Désactive la méthode 2 de rendu direct.

-xy <valeur>
    Zoome l'image d'un facteur <valeur>. Initialiser la largeur à <valeur> et calculer la hauteur pour garder le rapport hauteur/largeur.

-y <y> (MPlayer uniquement)
    Zoome l'image à la hauteur <y> (si un zoom logiciel ou matériel est disponible). Désactive les calculs de rapport hauteur/largeur.

-zoom
    Permet le zoom logiciel, si disponible. Peut être utilisé pour forcer le zoom avec -vf scale.
    NOTE: -vf scale ignorera les options -x / -y / -xy / -fs / -aspect sans -zoom.

FILTRES AUDIO
Les filtres audio vous permettent de modifier le flux audio et ses propriétés. La syntaxe est :

-af <filtre1[=paramètre1:paramètre2:...],filtre2,...>
    Active un liste de filtres audio séparés par une virgule, accompagnés de leurs options. Voir aussi la section des filtres audio de la documentation.

I NOTE : Pour obtenir une liste complète des filtres audio disponibles, voir -af help.

Les filtres disponibles sont:

resample[=srate[:sloppy][:type]]
    Change la fréquence d'échantillonnage du flux audio à un entier srate en Hz. Il ne permet que le format 16 bit little endian. Avec MEncoder, vous devez aussi utiliser -srate <srate>.

lavcresample[=srate[:longueur[:linéaire[:count[:cutoff]]]]]
    Change le taux d'échantillonnage du flux audio en un entier srate en Hz. Ne gère que le format 16-bit little-endian. Avec MEncoder, vous devez aussi utiliser -srate <srate>. le taux d'échantillonnage de sortie longueur du filtre par rapport au taux d'échantillonnage le plus faible (par défaut : 16) si à 1 alors les filtres seront interpolés linéairement entre les entrées polyphase le log2 du nombre d'entrées polyphase (..., 10->1024, 11->2048, 12->4096, ...) (par défaut : 10->1024) fréquence de coupure (0.0-1.0) (par défaut : initialisé en fonction de la longueur du filtre)

sweep[=speed]
    balayage sinus

hrtf
    Convertit un son multicanaux vers 2 canaux pour un casque stéréo, tout en préservant la spatialité du son.

channels[=nch]
    Change le nombre de canaux à nch canaux de sortie. Si le nombre de canaux de sortie est plus grand que le nombre de canaux d'entrée des canaux vides sont insérés (excepté pour le mixage de mono vers stéréo, où le canal audio est répété sur chacun des canaux de sortie). Si le nombre de canaux de sortie est plus petit que le nombre de canaux d'entrée les canaux en trop seront tronqués.

format[=bps:f]
    Sélectionne le nombre d'octets par échantillon et le format utilisé pour la sortie depuis la couche filtre. L'option bps est un entier et s'exprime en Octets par échantillon. Le format f est une chaine contenant un mix concaténé de:
    alaw, mulaw ou imaadpcm
    float ou int (resp. flottant ou entier)
    unsigned ou signed (resp. non signé ou signé)
    le ou be (little- ou big-endian)

volume[=v:sc]
    Selectionne le niveau du volume de sortie. Ce filtre n'est pas réentrant et ne peux donc être activé qu'une seule fois pour chaque flux audio. Défini le gain désiré en dB pour tous les canaux du flux, de -200dB à +60dB (où -200dB coupe le son complètement et +40dB équivaut à un gain de 1000). Active le découpage logiciel.

pan[=n:l01:l02:...l10:l11:l12:...ln0:ln1:ln2:...]
    Mixe les canaux arbitrairement, voir DOCS/HTML/fr/audio.html pour les détails. nombre de canaux d'entrée (1-6) Combien du canal j est mixé dans le canal de sortie i.

sub[=fc:ch]
    Ajoute le canal du caisson de basse. fréquence de coupure pour le filtre passe-bas (20Hz à 300Hz) (par défaut : 60Hz). numéro de canal pour le sous-canal

surround[=d]
    Décodeur pour le son surround encodé en matrice, fonctionne sur de nombreux fichiers à deux canaux. décalage en ms pour les hauts-parleurs arrière (0ms à 1000ms) (par défaut : 15ms).

delay[=ch1:ch2:...]
    Retarde la sortie du son. Définit le décalage séparément pour chaque canal en millisecondes (nombre flottant entre 0 et 1000).

export[=fichier_mmappé[:nsamples]]
    Exporte le signal entrant vers un autre processus en utilisant le mappage mémoire (nmap()). fichier où mapper les données (par défaut : ~/.mplayer/mplayer-af_export) nombre d'échantillons par canal (par défaut : 512)

extrastereo[=mul]
    Augmente la différence entre les canaux de gauche et de droite pour qu'à la lecture on ait un effet "live". coefficient de différence (par défaut : 2.5)

volnorm
    Maximalise le volume sans introduire de distortions sonores.

ladspa=nom_fichier:label[:contrôles...]
    Charge un plugin LADSPA (Linux Audio Developer's Simple Plugin API). Ce filtre est réentrant, donc plusieurs instances de plugins LADSPA penvent être utilisé à la fois. Définit le fichier de la librairie du plugin LADSPA. Si LADSPA_PATH est définit, la recherche se fait dans le répertoire spécifié. S'il n'est pas définit, vous devez alors donner le chemin absolu. Sélectionne le filtre de la librairie. Certaines librairies disposent d'un seul filtre, mais d'autres en contiennent plusieurs. Entrez 'help' ici pour obtenir une liste des filtres disponibles dans la librairie donnée, ce qui élimine d'utilisation de 'listplugins' depuis le kit de développement LADSPA. Les paramètres contrôles sont aucun ou plus nombres flottants qui contrôlent le comportement du plugin chargé (par exemple délais, seuil ou amplification). En mode bavard (en ajoutant -v à la ligne de commande de MPlayer), s'affichent tous les paramètres de contrôle ainsi que leurs intervalles valides. Ceci élimine d'utilisation de 'analyseplugin' depuis le kit de développement LADSPA.

FILTRES VIDÉO
Les filtres vidéo vous permettent de modifier le flux vidéo et ses propriétés. La syntaxe est :

-vf <filtre1[=paramètre1:paramètre2:...],filtre2,...>
    Initialise une chaine de filtres vidéo.

-vop <...,filtre2[=paramètre1:paramètre2:...],filtre1> (OBSOLÈTE)
    Initialise une chaine de filtres vidéo, à appliquer en ordre inverse. Utilisez de préférence -vf.

La plupart des paramètres sont optionnels et s'initialiseront avec des valeurs par défaut si omis. Pour utiliser explicitement les valeurs par défaut, mettez la valeur à '-1'. Les paramètres l:h signifient largeur x hauteur en pixels, x:y signifient position x;y à partir de du coin supérieur gauche de la plus grande image.
NOTE : Pour avoir une liste complète des filtres vidéo disponibles, voir -vf help.

Les filtres sont gérés en liste. Il y a quelques commandes pour gérer la liste de filtres.

-vf-add <filtre1[,filtre2,...]>
    Ajoute le filtre donné en argument à la fin de la liste de filtres.

-vf-pre <filtre1[,filtre2,...]>
    Ajoute le filtre donné en argument au début de la liste de filtres.

-vf-del <index1[,index2,...]>
    Supprime le filtre à l'index indiqué. Les numéros d'index commencent à 0, les nombres négatifs indiquent la fin de la liste (-1 pour le dernier).

-vf-clr
    Vide complètement la liste de filtres.

Avec les filtres qui le permettent, vous pouvez accéder à leur paramètres via noms.

-vf <filtre>=help
    Affiche les noms des paramètres et leur intervalle de valeurs pour un filtre particulier.

-vf <filtre=paramètre_nommé=valeur1[:paramètre_nommé2=valeur2:...]>
    Fait correspondre un paramètre nommé à une valeur donnée. Utilisez on et off ou yes et no pour positionner les drapeaux des paramètres.

Les filtres disponibles sont:

crop[=l:h:x:y]
    Découpe la partie donnée de l'image et jette le reste. Utile pour enlever les bandes noires d'un film en cinémascope. Largeur et hauteur coupées, par défaut les largeurs et hauteurs originales. Position de l'image coupée, par défaut au centre.

cropdetect[=limite:arrondi]
    Calcule les paramètres nécessaires de découpage et les affiche sur stdout. Le seuil qui peut éventuellement être défini de rien (0) à tout (255) (par défaut : 24).
    Valeur dont la hauteur/largeur doit être multiple (par défaut : 16). L'offset est ajusté automatiquement pour que la vidéo soit au centre. Prenez 2 pour avoir des dimensions paires (obligatoire pour les vidéos 4:2:2). 16 est recommandé pour encoder avec la plupart des codecs vidéos.

rectangle[=l:h:x:y]
    Ce plugin répond à la directive 'change_rectangle' de input.conf qui prend deux paramètres. largeur et hauteur (par défaut : -1, largeur maximum où les limites sont toujours visibles.) position du coin supérieur gauche (par défaut : -1, le plus haut et le plus à gauche)

expand[=l:h:x:y:o]
    Étend (ne zoom pas) la résolution du film aux valeurs fournies et place l'original non redimensionné aux coordonnées x y. Peut être utilisé pour placer les sous-titres /l'OSD dans les bandes noires. Largeur,hauteur étendues (par défaut : largeur, hauteur originales). Des valeurs négatives pour l et h sont traitées en tant qu'offset de la taille originale.

    EXEMPLE
expand=0:-50:0:0
    Ajoute un bord de 50 pixels en bas de l'image.
position de l'image originale sur l'image étendue (par défaut : centrée) rendu OSD/sous-titres 0: désactivé (par défaut)
1: activé

flip (voir aussi -flip)
    Inverse l'image de haut en bas.

mirror
    Inverse l'image selon l'axe Y, comme dans un miroir.

rotate[=<0-7>]
    Retourne l'image de 90 degrés et éventuellement la retourne. Pour les valeurs entre 4-7 la rotation n'est faite que si la géométrie du film est en mode portrait et non en paysage. Retourne de 90 degrés dans le sens horaire et retourne. Retourne de 90 degrés dans le sens horaire. Retourne de 90 degrés dans le sens anti-horaire. Retourne de 90 degrés dans le sens anti-horaire et retourne.

scale[=w:h[:entrelacé[:chr_drop[:param[:param2[:presize]]]]]]
    Redimensionne l'image avec le zoom logiciel (lent) et applique une conversion de palette YUV<->RGB (voir également l'option -sws). largeur/hauteur redimensionnées (par défaut : largeur, hauteur originales)
    NOTE: Si -zoom est utilisée, et que les filtres sous-jacents (y compris libvo) ne sont pas capables de redimmensionner, alors les valeurs par défaut seront d_width/d_height !
     0: largeur/hauteur dimmensionnées à d_width/d_height
    -1: largeur/hauteur originales
    -2: Calcule l/h en utilisant l'autre dimension et le rapport hauteur/largeur redimensionné.
    -3: Calcule l/h en utilisant l'autre dimension et le rapport hauteur/largeur original. Bascule le redimmensionnement entrelacé. 0: désactivé (par défaut)
    1: activé saute le chroma 0: Utilise toutes les lignes d'entrée disponibles pour le chroma.
    1: N'utilise qu'une ligne d'entrée sur 2 pour le chroma.
    2: N'utilise qu'une ligne d'entrée sur 4 pour le chroma.
    3: N'utilise qu'une ligne d'entrée sur 8 pour le chroma. Définit quelques paramètres dépendants du type de zoom sélectionné avec -sws -sws 2 (bicubique) : B (flou) et C (ringing: scintillement)
    (0.00:0.60) par défaut
    (0.00:0.75) le "precise bicubic" de VirtualDub
    (0.00:0.50) spline de Catmull-Rom
    (0.33:0.33) spline de Mitchell-Netravali
    (1.00:0.00) spline-B cubique
    -sws 7 (gaussien) : netteté (0 (doux) - 100 (dur))
    -sws 9 (lanczos) : longueur du filtre (1-10) IPs <presize> Redimensionne à une taille pré-définie. Scale to preset sizes. qntsc: 352x240 (quart d'écran NTSC)
    qpal: 352x288 (quart d'écran PAL)
    ntsc: 720x480 (NTSC standard)
    pal: 720x576 (PAL standard)
    sntsc: 640x480 (NTSC à pixels carrés)
    spal: 768x576 (PAL à pixels carrés)

dsize={aspect|l:h}
    Change la taille ou le rapport hauteur/largeur de l'affichage à un point arbitraire de la chaine de fitres. "aspect" peut être donné en tant que fraction (4/3) ou que nombre flottant (1.33). Vous pouvez également spécifier les largeurs et hauteurs exactes de l'affichage désiré. Notez que ce filtre ne fait AUCUN redimmensionnement lui-même; il affecte juste ce que feront les prochains redimmensionnements (logiciels ou matériels) feront en corrigeant le rapport hauteur/largeur.

yuy2
    Force la conversion logicielle YV12/I420/422P vers YUY2 Utile pour les cartes graphiques/pilotes qui gèrent YV12 trop lentement mais YUY2 rapidement.

yvu9
    Force la conversion logicielle d'espace de couleur de YVU9 en YV12. Utilisez de préférence le zoom logiciel.

yuvcsp
    Calle les valeurs de couleurs YUV sur l'intervalle CCIR 601 sans conversion réelle.

rgb2bgr[=swap]
    Conversion d'espace de couleur RGB 24/32 <-> BGR 24/32 Échange aussi R <-> B.

palette
    Conversion d'espace de couleur RGB/BGR 8 -> 15/16/24/32bpp en utilisant palette.

format[=fourcc]
    Restreint l'espace de couleur du prochain filtre sans faire de conversion. Utilisez-le avec le filtre scale pour faire une véritable conversion.
    NOTE : Pour avoir une liste des formats disponibles, voir format=fmt=help. nom de format comme rgb15, bgr24, yv12, etc (par défaut : yuy2)

noformat[=fourcc]
    Restreint l'espace de couleur au prochain filtre sans faire aucune conversion. Contrairement au filtre format, il permet n'importe quel espace de couleur excepté celui que vous donnez.
    NOTE : Pour une liste des différents formats disponibles, voyez noformat=fmt=help. nom du format comme rgb15, bgr24, yv12, etc. (par défaut: yv12)

pp[=filtre1[:option1[:option2...]]/[-]filtre2...] (voir aussi -pphelp)
    Construit la chaîne de filtres spécifiée. Les sous-filtres doivent être séparés avec '/', peuvent être désactivés en les préfixant de '-'. La portée de chaque sous-filtre peut être contrôlée en ajoutant ':' suivi de 'a', 'c' ou 'y' (par défaut : c) : Désactive le sous-filtre automatiquement si le micro-processeur est trop lent. Filtre également la chrominance. Filtrage de la luminance uniquement (pas de la chrominance).

    NOTE : -pphelp affiche une liste des sous-filtres disponibles.

    EXEMPLE :
Déblocage horizontal et vertical, "deringing" et luminosité/contraste auto Déblocage horizontal et vertical, "deringing" et luminosité/contraste auto et désentrelacement "linear blend" Filtres par défaut sans correction de luminosité/contraste Active les filtres par défaut ainsi que le débruiteur temporel. Débloque la luminance horizontale uniquement, et active ou désactive automatiquement le déblocage vertical suivant la puissance de calcul processeur disponible.

spp[=qualité[:qp[:mode]]]
    filtre de postprocessing simple 0-6 (par défaut : 3) Force le paramètre de quantification (par défaut : 0, utilise le QP de la video). 0: fort seuillage (hard thresholding) (par défaut)
    1: faible seuillage (soft thresholding) (meilleure élimination des parasites, mais image plus floue)

qp=equation
    filtre de changement des paramètres de quantification (QP) une équation comme "2+2*sin(PI*qp)"

test
    Génère divers motifs de test.

rgbtest
    Génère un motif de test RGB utile pour détecter les problèmes entre RGB BGR. Vous devriez voir une frise rouge, verte et bleue du haut vers le bas.

lavc[=qualité:fps]
    Conversion logicielle rapide YV12 vers MPEG-1 avec libavcodec pour utilisation avec DVB/DXR3. Plus rapide et de meilleure qualité que -vf fame. 1-31: qscale fixe
    32-: débit binaire fixe en kBits force le nombre de trames par seconde en sortie (nombre flottant) (par défaut : 0, autodétection basée sur la hauteur)

fame
    Conversion logicielle rapide YV12 vers MPEG-1 avec libfame pour utilisation avec DVB/DXR3.

dvbscale[=aspect]
    Fixe le zoom optimum pour les cartes DVB, en redimmensionnant sur l'axe x de façon matérielle et en calculant le redimmensionnement sur l'axe y de façon logicielle pour conserver le rapport hauteur/largeur. Utile uniquement quand il est combiné avec expand et scale (-vf dvbscale,scale=-1:0,expand=-1:576:-1:-1:1,lavc). contrôle le rapport hauteur/largeur (aspect ratio), calculé comme ceci : DVB_HAUTEUR*ASPECTRATIO (par défaut : 576*4/3=768, fixez-le à 576*(16/9)=1024 pour une télé 16:9).

    EXEMPLE :
FIXME: Expliquer ce qu'il fait.

noise[=luma[u][t|a][h][p]:chroma[u][t|a][h][p]]
    Ajoute du bruit. bruit luma bruit chroma bruit uniforme (gaussien sinon) bruit temporel (le motif de bruit change entre les trames) bruit temporel moyen (plus lisse, mais beaucoup plus lent) haute qualité (qualité légèrement meilleure, mais légèrement plus lent) mixe du bruit aléatoire avec un motif (semi-)régulier

denoise3d[=luma:chroma:temps]
    Ce filtre est destiné à réduire le bruit de l'image pour que les plans fixes soient vraiment fixes (cela devrait améliorer la compressibilité.). force spatiale du luma (par défaut : 4) force spatiale du chroma (par défaut : 3) force temporelle (par défaut : 6)

hqdn3d[=luma:chroma:temps]
    Version haute précision:qualité du filtre denoise3d. Les paramètres et le comportement sont les mêmes.

eq[=lumi:cont] (OBSOLÈTE)
    Égaliseur logiciel avec contrôles interactifs tout comme les égaliseurs matériels, pour les cartes/pilotes qui ne permettent pas de contrôler la luminosité et le contraste de façon matérielle. Les valeurs initiales dans l'intervalle -100-100 peuvent être fournies en ligne de commande. Peut également être utile avec MEncoder, soit pour réparer des films mal capturés, soit pour réduire légèrement le contraste pour masquer des artefacts et s'accomoder de débits plus bas.

Égaliseur logiciel alternatif qui utilise des tables de lookup (très lent),
    autorisant une correction du gamma en plus d'un simple ajustement de luminosité et de contraste. Notez que cela utilise le même code MMX optimisé que -vf eq si toutes les valeurs gamma sont 1.0. Les paramètres sont donnés en nombres flottants. valeur gamma pour la composante rouge valeur gamma pour la composante verte valeur gamma pour la composante bleue
    Les paramètres rg, vg, bg sont les valeurs gamma indépendantes pour les composantes rouges, vertes et bleues. Le paramètre poids peut être utilisé pour réduire l'effet d'un gamma trop grand sur les parties claires de l'image, c-à-d. les empécher d'être sur-amplifiées et de devenir complètement blanches. Une valeur de 0.0 désactive complètement la correction gamma tandis que 1.0 lui laisse toute sa force. Les valeurs par défaut sont gamma=1.0, contraste=0.0, luminosité=0.0, saturation=1.0, poids=1.0. Les intervalles de valeur sont 0.1-10 pour les gamma, -2-2 pour le contraste (les valeurs négatives produisent une image négative), -1-1 pour la luminosité, 0-3 pour la saturation et 0-1 pour le poids.

hue[=couleur:saturation]
    Les valeurs par défaut sont couleur=0.0, saturation=1.0. Les intervalles pour la couleur sont -180-180, et -2-2 pour la saturation (des valeurs négatives impliquent un chroma négatif).

halfpack[=f]
    Convertit le YUV 4:2:0 planaire en 4:2:2 demi-hauteur, en sous-échantillonnant le luma mais en gardant les échantillons chroma. Utile quand la sortie est un périphérique à basse résolution et dont les fonctions matérielles de mise à l'échelle sont de mauvaise qualité ou n'existent pas. Peut également être utilisé comme désentrelaceur primitif pour luma uniquement avec une très faible utilisation du processeur. Par défaut, halfpack fait une moyenne des lignes deux à deux pour sous-échantillonner. Le paramètre optionnel f peut valoir 0 pour n'utiliser que les lignes paires, ou 1 pour n'utiliser que les lignes impaires. Tout autre valeur de f renvoie au comportement par défaut (moyenne).

ilpack[=mode]
    Quand une vidéo entrelacée est stockée au format YUV 4:2:0, l'entrelacement chroma est mal aligné, ce qui est dû au sous-échantillonnage vertical des canaux chroma. Ce filtre convertit les données 4:2:0 planaires au format YUY2 (4:2:2) avec les lignes chroma à leur bon emplacement, de façon à ce que à chaque ligne de balayage (scanline), les données luma et chroma proviennent toutes deux du même champ. L'argument optionnel sélectionne le mode d'échantillonnage. Par défaut, l'interpolation linéaire (mode 1) est utilisé. Le mode 0 utilise un échantillonnage du 'plus proche voisin' (nearest-neighbor), qui est rapide mais incorrect.

harddup
    Utile uniquement avec MEncoder. Si harddup est utilisé lors de l'encodage, les trames dupliquées seront aussi présentes en sortie. Cela nécessite un peu plus de place, mais est indispensable pour les fichiers de sortie MPEG ou si vous comptez démultiplexer et multiplexer le flux vidéo après l'encodage. Devrait être mis à la fin (ou presque) de la chaîne de filtres, à moins que vous ayez une bonne raison de faire autrement.

softskip
    Utile uniquement avec MEncoder. Softskip change le moment du "skipping" (saut) de trame lors de l'encodage, qui se fait normalement avant la chaîne de filtres, pour qu'elle se fasse à l'intérieur de celle-ci. Cela permet aux filtres qui ont besoin de voir toutes les trames (téléciné inverse, débruitage temporel, etc.) pour fonctionner correctement. Il devrait être placé après les filtres qui ont besoin de voir toutes les trames et avant tout filtre gourmand en temps de calcul.

decimate[=max:haut:bas:frac]
    Saute les trames qui ne différent pas beaucoup de la trame précédente de façon à réduire le débit. L'argument max (si positif) définit le nombre maximum de trames consécutives qui peuvent être sautées, ou (si négatif) l'interval minimum entre les trames sautées. Une trame peut être sautée si aucun bloc 8x8 ne différe de plus que la limite "haut", et si pas plus de "frac" portions (1 signifiant l'image entière) ne diffèrent de plus que la limite "bas". Les valeurs de haut et bas sont pour des blocs de 8x8 pixels et représentent les différences effectives de pixels, donc une limite de 64 corespond à 1 unité de différence pour chaque pixel, ou la même chose répartie différemment sur le bloc. L'utilisation principale de ce filtre est l'encodage à très bas débit (par ex. le streaming par modem bas-débit), mais il peut en théorie être utilisé pour réparer les films qui n'auraient pas été "inverse-telecined" correctement.

dint[=sens:niveau]
    Détecte et saute la première trame d'un groupe de trames entrelacées. Les valeurs peuvent aller de 0.0 à 1.0 - la première (par défaut : 0.15) est la différence entre les pixels voisins, la seconde (par défaut : 0.15) est la partie de l'image qui devra être détectée comme entrelacée pour sauter la trame.

lavcdeint
    filtre de désentrelacement de libavcodec

kerndeint[=seuil[:carte[:ordre[:netteté[:deuxsens]]]]]
    désentrelaceur noyau adaptatif de Donald Graft. Désentrelace des parties de la vidéo si un seuil configurable est dépassé. Seuil (par défaut : 10). Affiche en blanc les pixels qui dépassent le seuil (par défaut : 0). Échange les champs si à 1 (par défaut : 0). Améliore davantage la netteté (sharpening) (par défaut : 0). Autorise l'augmentation de la netteté (sharpening) dans les deux sens (par défaut : 0).

unsharp=l|cLxH:quantité[:l|cLxH:quantité]
    masque unsharp / flou gaussien Applique l'effet sur les composants chroma largeur et hauteur de la matrice, dont les deux dimensions sont impaires (min = 3x3, max = 13x11 ou 11x13, généralement quelque chose entre 3x3 et 7x7) taux relatif de dureté / flou à ajouter à l'image (généralement quelque chose entre -1.5 et 1.5) <0: flou
    >0: netteté

swapuv
    Echange les plans U & V.

il=[d|i][s][:[d|i][s]]
    (Dés)entrelace les lignes. Le but de ce filtre est d'ajouter la possibilité de traiter le pré-champ d'images entrelacées sans les désentrelacer. Vous pouvez filtrer votre DVD entrelacé et le jouer sur la TV sans casser l'entrelacement. Pendant que le désentrelacement (avec le filtre de post-traitement) supprime le désentrelacement de façon permanente (en lissant la moyenne etc), le démultiplexage sépare la trame en 2 champs (appelé demi-images), de façon à ce que vous puissiez les traiter (filtrer) indépendemment et les re-multiplexer. démultiplexe (en plaçant l'une au dessus de l'autre) multiplexe échange les champs (échange les lignes paires & impaires)

fil=[i|d]
    (dé)multiplexe les lignes. Ce filtre est très proche du filtre il mais bien plus rapide, son principal inconvénient est qu'il ne fonctionne pas toujours. Surtout s'il est combiné avec d'autres filtres, il peut produire des images corrompues aléatoirement, donc soyez heureux si il fonctionne mais ne vous plaignez pas si il ne fonctionne pas avec votre combinaison de filtres. Démultiplexe les champs, les plaçant cote-à-cote. Re-multiplexe les champs (inversant l'effet de fil=d).

field[=n]
    Extrait un seul champ d'une image entrelacée en utilisant des astuces de calculs pour éviter de gaspiller le temps CPU. L'argument optionnel n spécifie si l'on doit extraire un champ pair ou impair (selon que n soit paire ou impaire).

detc[=var1=valeur1:var2=valeur2:...]
    Essaie d'inverser le processus de "telecine" pour retrouver un flux propre et non-entralaçé au bon débit de trame du film. Ce filtre "inverse telecine" a été le premier à être inclus dans MPlayer/MEncoder et c'est aussi le plus primitif. Il fonctionne en basculant vers le motif telecine 3:2 et en le suivant aussi longtemps que possible. Il peut être utilisé uniquement avec des films qui auraient été parfaitement "televined", avec une faible présence de bruit. Ce filtre n'est plus maintenu puisque les filtres ivtc, pullup et filmdint remplissent mieux ce rôle. Les arguments suivants (voir leur syntaxe plus haut) peuvent être utilisés pour contrôler son comportement: Définit le mode saut de trames. 0 (par défaut) signifie ne pas sauter de trames pour maintenir le débit de sortie. 1 signifie toujours sauter la trame si il n'y a pas eu de sauts ou d'assemblage telecine dans les 5 dernières trames. 2 signifie toujours maintenir le rapport exact 5:4 entre l'entrée et la sortie.
    NOTE : Utilisez le mode 1 avec MEncoder. Type d'analyse. Les valeurs disponibles sont 0 (motif fixé avec numéro de trame initiale définit par fr=#) et 1 (recherche agressive du motif telecine). La valeur par défaut est 1. Définit le numéro de trame initiale de la séquence. 0-2 sont les trois trames progressives propres; 3 et 4 sont les deux trames entrelaçées. La valeur par défaut, -1, signifie "pas dans la séquence telecine". Le nombre spécifié ici est le type de la précédente trame imaginaire avant le début du film. Valeurs seuils à utiliser dans certains types.

ivtc[=1]
    filtre expérimental d'inversement téléciné "sans état". Plutôt que d'essayer de se bloquer sur un motif comme le fait le filtre detc, ivtc prend ses décisions indépendemment pour chaque trame. Cela donne de bien meilleurs résultats pour une vidéo ayant subi d'importantes modifications/éditions après que telecine ait été appliqué, mais par contre il n'est pas aussi tolérant aux entrées avec beaucoup de bruit, comme par exemple la capture TV. Le paramètre optionnel (itvc=1) correspond à l'option dr=1 du filtre detc, et devrait être utilisé avec MEncoder mais pas avec MPlayer. Comme pour detc, vous devez définir le débit de trame de sortie correct (-ofps 23.976) en utilisant MEncoder.

pullup[=jg:jd:jh:jb:cs:mp]
    Filtre d'inversion de pulldown (telecine inversé) de troisième génération, capable de gérer une vidéo composée de hard-telecine, 24 fps progressif, et 30 fps progressif. Le filtre pullup est conçu pour être plus robuste que detc ou ivtc, en se basant sur le contexte futur pour prendre ses décisions. Tout comme ivtc, pullup est sans état, dans le sens où il ne reste pas dans un seul mode, mais observe plutôt les champs à venir pour sélectionner le bon mode et reconstuire correctement les trames. Il est toujours en développement, mais est déjà très correct. Les paramètres jg, jd, jh et jb définissent la quantité d'informations à balancer respectivement à gauche, à droite, en haut et en bas de l'image. Gauche/droite sont donnés par colonnes de 8 pixels, tandis que le haut/bas sont donnés par paquet de 2 lignes. Mettre le paramètre cb (changement strict) à 1 réduira les chances que pullup reconstruise incorrectement une trame, mais peut aussi déboucher sur un saut trop important de trames lors de scènes avec beaucoup de mouvements. Réciproquement, le mettre à -1 fera que le pullup aura plus de facilité à identifier les champs. Cela devrait aider au traitement de vidéos comportant un léger flou entre les champs, mais peut aussi faire que des trames entrelacées seront encore présentes en sortie. L'option mp (metric plane) peut être définie à 1 ou 2 pour que le chroma soit utilisé au lieu du luma pour les calculs de pullup. Cela devrait améliorer la finesse de l'image sur des vidéos de très bonne qualité, mais a plus de chance de la diminuer, surtout si le chroma est bruité (effet arc-en-ciel) ou que la vidéo est noir et blanc. L'intérêt d'agir sur mp pour que les calculs se fassent sur le chroma et de réduire l'utilisation du processeur pour que le pullup puisse se faire en temps réel sur une machine peu rapide.
    NOTE : Faites toujours suivre pullup du filtre logiciel softskip lors d'un encodage pour s'assurer que pullup soit capable de voir toutes les trames. Sinon, le flux de sortie sera incorrect ou même plantera, pour des raisons de limitations de design de la couche codec/filtre.

filmdint[=options]
    Filtre telecine inversé, similaire au filtre pullup ci-dessus. Il est conçu pour gérer n'importe quel motif pulldown (même le telecine soft et hard mélangés) et gère de façon limitée les films qui sont ralentis ou accélérés pour la TV. Seul le plan luma est utilisé pour détecter les changements de trames. Si un champ n'a pas de corespondance, il est désentrelacé par simple approximation linéaire. Si la source est en MPEG-2, il doit être le premier filtre à avoir accès aux "field-flags" initialisés par l'encodeur MPEG-2. Suivant la source MPEG, il est inutile de tenir compte de ce conseil, tant que vous ne voyez pas une multitude d'avertissements "Bottom-first field". Sans options il fait un telecine inverse normal, et devrait être utilisé avec mencoder -fps 29.97 -ofps 23.976. Quand ce filtre est utilisé avec mplayer, cela produira un débit impair pendant la lecture, mais il sera généralement meilleur qu'en utilisant pp=lb ou pas de désentrelacement du tout. Les options multiples doivent être séparées par /. Exactement comme le filtre crop, mais plus rapide, et fonctionne également avec des films teleciné hard et soft mélangés, du moment que y soit un multiple de 4. Si x ou y nécessitaient de couper des fractions de pixels du plan chroma, l'aire coupée serait étendue. Ceci signifie généralement que x et y doivent être pairs. Pour chaque ifps trames d'entrées le filtre sortira ofps trames. Le rapport ifps/ofps devrait correspondre au rapport -fps/-ofps. Ceci peut être utilisé pour filtrer des films qui sont diffusés à la TV à un débit différent de celui d'origine. Si n est non-nul, le plan chroma est copié tel quel. C'est utile pour la TV échantillonnée en YV12, qui annule un des champ chroma. Sur x86, si n=1, utilise les fonctions optimisées pour MMX2, si n=2, utilise les fonctions optimisées pour 3DNow!, sinon, utilise juste du C. Si cette option n'est pas précisée, MMX2 et 3DNow! sont détectés automatiquement, utilisez cette option pour outrepasser la détection automatique. Une valeur de n plus grande accélère le filtre au détriment de l'exactitude. La valeur par défaut est n=3. Si n est impair, une trame suivant immédiatement une trame marquée par le flag mpeg REPEAT_FIRST_FIELD est supposée progressive, ainsi le filtre ne passera son temps que sur la vidéo MPEG-2 soft-telecine. C'est le seul effet de ce flag si MMX2 ou 3DNow! est disponible. Sans MMX2 et 3DNow, si n=0 ou 1, les mêmes calculs seront faits comme pour MMX2. Si n=2 ou 3, le nombre de niveaux luma utilisé pour trouver les changements de trame est réduit de 256 à 128, ce qui donne un filtre plus rapide sans perdre trop d'exactitude. Si n=4 ou 5, des métriques plus rapides, mais bien moins exactes sont utilisés pour trouver les changements de trames, mais risque de prendre les détails verticaux pour une vidéo entrelacé. Si n est non-nul, affiche les métriques détaillés pour chaque trame. Utile pour débogage. Seuil de désentrelacement. Utilisé pour désentrelacer les trames sans correspondance. Une valeur plus grande signifie moins de désentrelacement, utilisez n=256 pour désactiver complètement le désentrelacement (par défaut : 8). Seuil pour comparer les champs haut et bas (par défaut : 128). Seuil pour détecter les changements temporels d'un champ (par défaut : 128). Seuil de la Somme des Différences Absolues (par défaut : 64).

softpulldown
    Ce filtre ne fonctionne qu'avec MEncoder et agit sur les flags MPEG-2 utilisés pour le pulldown soft 3:2 (soft telecine). Si vous voulez utiliser les filtres ivtc ou detc sur des films qui sont soft téléciné, insérer ce filtre avant eux devrait les rendre plus efficaces.

divtc[=options]
    Inverse telecine pour les vidéos désentrelacées. Si une vidéo 3:2-pulldown telecine a perdu l'un de ses champs ou a été désentrelacé avec une méthode qui garde un champ et interpole l'autre, la vidéo se retrouve saccadée dont une trame sur quatre est dupliquée. Ce filtre a pour but de trouver et jeter ces trames dupliquées pour retrouver le débit de trame (framerate) original. Lorsque vous utilisez ce filtre, vous devez définir -ofps à 4/5 du débit de trame du fichier d'entrée (23.976 si l'entrée est à 29.97fps). Les options sont : Mode 2-passes. Cela produit de meilleurs résultats. La passe 1 analyse la vidéo et écrit les résultats dans un fichier journal. La 2ème passe lit alors le journal et utilise ces informations pour faire le travail. Notez que ces deux passes ne correspondent pas aux deux passes du processus d'encodage. Si vous voulez utiliser le mode 2-passes de divtc lors d'un encodage vidéo, il vous faut réaliser 3 passes : d'abord la passe 1 de divtc et la passe 1 de l'encodeur, puis la passe 2 de divtc et la passe 1 de l'encodeur, et enfin la passe 2 de divtc avec la passe 2 de l'encodeur. Définit le nom du fichier journal (par défaut : "framediff.log"). Définit la force minimum que le motif telecine doit avoir pour que le filtre le voit (par défaut : 0.5). Ceci est utilisé pour éviter de reconnaître des motifs erronés lors des moments vraiment sombres ou statiques. Définit le nombre de trames précédents à considérer lors que la recherche de motif (par défaut : 30). Une fenêtre (window) plus grande améliore la fiabilité de la recherche de motif, mais une fenêtre plus étroite améliore le temps de réaction aux changements dans la phase telecine. Cela n'affecte que le mode à passe unique. Le mode 2-passes considère une fenêtre fixe de trames futures et passées. Définit la phase initiale telecine pour le mode à passe unique (par défaut : 0). Le mode 2-passes peut voir le futur, il est donc possible d'utiliser la bonne phase depuis le début, tandis que le mode à passe unique ne peut que deviner. Il se met à utiliser la phase adéquate dès qu'il trouve cette information, mais cette option peut vous aider à vous débarasser des saccades du début. La première passe du mode 2-passes utilise aussi cette option, donc si vous enregistrez la sortie de la première passe, vous aurez un fichier où la phase est constante. Définit le seuil "deghosting" (0-255 pour le mode à passe unique, -255-255 pour celui 2-passes, par défaut 0). Si non-nul, le mode deghosting est utilisé. Ceci est destiné aux vidéos ayant été désentrelacées en fusionnant les champs ensemble au lieu d'en jeter un. Le deghosting amplifie les artefacts de compression des champs fusionnés, et la valeur du paramètre est celle du seuil pour exclure les pixels du filtre deghosting s'il diffère moins que ce seuil de la trame précédente. En mode 2-passes, une valeur négative peut être donnée pour que le filtre analyse la totalité de la vidéo au début de la 2ème passe pour déterminer si un deghosting est nécessaire, et prendra alors pour paramètre zéro où la valeur absolue du paramètre négatif. Définissez cette option pour la 2ème passe, elle ne change rien à la 1ere passe.

phase=[t|b|p|a|u|T|B|A|U][:v]
    NOTE : Si vous avez des connaissances audiovisuelles, veuillez indiquez au traducteur si cette option -très technique- est correctement décrite, en vous aidant de sa version anglaise.
    Retarde la vidéo entrelacée du temps d'un champ pour changer l'ordre des champs. Le but est de pouvoir réparer des films PAL avant été mal capturés avec un ordre de champ inversé vers le transfert film-vers-vidéo. Les options sont : Capture l'ordre des champs en commençant par le haut, transfert depuis le bas. Le filtre retardera les champs du bas. Capture en commençant du bas, transfert depuis le haut. Le filtre retardera les champs du haut. La capture et le transfert se refont avec le même ordre de champs. Ce mode n'existe que comme référence pour la documentation des autres options, mais si vous le sélectionnez effectivement, ce filtre ne fera tout simplement rien ;-) Capture l'ordre des champs déterminés automatiquement par les "field flags", le transfert à l'opposé. Le filtre choisit entre les modes t et b à chaque trame d'après les "field flags". S'il n'existe aucune information sur les champs, alors cette fonction se comporte comme u. Capture inconnue ou variée, transfert à l'opposé. Le filtre choisit entre les modes t et b à chaque trame en analysant les images et sélectionnant le mode qui produit la correspondance la plus proche entre les champs. Capture depuis le haut, transfert inconnu ou varié. Le filtre choisit entre les modes t et p en analysant l'image. Capture depuis le bas, transfert inconnu ou varié. Le filtre choisit entre les modes b et p en analysant l'image. Capture en fonction des "field flags", transfert inconnu ou varié (par défaut). Si aucune information sur les champs n'est disponible, fonctionne tout comme U. Capture autant que transfert inconnu ou varié. Le filtre choisit entre les modes t, b et p en analysant l'image. opération bavarde (verbose) Affiche le mode sélectionné pour chaque trame et la moyenne de la différence au carré des champs pour les modes t, b, and p.

telecine[=départ]
    Applique un processus telecine 3:2 "telecine" pour augmenter le débit de 20%. Cela ne fonctionnera surement pas correctement avec MPlayer, mais peut être utilisé avec 'mencoder -fps 29.97 -ofps 29.97 -vf telecine'. Les deux options fps sont essentielles ! (la synchro A/V sera brisée si elles sont mauvaises.) Le paramètre optionnel départ indique où démarrer (0-3).

tinterlace[=mode]
    Entrelacement temporel de champs - réunis des paires de trames dans une trame entrelacée, divisant le débit par deux. Les trames paires sont déplacées dans le champ supérieur, les trames impaires le sont dans le champ inférieur. Ceci peut être utilisé pour inverser complètement l'effet du filtre tfields (en mode 0). Les modes disponibles sont: Déplace les trames impaires dans le champ supérieur, les paires dans l'inférieur, pour générer une trame complète à un débit moitié moindre Afficher uniquement les trames impaires, les trames paires sont sautées, la taille est inchangée. Afficher uniquement les trames paires, les trames paires sont sautées, la taille est inchangée. Étend chaque trame en pleine résolution, mais remplit une ligne sur deux en noir, le débit est inchangé.

tfields[=mode]
    Séparation temporelle des champs - sépare les champs en trames, doublant le débit de sortie. Comme le filtre telecine, "tfields" ne fonctionnera correctement qu'avec MEncoder, et seulement si -fps et -ofps sont définis au débit (double) désiré! Les modes disponibles sont: Laisse les champs inchangés. (Cela va sauter/scintiller.) Interpole les lignes manquantes. (L'algorithme utilisé peut ne pas être si bon.) Fait une translation de champs de 1/4 pixel avec interpolation linéaire (pas de saut). Fait une translation de champs de 1/4 pixel avec le filtre 4tap (meilleure qualité).

boxblur=rayon:puissance[:rayon:puissance]
    Floute l'image. force du filtre de floutage nombre d'applications du filtre

sab=rayon:pf:colorDiff[:rad:pf:colorDiff]
    flou de forme adaptative force du filtre de flou (~0.1-4.0) (plus la valeur est grande, moins il est rapide) force du préfiltre (~0.1-2.0) différence maximale autorisée entre pixels pour être toujours significatif (~0.1-100.0)

smartblur=rayon:force:limite[:rayon:force:limite]
    flou intelligent force du filtre de flou (~0.1-5.0) (plus la valeur est grande, moins il est rapide) flou (0.0-1.0) ou accentuation (-1.0-0.0) filtre tout (0), filtre les surfaces plates (0-30) ou filtre les bords (-30-0)

perspective=x0:y0:x1:y1:x2:y2:x3:y3:t
    Corrige la perspective des vidéos non filmées perpendiculairement à l'écran. coordonnées des coins supérieur-gauche, supérieur-droit, inférieur-gauche et inférieur-droit ré-échantillonnage linéaire (0) ou cubique (1)

2xsai
    Redimensionne et lisse l'image avec l'algorithme "zoom x2 et interpolation".

1bpp
    conversion bitmap 1bpp vers YUV/BGR 8/15/16/32

down3dright[=lignes]
    Repositionne et redimmensionne les images stéréoscopiques. Extrait les deux champs et les place côte à côte, les redimmensionnant pour garder le rapport hauteur/largeur du film. nombre de lignes à sélectionner à partir du milieu de l'image (par défault: 12)

bmovl=hidden:opaque:fifo
    Le filtre de superposition d'images (bitmap overlay filter) lit depuis une FIFO des images (bitmaps) et les incruste dans la vidéo (overlay), après les avoir préalablement transformées. Voir aussi TOOLS/bmovl-test.c pour un programme de test simple de bmovl. Définit la valeur par défaut du drapeau 'hidden' (0=visible, 1=caché) Définit la valeur par défaut du drapeau 'alphablended' (0=transparent, 1=opaque) chemin/nom de fichier pour le FIFO (pipe nommé connectant mplayer -vf bmovl à l'application le contrôlant)

    les commandes FIFO sont:
suivi de largeur*hauteur*4 octets de données RGBA32 brutes. suivi de largeur*hauteur*4 octets de données ABGR24 brutes. suivi de largeur*hauteur*3 octets de données RGB24 brutes. suivi de largeur*hauteur*3 octets de données BGR24 brutes. Change la transparence du canal alpha de la surface donnée. Efface la surface. Désactive toute transparence alpha. Envoyez "ALPHA 0 0 0 0 0" pour la réactiver. Cache la bitmap. Sontre la bitmap.

    Les arguments sont :
taille de l'image/surface Démarre le blitting à la position x/y. Fixe la différence alpha. Si vous le fixez à -255 vous pouvez envoyer une séquence de commandes ALPHA pour mettre la surface à -225, -200, -175 etc pour un joli effet de fondu ! ;) 0: la même que l'original
255: Rends tout opaque.
-255: Rends tout transparent. Efface le framebuffer avant 'blitting'. 0: l'image sera simplement 'blittée' par dessus l'ancienne, donc vous n'aurez pas à envoyer 1,8 Mo de données RGBA32 chaque fois qu'une petite partie de l'écran serait mise à jour.
1: clear

framestep=I|[i]step
    N'affiche qu'une trame toutes les n trames ou que chaque trame (clé) Intra.

    Si vous appelez ce filtre avec I (en majuscule) en paramètre, alors SEULES les trames-clés seront affichées. Pour les DVDs cela signifie une toutes les 15/12 trames (IBBPBBPBBPBBPBB), pour l'AVI cela signifie à chaque changement de scène ou à chaque valeur de keyint (voir -lavcopts keyint=valeur si vous utilisez MEncoder pour encoder la vidéo).

    Quand une trame clé est trouvée, la chaine "I!" suivi d'un retour chariot est affiché, laissant la ligne courante de MPlayer/MEncoder à l'écran, car elle contient le temps (en secondes) et le numéro de trame de la trame clé (Vous pouvez utiliser cette information pour couper un AVI).

    Si vous appelez le filtre avec un paramètre numérique 'step' alors seule une sur 'step' trames sera affichée.

    Si vous mettez un 'i' (minuscule) devant le nombre alors un I! sera affiché (comme le paramètre I).

    Si vous n'indiquez que i alors rien ne sera fait aux trames, seul I! est affiché.

tile=xtiles:ytiles:output:start:delta
    Crée une mosaïque d'images à partir d'une série d'images plus petites. Si vous omettez un paramètre ou utilisez une valeur plus petite que 0, alors la valeur par défaut est utilisée. Vous pouvez également arrêter quand vous êtes satisfait (... -vf tile=10:5 ...) C'est probablement une bonne idée de placer le filtre scale avant tile :-)

    Les paramètres sont:

    nombre d'éléments de mosaïque sur l'axe x (par défaut : 5) nombre d'éléments de mosaïque sur l'axe y (par défaut : 5) Affiche la mosaïque quand le nombre de trame est égal à 'output', où 'output' doit être un nombre inférieur à xtile * ytile. Les éléments de la mosaïque manquants sont laissés vides. Vous pouvez, par exemple, écrire une mosaïque de 8 * 7 toutes les 50 trames pour obtenir une image toutes les 2 secondes à 25 fps. épaisseur en pixels de la bordure extérieure (par défaut : 2) épaisseur en pixels de la bordure intérieure (par défaut : 4)

delogo[=x:y:l:h:t]
    Supprime un logo de station de télé par simple interpolation des pixels environnants. Définissez juste un rectangle recouvrant le logo et regardez-le disparaître (vous risquez aussi de voir quelque chose de pire apparaître - ça dépend des cas). position du coin supérieur gauche du logo largeur et hauteur du rectangle nettoyé Épaisseur des bords du rectangle (ajouté à l et h). Quand il est égal à -1, un rectangle vert est dessiné sur l'écran pour simplifier la recherche des paramètres x,y,l,h.

zrmjpeg[=options]
    Encodeur logiciel YV12 vers MJPEG pour utilisation avec le périphérique de sortie vidéo zr2. Ces options initialisent la largeur et la hauteur maximum que la carte zr peut gérer (la couche de filtres de MPlayer ne peut actuellement pas les deviner). Utilisez ces options pour initialiser maxwidth et maxheight automatiquement avec les valeurs connues de combinaisons carte/mode. Par exemple, voici des options valides: dc10-PAL et buz-NTSC (par défaut : dc10+PAL). Sélectionne l'encodage couleur ou noir et blanc. L'encodage N&B est plus rapide (par défaut : color). Décimation (sous-échantillonnage) horizontale 1, 2 ou 4. Décimation verticale 1, 2 ou 4. Définit la qualité de la compression JPEG [MEILLEUR] 1 - 20 [TRÈS MAUVAIS]. Par défaut, le sous-échantillonnage n'est appliqué que si le matériel zoran peut agrandir les images MJPEG à leur taille originale. L'option fd dit au filtre de toujours appliquer la décimation demandée (image médiocre).

OPTIONS D'ENCODAGE GÉNÉRALES (MENCODER UNIQUEMENT)

-audio-delay <0.0-...>
    Définit le champ retard audio dans l'entête. La valeur par défaut est 0.0, les valeurs négatives ne fonctionnent pas. Cela ne retarde pas l'audio pendant l'encodage, mais le lecteur verra le décalage audio par défaut, vous évitant l'utilisation de l'option -delay.

-audio-density <1-50>
    Nombre de morceaux audio par seconde (par défaut : 2 pour des morceaux audio de 0.5s de durée).
    NOTE: CBR uniquement, VBR l'ignore car il place chaque paquet dans un nouveau morceau.

-audio-preload <0.0-2.0>
    Définit la durée du tampon audio (par défaut : 0.5s).

-endpos <[[hh:]mm:]ss[.ms]|taille[o|ko|mo]> (voir aussi -ss et -sb)
    Stoppe l'encodage à la position temps ou octet indiquée.
    NOTE: La position en octet ne sera pas précise, car on ne peut s'arrêter qu'en limite de trame.

    EXEMPLE : N'encode que 56 secondes. N'encode que 1 heure 10 minutes. N'encode que 100 Mo.

-ffourcc <fourcc>
    Peut être utilisé pour outrepasser le fourcc vidéo du fichier de sortie.

    EXEMPLE : Le fichier de destination contiendra 'div3' en tant que fourcc vidéo.

-force-avi-aspect <0.2-3.0>
    Outrepasse le rapport hauteur/largeur inscrit dans l'en-tête AVI OpenDML vprp. Cela permet, avec -ovc copy, de changer le hauteur/largeur d'un fichier existant

-info <option1:option2:...> (AVI uniquement)
    Définit l'entête d'info dans le fichier AVI de destination.

    Les options disponibles sont: Affiche cette description. titre du film artiste ou auteur du film catégorie de genre du film contenu du film information de copyright forme originale de la vidéo qui a été numérisée commentaires généraux sur le film

-noautoexpand
    N'insère pas automatiquement le filtre expand dans la chaine de filtres de MEncoder. Utile pour contrôler à quel maillon de la chaîne de filtre les sous-titres sont affichés lors de leur incrustation dans l'image.

-noencodedups
    Ne pas encoder les trames répétées ; Encoder chacune d'elles par une trame nulle pour indiquer qu'elle était en double. Les trames nulles seront écrites quand même, sauf si un filtre ou un encodeur capable de gérer l'encodage de doublons est chargé. Pour le moment, le seul filtre le permettant est harddup.

-noodml (-of avi uniquement)
    Ne pas écrire l'index OpenDML des fichier AVI >1Go.

-noskip
    Ne saute pas de trames.

-o <nomfichier>
    Écrit dans le fichier <nomfichier>, au lieu de 'test.avi' par défaut.

-oac <nom codec>
    Encode avec le codec audio (pas de valeur par défaut).
    NOE : Utilisez -ovc help pour obtenir une liste des codecs disponibles.

    EXEMPLE: pas d'encodage, juste une copie du flux Encode en PCM non-compressé. Encode en MP3 (en utilisant LAME). Encode avec un des codecs de libavcodec.

-of <format> (CODE BÉTA!)
    Encode dans le format de conteneur donné (par défaut : AVI).
    NOTE : Pour obtenir la liste complète des formats de conteneurs disponibles, voir -of help.

    EXEMPLE: Encode en AVI. Encode en MPEG. flux vidéo brut (pas de multiplexage - uniquement un flux vidéo)

-ofps <fps>
    Définit le rapport trame/sec (fps) du fichier de sortie, qui peut être différent de celui de la source. Vous devez le définir pour les fichiers à fps variable (ASF, quelques MOV) et progressifs (MPEG téléciné à 29.97fps).

-ovc <nom codec>
    Encode avec le codec vidéo indiqué (pas de valeur par défaut).
    NOTE : Pour obtenir la liste complète des codecs disponibles, voir -ovc help.

    EXEMPLE : pas d'encodage, juste une copie du flux Encode en DivX4/DivX5. Encode dans un format non-compressé arbitraire (que vous sélectionnez avec -vf format). Encode avec un codec de libavcodec.

-passlogfile <nomfichier>
    Envoie les informations de la première passe du mode deux passes dans <nomfichier> au lieu de ./divx2pass.log par défaut.

-skiplimit <valeur>
    Définit le nombre maximal de trames pouvant être sautées après avoir encodé une trame (-noskiplimit pour un nombre illimité).

-vobsubout <nom_de_base>
    Définit le nom de base pour les fichiers .idx et .sub de destination. Cela désactive le rendu des sous-titres dans le film encodé et le redirige vers un groupe de fichiers de sous-titre VOBsub.

-vobsuboutid <langid>
    Définit le code-langue à deux lettres pour les sous-titres. Ceci outrepasse ce qui est lu depuis le DVD ou le fichier .ifo.

-vobsuboutindex <index>
    Spécifie l'index des sous-titres dans le fichiers de sortie. (par défaut : 0)

OPTIONS D'ENCODAGE SPÉCIFIQUES AUX CODECS (MENCODER UNIQUEMENT)
Vous pouvez définir les options d'encodage spécifiques aux codecs en suivant la syntaxe ci-dessous :

-<codec>opts <option1[=valeur],option2,...>

Où <codec> peut être: lavc, xvidenc, divx4, lame, toolame, x264enc

  divx4 (-divx4opts)
DivX4 est obsolète et n'est géré que par soucis d'exhaustivité. Pour avoir des détails sur les options DivX4, lisez les sources, la plupart des options ne sont pas documentées ici.

help
    obtenir l'aide

br=<valeur>
    Définit le débit binaire (bitrate) (en kbits) (en bits)

key=<valeur>
    intervalle maximal entre deux trames-clé (en trames)

deinterlace
    Active le désentrelacement (à éviter, DivX4 est boggué).

q=<1-5>
    qualité (1-plus rapide, 5-meilleur)

min_quant=<1-31>
    quantum minimal

max_quant=<1-31>
    quantum maximal

rc_period=<valeur>
    période de contrôle du débit

rc_reaction_period=<valeur>
    période de réaction de contrôle du débit

rc_reaction_ratio=<valeur>
    rapport de réaction de contrôle du débit

crispness=<0-100>
    Définit la dureté/douceur.

pass=<1-2>
    Permet d'encoder des fichiers DivX4 en 2 passes. Encodez d'abord avec pass=1, puis encodez avec les mêmes paramètres et pass=2.

vbrpass=<0-2>
    Outrepasse l'argument -pass et utilise la librairie VBR XviD au lieu du VBR DivX4. Les options disponibles sont : encodage une passe (comme en ne mettant pas -pass en ligne de commande) (Première) passe d'analyse de l'encodage deux passes. Le fichier AVI de destination peut être redirigé vers /dev/null. (Seconde) passe finale de l'encodage deux passes.

  lame (-lameopts)

help
    afficher l'aide

vbr=<0-4>
    méthode variable bitrate cbr mt rh (par défaut) abr mtrh

abr bitrate moyen (ou plutôt, moyenné)

cbr bitrate constant Force également l'encodage en mode CBR sur les modes ABR sélectionnés suivant.

br=<0-1024>
    bitrate en kbps (CBR et ABR uniquement).

q=<0-9>
    qualité (0-meilleure, 9-moins bonne) (VBR uniquement)

aq=<0-9>
    qualité algorithmique (0-meilleure/plus lent, 9-pire/plus rapide)

ratio=<1-100>
    rapport de compression

vol=<0-10>
    gain d'entrée audio

mode=<0-3>
    (par défaut : auto) stéréo joint-stereo dualchannel mono

padding=<0-2>
    aucun tous ajuste

fast
    Sélectionne le plus rapide des modes VBR pré-sélectionnés à suivre cette option. Produit des fichiers de qualité légèrement inférieure au bitrate plus important.

highpassfreq=<fréq>
    Définit la fréquence de coupure du filtre passe-haut en Hz. Les fréquences en dessous de la fréquence de coupure seront supprimées. Une fréquence de -1 désactivera le filtrage, tandis que 0 laissera LAME choisir la fréquence automatiquement.

lowpassfreq=<fréq>
    Définit la fréquence de coupure du filtre passe-bas en Hz. Les fréquences au dessus de la fréquence de coupure seront supprimées. Une fréquence de -1 désactivera le filtrage, tandis que 0 laissera LAME choisir la fréquence automatiquement.

preset=<valeur>
    valeurs de preset Affiche d'autres options et des informations sur les modes pré-sélectionnés. encodage VBR, bonne qualité, intervalle bitrate 150-180 kbps encodage VBR, haute qualité, intervalle bitrate 170-210 kbps encodage VBR, très haute qualité, intervalle bitrate 200-240 kbps encodage CBR, plus haute qualité pré-sélectionnée, bitrate 320 kbps encodage ABR au bitrate moyen indiqué

    EXEMPLE:
Devrait convenir à la plupart des gens et à plupart des musiques car ce preset est déjà d'assez grande qualité. Encode avec les présélections ABR à un bitrate constant forcé à 192 kbps. Encode avec les présélections ABR à un bitrate moyen de 172 kbps. Devrait convenir aux gens très exigeants, ayant une audition extrêmement bonne et un équipement HI-FI en rapport.

  toolame (-toolameopts)

br=<0-384> (CBR uniquement)
    bitrate (débit binaire) en kbps

mode=<stereo | jstereo | mono | dual>
    (par défaut : mono pour de l'audio mono-canal, stéréo sinon)

psy=<0-3>
    modèle psycho-acoustique (par défaut : 2)

errprot=<0 | 1>
    Rajoute des informations de correction d'erreurs.

debug=<0-10>
    niveau de débogage

  lavc (-lavcopts)
De nombreuses options de libavcodec (lavc pour faire plus simple) sont très spécialisées et pauvrement documentées. Pour avoir tous les détails lisez le source.

EXEMPLE:

acodec=<value>
    codec audio (par défaut : mp2) MPEG Layer 2 MPEG Layer 3 AC3 IMA Adaptive PCM (4bits par échantillon, compression 4:1)

abitrate=<valeur>
    débit binaire audio en kbps (par défaut : 224)

atag=<valeur>
    Utilise le tag Windows audio spécifié (par ex. atag=0x55).

bit_exact
    Utilise uniquement les algorithmes à bit exact (excepté (I)DCT). De plus, bit_exact désactive certaines optimisations, ce qui fait que cette option ne devrait être utilisée que pour des tests de régression, qui nécessitent des fichiers identiques bit-à-bit, même quand la version de l'encodeur change. Cela supprime également l'entête user-data des flux MPEG-4 N'utilisez donc cette option que si vous êtes sûrs d'en avoir besoin.

threads=<1-8>
    Nombre maximum de threads à utiliser (par défaut : 1). Peut avoir un effet néfaste sur l'estimation du mouvement.

vcodec=<valeur>
    Emploie le codec indiqué (par défaut : mpeg4). Motion JPEG Lossless (sans perte) JPEG H.263 H.263+ MPEG-4 (DivX 4/5) DivX 3 MS MPEG-4v2 Windows Media Video, version 1 (alias WMV7) Windows Media Video, version 2 (alias WMV8) un ancien codec RealVideo MPEG-1 video MPEG-2 video HuffYUV ASUS Video v1 ASUS Video v2 codec vidéo sans perte de FFmpeg

vqmin=<1-31>
    quantum minimum (passe 1/2) Non recommandé (fichier bien plus gros, faible différence de qualité et secondaires étranges : msmpeg4, h263 seront de mauvaise qualité, le contrôleur du débit sera perdu entrainant une mauvaise qualité et certains décodeurs seront incapables de le décoder). Recommandé pour l'encodage normal mpeg4/mpeg1video (par défaut). Recommandé pour h263(p)/msmpeg4. La raison de préférer 3 à 2 est que 2 peut conduire à des dépassements. (Ceci sera corrigé pour h263(p) en changeant les quantum par macro-bloc dans le futur, msmpeg4 ne peut être corrigé car il ne gère pas cela).

lmin=<0.01-255.0>
    Multiplicateur de Lagrange minimum pour le contrôleur de débit, qu'il est conseillé d'avoir égal ou inférieur à vqmin. (par défaut : 2.0)

lmax=<0.01-255.0>
    Multiplicateur de Lagrange maximum pour le contrôleur de débit. (par défault: 31.0)

vqscale=<1-31>
    Quantificateur constant / qualité d'encodage constante. Une valeur basse signifie une meilleur qualité mais de gros fichiers (par défaut : 0 (désactivé)). 1 est déconseillé (voir vqmin pour plus de détails).

vqmax=<1-31>
    Quantificateur maximum (passe 1/2) 10-31 devrait être un intervalle raisonnable (par défaut : 31).

mbqmin=<1-31>
    obsolète, utilisez vqmin

mbqmax=<1-31>
    obsolète, utilisez vqmax

vqdiff=<1-31>
    différence maximale de quantum entre chaque trame-I ou -P consécutive (passe 1/2) (par défaut : 3)

vmax_b_frames=<0-4>
    nombre maximum de trames-B entre les trames-non-B : pas de trames-B (par défaut) intervalle sensé pour MPEG-4

vme=<0-5>
    méthode d'estimation du mouvement. Les méthodes disponibles sont: aucune (qualité très mauvaise, n'est plus maintenu et est désactivé) pleine (lent) log (mauvaise qualité, n'est plus maintenu et est désactivé) phods (mauvaise qualité, n'est plus maintenu et est désactivé) EPZS : diamant de taille 1, dont la taille peut être ajustée avec les options *dia (par défaut) X1 (expérimental, est un alias de EPZS pour le moment)

    NOTE: 0-3 pour l'instant ignorent la quantité de Bits utilisés, donc la qualité peut être mauvaise.

me_range=<0-9999>
    intervalle de recherche de l'estimation de mouvement (par défaut : 0 (illimité))

mbd=<0-2>
    Algorithme de décision de macro-block (mode haute qualité), encode chaque macro-block dans tous les modes et choisit le meilleur. C'est lent mais permet d'améliorer la qualité visuelle et réduire la taille du fichier. Utilise mbcmp (par défaut). Sélectionne le mode MB qui requiert le moins de bits (=vhq). Sélectionne le mode MB qui est le plus fidèle à l'original.

vhq Identique à mbd=1, gardé pour raisons de compatibilité.

v4mv
    Permet 4 vecteurs de mouvement par macro-bloc (qualité légèrement meilleure). Gagne à être utilisé en conjonction de mbd>0.

obmc
    Compensation de mouvement par groupes de blocs (H.263+)

loop
    Filtre loop (H.263+) note: est actuellement cassé

inter_threshold <-1000-1000>
    Ne fait absolument rien pour l'instant.

keyint=<0-300>
    intervalle (en trames) entre les trames-clé (keyframe) (par défaut : 250 ou une trame-clé toutes les dix secondes dans un film à 25fps) Les trames-clé sont indispensables pour les déplacements puisque celui-ci n'est possible que d'une trame-clé vers une autre, mais celles-ci prennent plus de place que les autres trames. Un espacement plus important des trames-clé signifie donc des fichiers légèrement plus petits, mais un déplacement moins précis. 0 est équivalent à 1, ce qui rend chaque trame une trame-clé. Les valeurs >300 ne sont pas recommandées car la qualité peut être mauvaise suivant le décodeur, l'encodeur et votre horoscope ;-). Pour une conformité stricte MPEG-1/2/4 cela devrait être <=132.

sc_threshold=<-1000000-1000000>
    Seuil pour la détection des changements de scène. Libavcodec ajoute une trame-clé quand elle détecte un changement de scène. Vous pouvez définir la sensibilité de la détection avec cette option. -1000000 signifie qu'il y aura un changement détecté à chaque trame, 1000000 signifie qu'aucun changement de scène ne sera détecté (par défaut : 0).

vb_strategy=<0-1>
    stratégie à choisir entre les trames-I/P/B (passe 1) : Toujours utiliser le nombre maximum de trames-B (par défaut). Éviter les trames-B dans les scènes avec beaucoup de mouvement.

vpass=<1-3>
    Active le mode deux (ou trois) passes internes ne le spécifiez que si vous désirez utiliser l'encodage deux (ou trois) passes : première passe (voir aussi turbo) seconde passe Nième passe (seconde et troisième passes de l'encodage trois passes)
    Voici comment cela fonctionne, et comment l'utiliser :
    La première passe (vpass=1) écrit le fichier de statistiques. Vous devriez désactiver des options gourmandes en temps processeur, comme le fait le mode "turbo".
    En mode deux passes, la seconde passe (vpass=2) se base sur le fichier de stats pour allouer le bon nombre de bits aux trames (ratecontrol).
    En mode trois passes, la seconde passe (vpass=3, non ce n'est pas une erreur) fait les deux : elle lit le fichier de stats, puis ré-écrit par dessus. (Peut-être que vous devriez sauver le fichier divx2pass.log avant si MEncoder peut être interrompu dans son cours). Vous devriez utiliser toutes les options d'encodage, à l'exception de celles vraiment très gourmandes, comme "qns".
    La troisième passe (vpass=3) fait la même chose que la seconde, à la différence près qu'elle dispose des stats de la deuxième passe pour mieux travailler. Vous pouvez utiliser toutes les options d'encodage, même les plus gourmandes.

    huffyuv :
Sauve les statistiques. Encode avec une table Huffman optimisée d'après les statistiques de la passe 1.

turbo (2-pass uniquement)
    Accélère énormément la première passe en utilisant des algorithmes plus rapides et en désactivant des options gourmandes en temps processeur. Cela va sans doute diminuer le PSNR global (d'environ 0.01dB) et changer un peu plus le type et le PSNR des trames générées (jusqu'à 0.03dB).

aspect=<x/y>
    Stocke le rapport hauteur/largeur du film en interne, tout comme les fichiers MPEG. Bien mieux que le redimensionnement, car la qualité n'en est pas diminuée. Probablement seul MPlayer sera capable de relire ces fichiers correctement, les autres lecteurs l'afficheront avec un mauvais rapport hauteur/largeur. Le paramètre peut être donné en tant que ratio hauteur/largeur ou nombre flottant.

    EXEMPLE:

autoaspect
    Même chose que l'option aspect, mais calcule automatiquement le rapport hauteur/largeur, en prenant en compte tous les ajustements (crop/expand/scale/etc.) faits dans la chaine de filtres. N'affecte pas la vitesse d'encodage, donc vous pouvez sans problème l'activer tout le temps.

vbitrate=<valeur>
    Définit le débit binaire (bitrate) (passe 1/2) (par défaut 800).
    ATTENTION : 1kBit = 1000 Bits (en kbits) (en bits)

vratetol=<valeur>
    tolérance approximative de taille du fichier en kbit. 1000-100000 est un intervalle raisonnable. attention: 1kBit = 1000 Bits (par défaut : 8000)
    NOTE : vratetol ne devrait pas être trop grand lors de la seconde passe ou il peut se produire des problèmes si vrc_(min|max)rate est utilisé.

vrc_maxrate=<valeur>
    bitrate maximum en kbit/sec (passe 1/2) (par défaut : 0, illimité)

vrc_minrate=<valeur>
    bitrate minimum en kbit/sec (passe 1/2) (par défaut : 0, illimité)

vrc_buf_size=<valeur>
    taille du tampon en kbit (passe 1/2). Pour MPEG-1/2 cela fixe également la taille du tampon vbv, utilisez 327 pour un VCD, 917 pour un SVCD et 1835 pour un DVD. NOTE: vratetol ne devrait pas être trop grand durant la seconde passe ou il pourrait y avoir des problèmes si vrc_(min|max)rate est utilisé.

vrc_buf_aggressivity
    actuellement inutile

vrc_strategy
    Inutilisé, réservé pour utilisation future.

vb_qfactor=<-31.0-31.0>
    facteur de quantum entre les trames-B et non-B (passe 1/2) (par défaut : 1.25)

vi_qfactor=<-31.0-31.0>
    facteur de quantum entre les trames-I et non-I (passe 1/2) (par défaut : 0.8)

vb_qoffset=<-31.0-31.0>
    offset des quantum entre les trames-B et non-B (passe 1/2) (par défaut : 1.25)

vi_qoffset=<-31.0-31.0>
    (passe 1/2) (par défaut : 0.0)
    si v{b|i}_qfactor > 0
    quantum trame-I/B = quantum trame-P * v{b|i}_qfactor + v{b|i}_qoffset
    sinon
    procède à un contrôle de débit normal (ne verrouille pas le prochain quantum trame-P) et initialise q= -q * v{b|i}_qfactor + v{b|i}_qoffset
    ASTUCE : Pour faire de l'encodage à quantum constant avec des quantum différents pour les trames-I/P et -B vous pouvez utiliser : lmin= <ip_quant>:lmax= <ip_quant>:vb_qfactor= <b_quant/ip_quant>.

vqblur=<0.0-1.0> (passe 1)
    Flou quantum (par défaut : 0.5), plus la valeur est grande, plus les quantum seront semblables d'une trame à l'autre (variations plus basses). Flou quantum désactivé. Répartit les quantum sur toutes les trames précédentes.

vqblur=<0.0-99.0> (passe 2)
    Flou gaussien quantum (par défaut : 0.5), plus la valeur est grande, plus les quantum seront semblables d'une trame à l'autre (variations plus basses).

vqcomp=<valeur>
    Compression quantum, dépend de vrc_eq (passe 1/2) (par défaut : 0.5).

vrc_eq=<équation>
    équation principale de contrôle de débit (passe 1/2)
constant bitrate qualité constante approximativement l'équation de l'ancien code de contrôle de débit avec qcomp 0.5 ou quelque chose comme ça (par défaut)

    opérateurs infixes :

    variables:
complexité de la texture complexité de la texture intra, non-intra complexité moyenne de la texture complexité de la texture intra dans les trames-I complexité de la texture intra dans les trames-P complexité de la texture non-intra dans les trames-P complexité de la texture non-intra dans les trames-B Bits utilisés pour les vecteurs de mouvement longueur maximum des vecteurs de mouvement en échelle log base 2 nombre de blocs macro intra / nombre de blocs macro complexité spatiale complexité temporelle qcomp depuis la ligne de commande Est égal à 1 si le type d'image est I/P/B, 0 sinon. Voir votre livre de maths favori.

    fonctions:
maximum / minimum est égal à 1 si a>b, 0 sinon est égal à 1 si a<b, 0 sinon est égal à 1 si a==b, 0 sinon

vrc_override=<options>
    Qualité définie par l'utilisateur pour les parties spécifiques (fin, remerciements, ...) (passe 1/2). Les options sont <trame de début>, <trame de fin>, <qualité>[/<trame de début>, <trame de fin>, <qualité>[/...]]: quantum correction de qualité en %

vrc_init_cplx=<0-1000>
    complexité initiale (passe 1)

vqsquish=<0,1>
    Définit comment garder le quantum entre qmin et qmax (passe 1/2). Utilise le découpage (clipping). Utilise une bonne fonction différentiable (par défaut).

vlelim=<-1000-1000>
    Définit le coefficient de seuil d'élimination pour la luminance. Des valeurs négatives prendront aussi en compte le coefficient DC (qui devrait être au moins -4 ou plus bas pour l'encodage à quant=1): désactivé (par défaut) recommandation JVT

vcelim=<-1000-1000>
    Définit le coefficient de seuil d'élimination pour la chrominance. Des valeurs négatives prendront aussi en compte le coefficient DC (qui devrait être au moins -4 ou plus bas pour l'encodage à quant=1): désactivé (par défaut) recommandation JVT

vstrict=<-1,0,1>
    conformité stricte au standard désactivé (par défaut) Seulement recommandé si vous voulez fournir la sortie au décodeur MPEG-4 de référence. Permet l'encodage non-standard huffyuv YV12 (fichiers 20% plus petits, mais qui ne peuvent pas être relus par le codec huffyuv officiel).

vdpart
    Partitionnement des données. Ajoute 2 octets par paquet vidéo, améliore la résistance aux erreurs pendant un transfert sur un canal non-fiable(c-à-d. streamer sur l'internet) Chaque paquet vidéo sera encodé dans trois partitions différentes: mouvement image basse résolution détails
    MV & DC sont les plus importants, les perdre est bien pire que de perdre les partitions AC et 1. & 2. (MV & DC) sont bien plus petites que la partition 3. (AC) ce qui veut dire que les erreurs atteindrons la partition AC bien plus souvent que les partitions MV & DC. Ainsi, l'image sera plus belle avec le partitionnement que sans, car sans partitionnement une erreur plantera AC/DC/MV équitablement.

vpsize=<0-10000> (voir aussi -vdpart)
    Taille des paquets vidéo, améliore la résistance aux erreurs. désactivé (par défaut) bon choix

ss  mode structuré en tranches pour H.263+

gray
    encodage en niveaux de gris uniquement (plus rapide)

vfdct=<0-10>
    algorithme DCT: en sélectionne un bon automatiquement (par défaut) entier rapide entier précis MMX mlib Altivec nombre flottant AAN

idct=<0-99>
    algorithme IDCT. NOTE: À notre connaissance tous ces IDCTs réussissent les tests IEEE1180. En sélectionne un bon automatiquement (par défaut). JPEG de référence en entiers simple simplemmx libmpeg2mmx (inadapté, ne pas utiliser en encodant avec keyint >100) ps2 mlib arm Altivec sh4

lumi_mask=<0.0-1.0>
    Le luminance masking (masquage des zones saturées de lumière) est un algorithme psychosensoriel qui est sensé tenir compte de la moindre sensibilité rétinienne aux zones saturées de lumière. Le luminance masking compresse plus fortement les zones très lumineuses, économisant ainsi des bits, pouvant être redistribués à d'autres trames, augmentant ainsi la qualité subjective globale de la vidéo, tout en dégradant probablement un peu le PSNR.
    ATTENTION : Soyez prudent, un masquage trop violent peut causer des résultats désastreux.
    ATTENTION : De grandes valeurs peuvent paraître bonnes sur certains moniteurs mais peuvent être horribles sur d'autres moniteurs. désactivé (par défaut) intervalle sensé

dark_mask=<0.0-1.0>
    Le darkness masking (masquage des zones sombres) est un algorithme psychosensoriel qui est sensé tenir compte de la moindre sensibilité rétinienne aux zones plus sombres. Le darkness masking compresse plus fortement les zones très sombres, économisant ainsi des bits, pouvant être redistribués à d'autres trames, augmentant ainsi la qualité subjective globale de la vidéo, tout en dégradant probablement un peu le PSNR.
    ATTENTION : Soyez prudent, un masquage trop violent peut causer des résultats désastreux.
    ATTENTION : De grandes valeurs peuvent paraître bonnes sur certains moniteurs mais peuvent être horribles sur d'autres moniteurs / TV / TFT. désactivé (par défaut) intervalle sensé

tcplx_mask=<0.0-1.0>
    Masquage de la complexité temporelle (par défaut : 0.0 (désactivé)). Imaginez une scène avec un oiseau y volant, tcplx_mask va augmenter les quantum des macro-blocs décrivant l'oiseau (et donc réduit leur qualité) puisque l'oeil humain n'a normalement pas le temps de voir tous les détails de l'oiseau. Sachez cependant que si l'objet masqué s'arrêtre (ex. l'oiseau se pose) il est très probable qu'il soit très laid un court instant (jusqu'à ce que l'encodeur remarque que l'objet ne bouge plus et doit voir ses blocs affinés). Les bits économisés seront redistribués au reste de la vidéo, ce qui peut en améliorer la qualité subjective, pourvu que la valeur donnée à tcplx_mask soit bien choisie.

scplx_mask=<0.0-1.0>
    masquage de la complexité spatiale De plus grandes valeurs peuvent aider contre l'effet de blocs (blockiness), si aucun filtre de déblocage n'est utilisé pendant le décodage, ce qui n'est d'ailleurs pas une bonne idée.
    Imaginez une scène avec une pelouse (caractéristique d'une grande complexité spatiale), un ciel bleu et une maison, scplx_mask va augmenter les quantum des macro-blocs décrivant la pelouse (et donc réduit leur qualité), pour pouvoir distribuer plus de bits au ciel et à la maison. ASTUCE : Enlevez tous les bords noirs car ils vont réduire la qualité des macro-blocs (ce qui est reste vrai, même sans scplx_mask). désactivé (par défaut) intervalle sensé

    NOTE : Cette option n'a pas le même effet que l'usage d'une matrice personnalisée qui compresserait plus fort les hautes fréquences, puisque scplx_mask réduira la qualité des blocs-P même si seulement le DC change. scplx_mask ne rendra pas un résultat aussi bon.

p_mask=<0.0-1.0> (voir aussi vi_qfactor)
    Réduit la qualité des blocs inter, ce qui revient à augmenter celle blocs intra blocks, puisque le même bitrate moyen sera distribué par le "rate controller" à l'ensemble de la séquence vidéo (par défaut : 0.0 (désactivé)). p_mask=1.0 double la quantité de bits donnés à chaque bloc intra.

naq Normalise la quantification adaptive (expérimental). En utilisant la quantification adaptive (*_mask), le quantum moyen par MB peut ne pas correspondre au quantum par trame demandée. Naq essaiera d'ajuster les quantum par MB pour maintenir une moyenne correcte.

ildct
    Utilise une DCT entrelacée.

ilme
    Utilise l'estimation de mouvement entrelacé (mutuellement exclusif avec qpel)

alt Utilise une autre table de scan.

top=<-1-1>
    automatique champ du dessous en premier champ du dessus en premier

format=<valeur>
    par défaut pour ffv1 pour HuffYUV, JPEG sans perte (lossless) et ffv1 pour JPEG sans perte et ffv1 pour JPEG sans perte et ffv1

pred
    (pour HuffYUV) prédiction gauche prédiction plane/gradient prédiction médiane

pred
    (pour jpeg sans perte) prédiction à gauche prédiction en haut prédiction en haut à gauche prédiction plane/graduelle prédiction moyenne

coder
    (pour ffv1) codage vlc (Golomb-Rice) codage arithmétique (CABAC)

context
    (pour ffv1) petit modèle contextuel grand modèle contextuel

qpel
    Utilise la compensation de mouvement d'une précision d'un quart de pixel.
    ASTUCE : Cela ne semble utile que pour les encodages à haut débit.

mbcmp=<0-2000>
    Choisit la fonction de comparaison pour décider du meilleur du macroblock à coder, utilisé uniquement si mbd=0. somme des différences absolues, rapide (par défaut) somme des erreurs au carré somme des différences absolues de la transformée de Hadamard somme des différences absolues de la transformée DCT somme des erreurs de quantification au carré (éviter, mauvaise qualité) nombre de bits requis pour le bloc taux de distortion optimal, lent 0 somme des différences verticales absolues somme des différences verticales absolues au carré somme des différences au carré préservant le bruit Utilise également le chroma, ne fonctionne pour le moment pas (correctement) avec les trames-B actuellement

ildctcmp=<0-2000>
    Choisit la fonction de comparaison pour la décision DCT entrelacé (voir mbcmp pour les fonctions de comparaison disponibles).

precmp=<0-2000>
    Choisit la fonction de comparaison pour la pré-passe de l'estimation de mouvement (voir mbcmp pour les fonctions de comparaison disponibles).

cmp=<0-2000>
    Choisit la fonction de comparaison pour l'estimation de mouvement full pel (voir mbcmp pour les fonctions de comparaison disponibles).

subcmp=<0-2000>
    Choisit la fonction de comparaison pour l'estimation de mouvement sub pel (voir mbcmp pour les fonctions de comparaison disponibles).

nssew=<0-100>
    Si vous préférez garder du bruit dans votre vidéo encodée au lieu de le filtrer avant de l'encoder, cette option contrôle le poids NSSE, où de plus grandes valeurs laisseront plus de bruit, À 0 NSSE est identique à SSE.

predia=<-99-6>
    type et taille de diamant pour la pré-passe d'estimation de mouvement

dia=<-99-6>
    Type et taille de diamant pour l'estimation de mouvement. La recherche de mouvement est un processus itératif. L'utilisation de diamants plus petits ne limitent pas la recherche à de petits vecteurs de mouvement. En revanche, la recherche risque de se terminer avant d'avoir trouvé celui serait vraiment meilleur, surtout en présence de bruit. De plus grands diamants permettent une recherche plus étendue du meilleur vecteur de mouvement, et sont par conséquent plus lents mais améliorent la qualité.
    Les gros diamants normaux améliorent plus la qualité de leur équivalent à dimension adaptative.
    Les diamants à dimensions adaptatives sont un bon compromis vitesse/qualité.
    NOTE: Les tailles des diamants normales et celles de ceux à dimensions adaptatives n'ont pas la même signification dimension adaptative de taille 3 (rapide) dimension adaptative de taille 2 (rapide) un peu particulier : Peut être plus lent et/ou plus lent que dia=-2. diamant normal de taille=1 (par défaut) = type de diamant EPZS
          0
         000
          0
    diamant normal de taille=2
          0
         000
        00000
         000
          0

trell
    Quantisation par recherche trellis. Ceci trouvera l'encodage optimal pour chaque bloc 8x8. La quantification par recherche trellis est en gros une quantification optimale en terme de compromis entre PSNR et bitrate (En supposant qu'il n'y aurait pas d'erreurs introduites par l'IDCT, ce qui n'est clairement pas le cas.). Il trouve simplement un bloc ayant le minimum d'erreurs et lambda*bits. constante dépendante des paramètres de quantification (QP) quantité de bits requis pour encoder le bloc somme des erreurs au carré de la quantification

cbp (trell uniquement)
    Motif de bloc codé optimisant le taux de distortion. Sélectionnera le motif de bloc qui minimise la distortion + lambda*débit.

mv0 Essaie d'encoder chaque MB avec MV=<0,0> et choisit le meilleur. Ceci n'a pas d'effet si mbd=0.

qprd (mbd=2 uniquement)
    paramètres de quantification (QP) à taux de distortion optimal pour le lambda donné de chaque macrobloc

last_pred=<0-99>
    quantité de prédicteurs de mouvement à partir de la trame précédente (par défaut) Utilisera 2a+1 x 2a+1 blocs macro au carré de prédicteurs de vecteur de mouvement depuis la trame précédente.

preme=<0-2>
    pré-passe d'estimation de mouvement désactivée uniquement après les trames-I (par défaut) toujours

subq=<1-8>
    qualité de raffinement subpel (pour qpel) (par défaut : 8) NOTE: Ceci a un effet significatif sur la vitesse.

psnr
    Affiche le PSNR (peak signal to noise ratio, Raport Signal sur Bruit) pour l'ensemble de la vidéo après l'encodage et stocke le PSNR par trame dans un fichier comme 'psnr_012345.log'. Les valeurs retournées sont en dB (décibel), le plus haut est le mieux.

mpeg_quant
    Utilise les quantum MPEG au lieu de H.263.

aic Prédiction AC (prédiction intra avancée pour H.263+)
    NOTE : vqmin devrait être égal à 8 ou plus pour H263+ AIC.

aiv alternatice inter vlc pour H.263+ FIXME: N'explique pas grand-chose.

umv Vecteurs de Mouvement illimités (H.263+ uniquement) Autorise l'encodage de Vecteurs de Mouvements de longueur arbitraire.

ibias=<-256-256>
    polarisation intra quantum (256 équivaut à 1.0, les quantum de type MPEG par défaut : 96, les quantum de type H.263 par défaut : 0)
    NOTE : Le quantum H.263 MMX ne peut pas gérer de polarisations positives (choisir vfdct=1 ou 2). Le quantum MPEG MMX ne peut pas gérer de polarisations négatives (choisir vfdct=1 ou 2)

pbias=<-256-256>
    polarisation inter quantum (256 équivaut à 1.0, les quantum de type MPEG par défaut : 0, les quantum de type H.263 par défaut : -64)
    NOTE : Le quantum H.263 MMX ne peut pas gérer de polarisations positives (choisir vfdct=1 ou 2) Le quantum MPEG MMX ne peut pas gérer de polarisations negatives (choisir vfdct=1 ou 2)
    ASTUCE : Une polarisation plus positive (-32- -16 au lieu de -64) semble améliorer le PSNR

nr=<0-100000>
    Réduction du bruit, 0 signifie désactivé.

qns=<0-3>
    Quantification d'après un modèle de bruit. Au lieu d'effectuer la quantification dans le but d'obtenir avoir l'image la plus fidèle d'un point de vue PSNR, la quantification sera faite de façon à ce que le bruit (souvent le "ringing") soit masqué par des données de fréquence similaire dans l'image. Ceci peut et doit être utilisé avec la quantification par treillis, dans ce cas la quantification par trellis (optimale pour un poids constant) sera utilisée comme point de départ pour la recherche itérative. désactivé (par défaut) Baisse uniquemement la valeur absolue des coefficients. Change uniquement les coefficients avant le coefficient non null + 1. Essaie tout.

inter_matrix=<matrice séparée par des virgules>
    Utilise une matrice inter personnalisée. Cela requiert une chaine de 64 entiers séparés par des virgules.

intra_matrix=<matrice séparée par des virgules>
    Utilise une matrice intra personnalisée. Cela requiert une chaine de 64 entiers séparés par des virgules.

vqmod_amp
    modulation de quantum expérimental

vqmod_freq
    modulation de quantum expérimental

dc  Précision DC intra en bits (par défaut : 8). Si vous utilisez vcodec=mpeg2video cette valeur peut être 8, 9, 10 ou 11.

cgop
    Ferme tous les GOPs (groupes de trames). Ne fonctionne pas pour le moment.

  nuv (-nuvopts)
Nuppel video est basé sur RTJPEG et LZO. Par défaut les trames sont d'abord encodées avec RTJPEG et ensuite avec LZO, mais il est possible de désactiver chaque passe, ou les deux. Cela vous permet d'obtenir du i420 brut, du i420 compressé par LZO, du RTJPEG, ou le RTJPEG compressé par LZO.
NOTE: La documentation de nuvrec contient quelques conseils et exemples sur les paramètres à utiliser avec les encodages TV courants.

c=<0-20>
    seuil de chrominance (par défaut : 1)

l=<0-20>
    seuil de luminance (par défaut : 1)

lzo Active la compression LZO (par défaut).

nolzo
    Désactive la compression LZO.

q=<3-255>
    niveau de qualité (par défaut: 255)

raw Désactive l'encodage RTJPEG.

rtjpeg
    Active l'encodage RTJPEG (par défaut).

  xvidenc (-xvidencopts)
Il y a trois modes disponibles: débit binaire constant (CBR), quantum fixe et 2passes.

pass=<1|2>
    Définit la passe en mode 2passes.

bitrate=<valeur>
    Fixe le débit binaire (bitrate) à utiliser en kbits/seconde si <16000 ou en bits/seconde si >16000. Si <valeur> est un nombre négatif, XviD l'interprètera comme la taille visée de la vidéo (CBR ou mode 2passes, défaut : 687 kbits/s).

fixed_quant=<1-31>
    Passe en mode quantum fixe et définit le quantum à utiliser.

me_quality=<0-6>
    Contrôle la qualité de détection de mouvement. Plus cette valeur est grande et plus l'évaluation est fine et utilise judicieusement les bits (par défaut : 6). En revanche, cette plus grande finesse se paye par un temps d'encodage plus long; aussi, si vous devez faire un encodage en temps réel, agissez sur ce paramètre.

(no)interlacing
    Active la gestion des vidéos entrelacées. L'encodage se fera en tenant compte des champs de la vidéo entrelacée.
    NOTE : Si vous redimmensionnez la vidéo, vous devriez utiliser un filtre de redimentionnement adapté à ce genre de vidéo, ce qui se fait avec -vf scale=<largeur>:<hauteur>:1.

4mv Utilise 4 vecteurs de mouvement par macro-bloc. Peut améliorer la compressibilité mais ralenti l'encodage.
    ATTENTION : Cette option n'existe plus séparément avec XviD 1.0.x, mais est activée automatiquement quand me_quality > 4.

rc_reaction_delay_factor=<valeur>
    Définit avec quelle rapidité le contrôleur de débit binaire CBR réagira à un changement de débit binaire et s'efforcera de le compenser pour obtenir un débit binaire constant sur cet ensemble de trames.

rc_averaging_period=<valeur>
    Un encodage à débit binaire vraiment constant est très difficile à réaliser. En fonction du type de scène, le débit binaire peut fortement varier et peut être difficile à prédire. C'est pourquoi XviD essaye plutôt de garantir ce débit binaire sur <valeur> nombre de trames.

rc_buffer=<valeur>
    Taille du tampon de contrôle du débit.

quant_range=<1-31>-<1-31>[/<1-31>-<1-31>]
    mode CBR : quantum min & max pour toutes les trames (par défaut : 2-31)
    mode 2passes : quantum min & max pour trames-I/P (par défaut : 2-31/2-31)
    ATTENTION : À partir de XviD-1.0.x, cette option est remplacée par les options [min|max]_[i|p|b]quant.

min_key_interval=<valeur>
    Intervalle minimum entre les trames-clés (par défaut : 0, 2passes uniquement)

max_key_interval=<valeur>
    intervalle maximum entre les trames-clé (par défaut : 10*fps)

mpeg_quant
    Utilise les quantum MPEG au lieu de H.263. À débit binaire plutôt élevé (> 950kb), les quantum MPEG ont tendance à conserver plus de détails. À faible débit binaire, H.263 adoucit plus les traits de l'image et donnera une image où les macro-blocs se verront moins. Si vous utilisez vos propres matrices de quantification, vous devez utiliser MPEG. ATTENTION : À partir de XviD-1.0.x, cette option est remplacée par l'option quant_type.

mod_quant
    Décide trame par trame d'utiliser ou non les quantum MPEG ou H.263.
    ATTENTION : Cette option génèrera un flux vidéo incompatible avec la norme MPEG-4. Ainsi, ne pourrez-vous vraisemblablement le lire qu'avec libavcodec ou XviD. (mode 2passes uniquement)
    ATTENTION : Cette option n'existe plus à partir de XviD-1.0.x.

keyframe_boost=<0-1000>
    Emprunte des bits depuis les autres "pools" de trames vers les trames-clés pour augmenter la qualité des trames-clés. (défaut : 0, mode 2passes uniquement)

kfthreshold=<valeur>
    (défaut : 0, mode 2passes uniquement)

kfreduction=<0-100>
    Les deux options ci-dessus contrôlent la taille des trames-clés qui vous semblent trop proches l'une de l'autre. kfthreshold contrôle la réduction de la distance inter trames-clés et kfreduction contrôle leur réduction de débit binaire. La dernière trame-clé est traitée normalement. (défaut : 0, mode 2passes uniquement)

divx5bvop
    Génère des trames-B compatibles DivX5 (par défaut : on). Ceci ne semble nécessaire qu'avec de vieilles versions du décodeur de DivX.
    ATTENTION : À partir de XviD-1.0.x, cette option est remplacée par l'option closed_gop.

(no)greyscale
    Indique à XviD de ne pas enregistrer l'information de chroma pour que la vidéo produite ne soit qu'en noir & blanc. Notez que cela ne changera en rien le temps de compression, cela évitera juste d'avoir l'information de chroma présente dans le fichier vidéo.

debug
    Sauve les statistiques par trames dans ./xvid.dbg. (Ce n'est pas le fichier de contrôle 2passes.)

Les options suivantes ne sont disponibles que dans les dernières versions stables 1.0.x de XviD (api4).

(no)packed
    Cette option a pour but de résoudre les problèmes de l'ordre des trames lorsque l'encodage est fait vers un container comme AVI qui ne gère pas les trames dans le désordre. En pratique, la plupart des décodeurs (autant logiciels que matériels) sont capables de gérer les trames dans le désordre eux-même, et peuvent même être gênés lorsque cette option est activée, c'est pourquoi vous pouvez sans problème laisser cette option désactivée, à moins de savoir précisément ce que vous faites.
    ATTENTION : Ceci engendrera un flux de bits illégal vis à vis de la norme MPEG-4, et NE SERA PAS décodable par les décodeurs excepté DivX/libavcodec/XviD.
    ATTENTION : Ceci ajoutera également une fausse version de divx dans le fichier donc l'autodétection de bogues risque de ne pas fonctionner.

max_bframes=<0-4>
    Nombre maximum de trames-B à insérer entre les trames-I/P (par défaut : 0).

bquant_ratio=<0-1000>
    rapport de quantum entre les trames-B et non-B, 150=1.50 (par défaut : 150)

bquant_offset=<-1000-1000>
    offset de quantum entre les trames-B et non-B, 100=1.00 (par défaut : 100)

bf_threshold=<-255-255>
    Parfois, les trames-B dégradent l'image en introduisant des artefacts visuels lorsque par exemple une scène est globalement statique sauf une petite région en mouvement rapide. Cette option permet de changer la probabilité qu'une trame soit une trame-B. Plus la valeur est haute, plus la probabilité que la trame générée soit une trame-B est forte (par défaut : 0).

(no)closed_gop
    Cette option demande à XviD de fermer chaque GOP (Group Of Pictures : Groupe D'Images encadrées par deux trames-I), ce qui signifie que chaque GOP sera indépendant des GOP suivants. Ceci implique que la dernière trame du GOP est soit une trame-P ou une trame-N, mais pas une trame-B. Il est plutôt recommandé d'activer cette option (par défaut : activé)

frame_drop_ratio=<0-100> (max_bframes=0 uniquement)
    Cette option vous permet de créer les flux vidéo à débit de trame variable. Le paramètre définit un seuil en dessous duquel, si la différence entre la trame précédente et la suivante est plus grande ou égale à ce seuil, la trame n'est pas codée (une trame appelée n-vop se sera juste présente dans le flux). Lors de la lecture, la n-vop sera jouée en affichant la trame précédente.
    ATTENTION : Une mauvaise utilisation de cette option peut produire des vidéos de très mauvaise qualité, soyez prévenus !

(no)qpel
    MPEG-4 recherche par défaut les mouvements avec une précision d'un demi-pixel. Il est néanmoins possible de faire une recherche avec une précision d'un quart de pixel, ce qui permet généralement d'obtenir une image plus détaillée et d'économiser des bits en description de mouvement. Malheureusement, cette plus grande précision consomme une partie de la bande passante vidéo, ainsi cette option peut aussi bien dégrader la qualité de l'image que l'améliorer. Le mieux est donc de comparer la vidéo obtenue avec et sans cette option et de ne garder que celle qui vous paraît la plus fidèle (qui n'est pas forcément celle dont le PSNR est le plus élevé).

(no)gmc
    Active la Compensation de Mouvement Globale, ce qui permet à XviD d'engendrer des trames spéciales (trames GMC), particulièrement adaptées aux mouvements de travelling/zoom/rotation. L'efficacité de cette option en terme d'économie de bits est très dépendante du type de vidéo source.

(no)trellis
    La quantification trellis est un type d'encodage adaptatif qui permet d'économiser des bits en modifiant les coefficients de quantification pour augmenter la compressibilité de la vidéo. À même temps de calcul, cela améliore plus la qualité visuelle que de jouer sur les options VHQ . Aussi, dans un contexte d'encodage temps réel, pensez à cette option!

(no)cartoon
    Ceci est un mode spécial d'XviD permettant de mieux tenir compte des grands à-plats de couleurs que l'on trouve typiquement dans les dessins animés.

quant_type=<h263|mpeg>
    Définit le type de quantum à utiliser. À débit binaire plutôt élevé (> 950kb), les quantum MPEG ont tendance à conserver plus de détails. À faible débit binaire, H.263 adoucit plus les traits de l'image et donnera une image où les macro-blocs se verront moins. Si vous utilisez vos propres matrices de quantification, vous devez utiliser la quantification MPEG.

(no)chroma_me
    Utilise l'information chroma en plus de la luma pour estimer le mouvement. L'efficacité de cette option dépend de la vidéo source.

(no)chroma_opt
    Active un préfiltre d'optimisation chroma qui améliore la qualité subjective de l'image, tout en dégradant sensiblement le PSNR et la vitesse d'encodage. Étant donné que cette option travaille sur l'information de chroma, vous pouvez désactiver cette option lors d'un encodage en noir et blanc.

(no)hq_ac
    Active une meilleure prévision du composant AC.

vhq=<0-4>
    L'algorithme de recherche de mouvement s'efforce de trouver un vecteur de mouvement qui minimise la différence entre la trame de référence et la trame encodée. Cette option permet à XviD de faire aussi sa recherche dans le domaine fréquentiel (DCT), pour obtenir non seulement un vecteur de mouvement qui minimise la différence spatiale du vecteur de mouvement mais aussi la longueur du bloc. Du plus rapide au plus lent : off (défaut) sélection du mode (inter/intra MB) recherche limitée recherche moyenne recherche large

min_iquant=<0-31>
    quantum minimum pour les trames-I (par défaut : 2)

max_iquant=<0-31>
    quantum maximum pour les trames-I (par défaut : 31)

min_pquant=<0-31>
    quantum minimum pour les trames-P (par défaut : 2)

max_pquant=<0-31>
    quantum maximum pour les trames-P (par défaut : 31)

min_bquant=<0-31>
    quantum minimum pour les trames-B (par défaut : 2)

max_bquant=<0-31>
    quantum maximum pour les trames-B (par défaut : 31)

quant_intra_matrix=<nom_fichier>
    Charge une matrice intra personnalisée. Vous pouvez construire de tels fichiers avec l'éditeur de matrices de xvid4conf.

quant_inter_matrix=<filename>
    Charge une matrice inter personnalisée. Vous pouvez construire de tels fichiers avec l'éditeur de matrices de xvid4conf.

curve_compression_high=<0-100>
    Cette option permet à XviD de voler un certain pourcentage de bits aux scènes mouvementées pour les remettre dans le "pool" de bits. Vous pouvez par exemple agir sur cette option si vous avez un film dont les scènes mouvementées monopolisent tellement de bits que les scènes moins rapides en souffrent (par défaut : 0).

curve_compression_low=<0-100>
    Cette option permet à XviD de donner un certain pourcentage de bits en plus aux scènes lentes, en prenant quelques bits tout au long du film. Vous pouvez agir sur cette option si vous avez quelques scènes lentes qui sont encore "blocky" (de gros blocs apparaissent sur l'image) (par défaut : 0).

overflow_control_strength=<0-100> (mode 2-passes uniquement)
    Lors de la première passe de l'encodage 2-passes, une courbe de bitrate normalisée à 100 est calculée. La différence entre cette courbe et le résultat obtenu lors de l'encodage effectif est appelée "overflow". Bien évidemment, la deuxième passe s'efforce de compenser cet overflow, en le distribuant sur toutes les trames suivantes. Cette option vous permet de contrôler quelle fraction de cet overflow est distribuée à chaque nouvelle trame. Une valeur basse permet un contrôle de l'overflow paresseux, où des grosses demandes de bitrate sont compensées lentement (ce qui peut faire beaucoup varier la taille des petites vidéos). Une valeur plus haute rendra la re-distribution de bits plus brusque, peut-être même trop brusque si vous lui donnez une valeur trop importante, ce qui créera des artefacts (par défaut : 5).
    NOTE : Cette option a un grand impact sur le résultat final, soyez prévenus!

max_overflow_improvement=<0-100>
    Lors de l'allocation de bits aux trames, le contrôleur d'overflow peut faire croître la taille de la trame. Cette option contrôle le pourcentage maximum d'accroissement par rapport à la courbe de bits calculée en première passe (par défaut : 5).

max_overflow_degradation=<0-100>
    Lors de l'allocation de bits aux trames, le contrôleur d'overflow peut diminuer la taille de la trame. Cette option contrôle le pourcentage maximum de diminution par rapport à la courbe de bits calculée en première passe (par défaut : 5).

container_frame_overhead=<0...>
    Définit l'overhead moyen par trame, en octets. La plupart des utilisateurs indiquent la taille visée de leur vidéo sans tenir compte de l'overhead du conteneur vidéo. Ce petit, mais à peu près constant overhead peut faire excéder la taille du fichier généré. XviD permet aux utilisateurs de donner le l'overhead par trame de leur conteneur (donner une moyenne par trame). 0 a un sens particulier, il laisse XviD prendre la valeur par défaut. (par défaut : 24 - l'overhead moyen d'AVI).

par=<mode>
    Définit le mode de Pixel Aspect Ratio : Rapport largeur/hauteur des Pixels (à ne pas confondre avec le DAR, Display Aspect Ratio : Rapport hauteur/largeur d'affichage). PAR est le ratio entre la largeur et la hauteur d'un pixel. Ils sont tout deux liés par la formule : DAR = PAR * (largeur/hauteur).
    MPEG-4 définit 5 PAR et un étendu, pour permettre de définir des PAR particuliers. 5 modes standard peuvent être définis : C'est le PAR classique des vidéos informtiques. Les pixels sont carrés. le PAR du standard PAL 4:3. Pixels are rectangles. comme ci-dessus comme ci-dessus comme ci-dessus (N'oubliez pas de donner le ratio exact.) Permet de définir un PAR particulier avec les options par_width et par_height.
    NOTE : Généralement, on peut se contenter d'utiliser les options aspect et autoaspect.

par_width=<1-255> (par=ext uniquement)
    Définit la largeur du PAR particulier.

par_height=<1-255> (par=ext uniquement)
    Définit la hauteur du PAR particulier.

aspect=<x/y | f (nombre flottant)>
    Stocke le rapport hauteur/largeur du film en interne, tout comme les fichiers MPEG. C'est une meilleure solution que le redimensionnement, parce que la qualité n'est pas altérée. MPlayer et quelques autres lecteurs liront ces fichiers correctement, les autres l'afficheront avec un mauvais rapport hauteur/largeur. Le paramètre aspect peut être donné en ratio ou en nombre flottant.

(no)autoaspect
    Même chose que l'option aspect mais calcule automatiquement le rapport hauteur/largeur, en prenant en compte les ajustements faits par la chaîne de filtres (découpage/expansion/redimensionnement/etc...).

psnr
    affiche le PSNR (peak signal to noise ratio : rapport du signal crête sur bruit) pour l'ensemble de la vidéo après encodage et stocke le PSNR par trame dans un fichier portant un nom tel que 'psnr_hhmmss.log'. Les valeurs renvoyées sont en dB (décibel), plus elles sont hautes, plus la vidéo générée est fidèle à l'originale.

L'option suivant n'est disponible que dans les versions de développement de XviD 1.1.x.

bvhq=<0|1>
    Cette option permet une sélection des différents candidats de vecteurs de mouvement pour les trames-B d'après leur taux de distortion, ce qui correspond à ce que fait l'option vhq avec les trames-P. Cela produit des trames-B plus jolies sans pour autant avoir un impact significatif sur le temps de calcul.

  x264enc (-x264encopts)

bitrate=<valeur>
    Fixe le débit binaire (bitrate) à utiliser en kbits/seconde (par défaut : désactivé). Pour un encodage en débit binaire constant (CBR), vous devez définir ce paramètre.

keyint=<valeur>
    Définit l'intervalle maximum autorisé entre trames-I. Un intervalle plus grand fait économiser des bits, et donc améliore la qualité, mais rend la navigation moins précise (par défaut : 250).

idrint=<valeur>
    Faire qu'une trame sur <valeur> trames-I soit une trame-IDR (par défaut : 2). En H.264, les trames-I n'encadrent pas nécessairement un groupe fermé de trames prédites (closed GOP) car une trame-P peut aussi être prédite à partir d'autres trames que celles la précédant (voir aussi frameref). Ainsi, les trames-I ne permettent pas nécessairement une navigation précise dans le film. Les trames-IDR empêchent les trames-P qui les suivent d'être prédites à partir de trames précédant mes trames-IDR.

scenecut=<-1-100>
    Contrôle avec quelle insistance on insère les trames-I en plus, par exemple lors des changements de scène. (par défaut 40). Avec une valeur de scenecut faible, le codec aura tendance à ne mettre des trames-I que toutes les <keyint> trames. Une bonne valeur de scenecut est celle qui place une trame-I de façon la plus optimale. Avec une valeur trop grande, il sera choisi plus de trames-I, ce qui gâche des bits. -1 désactive la détection des changements de scène, ainsi les trames-I ne seront insérées que toutes les keyint trames, même s'il vient d'y avoir un changement de scène. Cela n'est guère recommandé et gâche des bits puisque les changements de scène encodés par des trames-P sont aussi coûteux en bits que les trames-I, mais ne remettent pas à zéro le "compteur keyint".

frameref=<1-15>
    Nombre des trames précédentes à utiliser comme prédicteur pour les trames-P (par défaut : 1). Est efficace avec les dessins animés, mais semble l'être beaucoup moins avec des films dont les sujets sont réels. Quelques décodeurs sont incapables de gérer de grandes valeurs de frameref.

bframe=<0-16>
    nombre de trames-B consécutives entre les trames-I et -P (par défaut : 0)

(no)deblock
    Utilise un filtre atténuant l'effet de blocs (deblocking) (par défaut : activé). Étant donné qu'il prend assez peu de temps au regard de l'amélioration visuelle qu'il procure, il est déconseillé de le désactiver.

deblockalpha=<-6-6>
    Paramètre alphaC0 du filtre de deblocking (par défaut : 0). Il détermine les seuils du filtre de deblocking de H.264. Tout d'abord, cette option détermine à quel point le filtre peut modifier l'apparence de chacun des pixels de l'image. Ensuite, cette option détermine la différence maximale à la limite des blocs filtrés. Une valeur positive réduit les artefacts de blocking, mais enlève du détail à l'image.
    Lorsque vous réalisez un encodage destiné à être de bonne qualité, vous devez le diminuer un peu. Par contre, si la vidéo source souffre déjà d'artefacts de blocking ou de bruit que vous voulez atténuer, ou bien si c'est un dessin animé, vous devez l'augmenter un peu.

deblockbeta=<-6-6>
    Paramètre beta du filtre de deblocking (par défaut : 0). Affecte le gradient maximum autorisé entre deux blocs adjacents

(no)cabac
    Utilise CABAC (codage de l'information adaptée en fonction du contexte : Context-Adaptive Binary Arithmetic Coding) (par défaut : activé). Ralentit un peu l'encodage mais permet d'économiser 10-15% du bitrate. À moins que vous ayez besoin d'encoder à vitesse élevée, vous ne devriez jamais le désactiver.

cabacidc=<value>
    Valeur initiale de l'IDC de CABAC. L'encodeur doit choisir un contexte pour chaque block qu'il encode, mais pour le premier d'une trame, il n'existe pas de contexte de prédiction. Agir sur ce paramètre peut affecter le débit binaire vidéo (bitrate) de quelques pour-millièmes, mais ne change pas la distortion par rapport à l'image d'origine. FIXME: indiquer ce que signifie IDC. -1: L'encodeur décide lui-même du contexte, 0 la plupart du temps (par défaut).
    0: complexité faible
    1: complexité moyenne
    2: complexité importante

qp_constant=<1-51>
    Définit le quantum à utiliser. Une valeur comprise dans l'intervalle 20-40 semble convenir (par défaut : 26). Une valeur plus faible code l'image plus fidèlement, mais prend plus de place. Notez que la quantification dans H.264 fonctionne différemment de MPEG[124]. L'échelle des paramètres de quantification (QP) de H.264 est logarithmique. Ainsi, la différence de débit binaire entre QP=20 et QP=40 est d'environ un facteur 10. Les quantum utiles en H.264 ont tendance à être bien plus importants comparés à MPEG[124].

qp_min=<1-51> (CBR uniquement)
    Quantificateur minimum, 15-35 semble être un intervalle raisonnable (par défaut : 10).

qp_max=<1-51> (CBR uniquement)
    quantum maximum (par défaut : 51)

qp_step=<valeur>
    Différence de quantum maximale autorisée d'une trame à l'autre.

rc_buffer_size=<valeur>
    taille du tampon ratecontrol (tampon permettant de distribuer intelligemment les bits aux trames) (par défaut : la taille nécessaire pour 1 seconde au débit binaire (bitrate) que vous avez défini).

rc_init_buffer=<value>
    taille initiale du tampon ratecontrol (par défaut : 1/4 de rc_buffer_size)

rc_sens=<0-100> (CBR uniquement)
    sensibilité du ratecontrol (default: 4)

ip_factor=<value>
    facteur de quantification entre les trames-I et -P (par défaut : 1.4)

pb_factor=<value>
    facteur de quantification entre les trames-P et -B (par défaut : 1.4)

pass=<1-2>
    Active le mode 2 ou 3-passes. Il est recommandé de toujours encoder en mode 2 ou 3 passes puisque cela permet une distribution plus adéquate des bits et améliore la qualité globale. première passe seconde passe Nième passe (seconde et troisième passes de l'encodage trois passes)
    Voici comment cela fonctionne, et comment l'utiliser :
    La première passe (pass=1) écrit le fichier de statistiques. Vous devriez désactiver des options gourmandes en temps processeur.
    En mode deux passes, la seconde passe (pass=2) se base sur le fichier de stats pour allouer le bon nombre de bits aux trames (ratecontrol).
    En mode trois passes, la seconde passe (pass=3, non ce n'est pas une erreur) fait les deux : elle lit le fichier de stats, puis ré-écrit par dessus. Peut-être que vous devriez sauver le fichier divx2pass.log avant si MEncoder peut être interrompu dans son cours. Vous devriez utiliser toutes les options d'encodage, à l'exception de celles vraiment très gourmandes.
    La troisième passe (pass=3) fait la même chose que la seconde, à la différence près qu'elle dispose des stats de la deuxième passe pour mieux travailler. Vous pouvez utiliser toutes les options d'encodage, même les plus gourmandes.
    NOTE : x264 gérant le mode 3 passes depuis peu de temps, nous encourageons les utilisateurs à partager avec nous leurs expériences et leurs combinaisons d'options d'x264 qui seraient aussi bien rapides que produisant des images de qualité.
    qcomp=<0-1>
        compression des quantum (par défaut : 0.6) Cela affecte le ratecontrol : une faible valeur rend le débit binaire plus constant, alors qu'une valeur importante rend les quantum plus constants.
    cplx_blur=<0-999>
        Flou temporel de la complexité de trame estimée, avant la compression de la courbe (défaut : 20). Des valeurs plus faibles permettent au quantum de plus changer d'une trame à l'autre, des valeurs plus hautes forcent une variation plus douce. cplx_blur permet de s'assurer que chaque trame-I ait une qualité comparable aux trame-P suivantes, et garantit qu'une alternance de trames à complexité forte et faible (par exemple un dessin animé dont la cadence d'animation est faible) ne gâche pas de bits en faisant fluctuer les quantum.
    qblur=<0-99>
        Flou temporel entre les quantum, après la compression de la courbe (par défaut : 0.5). Une faible valeur permet aux quantum de voir leur valeur varier plus d'une trame à l'autre ; une valeur forte oblige la variation à être plus progressive.
    (no)4x4mv
        Utilise tous les types de macro-blocs inter-trames (i16x16, i4x4, p16x16, p16x8, p8x16, p8x8, p8x4, p4x8, p4x4, skip) L'idée est de trouver le type et la taille des macro-blocs qui décrit le mieux une certaine région de l'image. Typiquement très efficace pour les dessins animés, qui contiennent souvent de grands à-plats de couleurs (par défaut : i16x16, i4x4, p16x16-8x8, skip). Suivant le type de source, ce paramètre peut améliorer ou dégrader la qualité, utilisez-le avec précaution.
         .TP subq=<0-5> Ajuste la qualité d'affinement de subpel. Ce paramètre contrôle le compromis qualité/vitesse liées aux décisions du processus d'estimation du mouvement. Utilisé correctement, cela peut améliorer la qualité de façon significative. 0: halfpel uniquement (précision d'un demi-pixel)
        1: 1 itération qpel sur le candidant vainqueur (default)
        2: 2 itérations qpel sur le candidant vainqueur
        3: halfpel sur tous les types de macro-blocs, qpel sur le vainqueur
        4: qpel partout
        5: plus d'itétations qpel
    log=<-1-3>
        Ajuste la quantité d'informations de log à afficher à l'écran. -1: aucune
         0: Affiche uniquement les erreurs.
         1: avertissements
         2: PSNR, temps d'encodage et autres analyses statistiques lorsque l'encodage se termine (par défaut)
         3: PSNR, paramètres de quantification, type de trame, taille, et autres statistiques sur chaque trame
    (no)psnr
        Affiche les statistiques de rapport signal/bruit.
        NOTE : Les champs PSNR 'Y', 'U', 'V', et 'Avg' dans le résumé post-encode ne sont pas complètement juste mathématiquement parlant (ce sont juste les moyennes des PSNR de chaque trame). Ils sont affichés uniquement pour pouvoir les comparer à ceux du codec de référence JM. Dans les autres cas, préférez donc utiliser ou bien le PSNR 'Global', ou bien les PSNR de chaque trame affichés par l'option log=3.

FICHIERS
/usr/localetc/mplayer/mplayer.conf
    paramètres globaux
~/.mplayer/config
    paramètres utilisateur
~/.mplayer/input.conf
    correspondances des entrées (voir '-input keylist' pour la liste complète)
~/.mplayer/gui.conf
    fichier de config de la GUI
~/.mplayer/gui.pl
    liste de lecture de la GUI
~/.mplayer/font/
    Répertoire des polices (Il doit y avoir un fichier font.desc et des fichiers avec une extension .RAW)
~/.mplayer/DVDkeys/
    clés CSS en cache
Dans l'hypothèse que le fichier /chemin/vers/film.avi soit joué, MPlayer
    cherche les les fichiers sub dans cet ordre :
     /chemin/vers/film.avi
    ~/.mplayer/sub/film.sub
    ~/.mplayer/default.sub

EXEMPLES

Lecture rapide de DVD :
    mplayer dvd://1

Lecture en japonais avec sous-titres anglais :
    mplayer dvd://1 -alang ja -slang en

Ne lire que les chapitres 5, 6, 7 :
    mplayer dvd://1 -chapter 5-7

Lecture d'un DVD multi-angle :
    mplayer dvd://1 -dvdangle 2

Lecture depuis un autre périphérique DVD :
    mplayer dvd://1 -dvd-device /dev/dvd2

Joue un DVD vidéo depuis un répertoire contenant des fichiers VOB :
    mplayer dvd://1 -dvd-device /chemin/vers/répertoire/

Copie le titre 1 du DVD sur le disque dur, sous le nom title1.vob :
    mplayer dvd://1 -dumpstream -dumpfile title1.vob Streaming depuis HTTP : mplayer http://mplayer.hq/exemple.avi

Streaming en utilisant RTSP :
    mplayer rtsp://serveur.exemple.com/NomFlux

Convertit les sous-titres au format MPsub :
    mplayer dummy.avi -sub source.sub -dumpmpsub

Convertit les sous-titres en au format MPsub sans afficher le film :
    mplayer /dev/zero -rawvideo on:pal:fps=xx -vc null -vo null -noframedrop -benchmark -sub source.sub -dumpmpsub

Entrée depuis V4L standard :
    mplayer tv:// -tv driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Lecture sur cartes zoran (ancienne méthode, depréciée) :
    mplayer -vo zr -vf scale=352:288 file.avi

Lecture sur carte zoran (nouvelle méthode) :
    mplayer -vo zr2 -vf scale=352:288,zrmjpeg file.avi

Encode le titre #2 d'un DVD, uniquement les chapitres sélectionnés :
    mencoder dvd://2 -chapter 10-15 -o titre2.avi -oac copy -ovc divx4

Encode le titre #2 d'un DVD, redimensionnement en 640x480 :
    mencoder dvd://2 -vf scale=640:480 -o titre2.avi -oac copy -ovc divx4

Encodage du titre #2 d'un DVD, redimensionnement en 512xHHH (gardant le rapport hauteur/largeur) :
    mencoder dvd://2 -vf scale -zoom -xy 512 -o titre2.avi -oac copy -ovc divx4

Même chose, mais avec un bitrate de 1800kBit et des macro-blocs optimisés :
    mencoder dvd://2 -o title2.avi -oac copy -ovc lavc -lavcopts vcodec=mpeg4:mbd=1:vbitrate=1800

Même chose, mais une compression MJPEG :
    mencoder dvd://2 -o titre2.avi -ovc lavc -lavcopts vcodec=mjpeg:mbd=1:vbitrate=1800 -oac copy

Encode tous les fichiers *.jpg du répertoire courant
    mencoder "mf://*.jpg" -mf fps=25 -o output.avi -ovc divx4

Encode depuis un tuner TV
    mencoder -tv driver=v4l:width=640:height=480 tv:// -o tv.avi -ovc rawrgb

Encode depuis un pipe
    rar p test-SVCD.rar | mencoder -ovc divx4 -divx4opts br=800 -ofps 24 -

Encode de multiples fichiers *.vob
    cat *.vob | mencoder <options> -

BOGUES
Si vous en trouvez un, faites-nous un rapport de bogue, mais s'il vous plaît, assurez-vous d'avoir lu toute la documentation auparavant. Beaucoup de bogues sont le résultat d'une installation incorrecte ou d'une mauvaise utilisation des paramètres. La section sur les rapports de bogues (DOCS/HTML/fr/bugreports.html) explique comment créer des rapports de bogues utiles.

AUTEURS
MPlayer était écrit à l'origine par Arpad Gereöffy. Voir le fichier AUTHORS pour la liste de certains des nombreux autres contributeurs.

MPlayer est (C) 2000-2004 The MPlayer Team

Cette page de man est basée sur sa version en langue anglaise, écrite et
    maintenue par Gabucino, Jonas Jermann et Diego Biurrun

et est traduite en français par
    Nicolas Le Gaillart < nicolas AT legaillart.com > jusqu'à février 2004.
    Guillaume Poirier < guillaume POINT poirier AT etudiant.univ-rennes1.fr > depuis Août 2004.

Merci d'envoyer les mails la concernant sur la liste de diffusion MPlayer-DOCS.